(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    400252,      10102]
NotebookOptionsPosition[    351826,       9331]
NotebookOutlinePosition[    355208,       9420]
CellTagsIndexPosition[    355089,       9413]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Chapter 8
Programming\
\>", "Section",ExpressionUUID->"9371a605-eee5-4b39-966e-57afdfc0b6b9"],

Cell[CellGroupData[{

Cell["Section 8.2", "Subsection",ExpressionUUID->"83d6bbd9-2583-4711-a497-1c29f0048312"],

Cell[TextData[{
 "Simply append ",
 StyleBox["//Head", "MR"],
 " to each of the expressions and enter them, to get:"
}], "Exercise",ExpressionUUID->"8be25753-1473-4b07-a211-895b55b20513"],

Cell[TextData[StyleBox["Rule", "MR"]], "ExercisePart",ExpressionUUID->"e92a02e8-d315-4bfa-8dbd-1b67c0f1052a"],

Cell[TextData[StyleBox["Power", "MR"]], "ExercisePart",ExpressionUUID->"8f584d73-2749-4804-a935-0865c8c23519"],

Cell[TextData[StyleBox["List", "MR"]], "ExercisePart",ExpressionUUID->"d5c38adb-0b14-4369-86e7-ab229a2494da"],

Cell[TextData[StyleBox["Function", "MR"]], "ExercisePart",ExpressionUUID->"f4cb2d6d-3cf8-46bf-b29d-cd3b1da1b79f"],

Cell[TextData[{
 "Simply append ",
 StyleBox["//FullForm", "MR"],
 " to each of the expressions and enter them, to get:"
}], "Exercise",ExpressionUUID->"31a71cb4-b6bd-419a-816f-d7d1502e95a0"],

Cell[TextData[StyleBox["Rule[x,\[ThinSpace]2]", "MR"]], "ExercisePart",ExpressionUUID->"cc262242-0002-4dd2-84c4-edb9f6c351b5"],

Cell[TextData[StyleBox["Rational[1,\[ThinSpace]2]", "MR"]], "ExercisePart",ExpressionUUID->"4f6c0f91-d2ae-4a63-8111-671ac0f719e3"],

Cell[TextData[Cell[BoxData[
 StyleBox[
  TagBox[
   StyleBox[
    RowBox[{"Power", "[", 
     RowBox[{"2", ",", 
      RowBox[{"Rational", "[", 
       RowBox[{"1", ",", "2"}], "]"}]}], "]"}],
    ShowSpecialCharacters->False,
    ShowStringCharacters->True,
    NumberMarks->True],
   FullForm], 
  "MR"]],ExpressionUUID->"3933ffb7-800b-4298-aa0c-4c12bddc8a80"]], \
"ExercisePart",ExpressionUUID->"747dfe73-62f8-47d0-a12d-c0b219d16465"],

Cell[TextData[Cell[BoxData[
 StyleBox[
  RowBox[{"List", "[", 
   RowBox[{"1", ",", "2", ",", "3"}], "]"}], "MR",
  ShowSpecialCharacters->False,
  ShowStringCharacters->True,
  NumberMarks->
   True]],ExpressionUUID->"4a240666-a6f2-452a-ad46-2ebeb9c0562b"]], \
"ExercisePart",ExpressionUUID->"a3d49784-84e1-4830-8468-887e5b417a38"],

Cell[TextData[{
 "The head is ",
 StyleBox["Derivative[1][a]", "MR"],
 ". Note that ",
 StyleBox["FullForm", "MR"],
 " needs to be applied to the ",
 StyleBox["Head", "MR"],
 " output in order to reveal this."
}], "Exercise",ExpressionUUID->"7f9b4610-82ad-4985-974d-ac7f5b44e901"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"a", ",", "x"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "'"}], "[", "x", "]"}], "//", "FullForm"}]}], "Input",Expressi\
onUUID->"0a1c6059-4283-4b1a-820d-e2d0a741a82d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", "1", "]"}], "[", "a", "]"}], "[", "x", "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"44889add-1583-4a9e-9370-3417ae21ee6f"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Head", "[", 
   RowBox[{
    RowBox[{"a", "'"}], "[", "x", "]"}], "]"}], "//", "FullForm"}]], "Input",E\
xpressionUUID->"23a99c1c-c28b-4476-bdee-f4f8bbff9c4c"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{
    RowBox[{"Derivative", "[", "1", "]"}], "[", "a", "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"5f43a1d9-503f-49ce-a2b8-90632e75a432"]
}, Closed]],

Cell[TextData[{
 StyleBox["Defer", "MR"],
 " must be applied to this expression to prevent its evaluation. Its ",
 StyleBox["FullForm", "MR"],
 " is shown in the output below."
}], "Exercise",ExpressionUUID->"6d198251-5fd5-4cac-a30c-12add6d357aa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Defer", "[", 
  RowBox[{"FullForm", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"2", "x"}], "+", "1"}], "/.", 
    RowBox[{"x", "\[Rule]", "3"}]}], "]"}], "]"}]], "Input",ExpressionUUID->\
"ecaa0a67-cbd4-45ff-9673-6bfb4530fa5a"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"ReplaceAll", "[", 
    RowBox[{
     RowBox[{"Plus", "[", 
      RowBox[{
       RowBox[{"Times", "[", 
        RowBox[{"2", ",", "x"}], "]"}], ",", "1"}], "]"}], ",", 
     RowBox[{"Rule", "[", 
      RowBox[{"x", ",", "3"}], "]"}]}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"d707222d-7d82-4bba-b18c-dc551de458d0"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Defer", "MR"],
 " must be applied to this expression to prevent its evaluation. Its ",
 StyleBox["FullForm", "MR"],
 " is shown in the output below. In essence, we find that ",
 StyleBox[";", "MR"],
 " is the infix form of the command ",
 StyleBox["CompoundExpression", "MR"],
 "."
}], "Exercise",ExpressionUUID->"ea4f8ac8-d3d2-4e1f-a23c-4c4fe3ac4c6b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Defer", "[", 
  RowBox[{"FullForm", "[", 
   RowBox[{
    RowBox[{"x", "=", "3"}], ";", 
    RowBox[{"2", "x"}]}], "]"}], "]"}]], "Input",ExpressionUUID->"41a75ab2-\
2576-481f-916a-b652142e2eaf"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"CompoundExpression", "[", 
    RowBox[{
     RowBox[{"Set", "[", 
      RowBox[{"x", ",", "3"}], "]"}], ",", 
     RowBox[{"Times", "[", 
      RowBox[{"2", ",", "x"}], "]"}]}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"414d014d-b768-442c-b6e8-effabff35101"]
}, Closed]],

Cell[TextData[{
 "As in the previous exercise, ",
 StyleBox["Defer", "MR"],
 " is needed to prevent evaluation."
}], "Exercise",ExpressionUUID->"56513b11-9699-4a06-9dbe-42ff3ab89939"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TreeForm", "[", 
  RowBox[{"Defer", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"2", "x"}], "+", "1"}], "/.", 
    RowBox[{"x", "\[Rule]", "3"}]}], "]"}], "]"}]], "Input",
 CellLabel->"In[63]:=",ExpressionUUID->"3898f546-aa87-4aa9-b341-2d1089573369"],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{1.697056274847714, 3.394112549695428}, {
    1.697056274847714, 2.545584412271571}, {0.848528137423857, 
    1.697056274847714}, {0.4242640687119285, 0.8485281374238571}, {0., 0.}, {
    0.848528137423857, 0.}, {1.2727922061357855`, 0.8485281374238571}, {
    2.545584412271571, 1.697056274847714}, {2.1213203435596424`, 
    0.8485281374238571}, {2.9698484809834995`, 0.8485281374238571}}, {
     {RGBColor[0.55, 0.45, 0.45], 
      LineBox[{{1, 2}, {2, 3}, {2, 8}, {3, 4}, {3, 7}, {4, 5}, {4, 6}, {8, 
       9}, {8, 10}}]}, {
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Defer", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 1],
        TagBox[
         RowBox[{
           RowBox[{
             RowBox[{"2", " ", "x"}], "+", "1"}], "/.", "\[VeryThinSpace]", 
           RowBox[{"x", "\[Rule]", "3"}]}], HoldForm]],
       Annotation[#, 
        HoldForm[
         Defer[
          ReplaceAll[2 $CellContext`x + 1, $CellContext`x -> 3]]], 
        "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["ReplaceAll", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 2],
        TagBox[
         RowBox[{
           RowBox[{
             RowBox[{"2", " ", "x"}], "+", "1"}], "/.", "\[VeryThinSpace]", 
           RowBox[{"x", "\[Rule]", "3"}]}], HoldForm]],
       Annotation[#, 
        HoldForm[
         ReplaceAll[2 $CellContext`x + 1, $CellContext`x -> 3]], 
        "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Plus", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 3],
        TagBox[
         RowBox[{
           RowBox[{"2", " ", "x"}], "+", "1"}], HoldForm]],
       Annotation[#, 
        HoldForm[2 $CellContext`x + 1], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Times", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 4],
        TagBox[
         RowBox[{"2", " ", "x"}], HoldForm]],
       Annotation[#, 
        HoldForm[2 $CellContext`x], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["2",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 5],
        TagBox["2", HoldForm]],
       Annotation[#, 
        HoldForm[2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["x",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 6],
        TagBox["x", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`x], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["1",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 7],
        TagBox["1", HoldForm]],
       Annotation[#, 
        HoldForm[1], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Rule", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 8],
        TagBox[
         RowBox[{"x", "\[Rule]", "3"}], HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`x -> 3], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["x",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 9],
        TagBox["x", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`x], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["3",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 10],
        TagBox["3", HoldForm]],
       Annotation[#, 
        HoldForm[3], "Tooltip"]& ]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{1.697056274847714, 3.394112549695428}, {
     1.697056274847714, 2.545584412271571}, {0.848528137423857, 
     1.697056274847714}, {0.4242640687119285, 0.8485281374238571}, {0., 0.}, {
     0.848528137423857, 0.}, {1.2727922061357855`, 0.8485281374238571}, {
     2.545584412271571, 1.697056274847714}, {2.1213203435596424`, 
     0.8485281374238571}, {2.9698484809834995`, 0.8485281374238571}}]& ],
  AspectRatio->1,
  FormatType:>StandardForm,
  FrameTicks->Automatic,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellLabel->
  "Out[63]//TreeForm=",ExpressionUUID->"93421201-05af-4122-94e6-c85e400f6c38"]
}, Closed]],

Cell[TextData[{
 "Be sure to ",
 StyleBox["Clear", "MR"],
 " any values associated with ",
 StyleBox["a", "MR"],
 ", ",
 StyleBox["b", "MR"],
 ", ",
 StyleBox["c", "MR"],
 ", and ",
 StyleBox["d", "MR"],
 " before applying ",
 StyleBox["TreeForm", "MR"],
 "."
}], "ExerciseNoText",ExpressionUUID->"f87f0981-4559-4632-b05f-2b052a5b690e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "*", "b"}], "+", 
   RowBox[{"c", "*", 
    SuperscriptBox["d", "2"]}]}], "//", "TreeForm"}]}], "Input",ExpressionUUID\
->"c9559559-4990-4567-bec8-37b532e6d622"],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{1.2510864843424487`, 2.5021729686848975`}, {
    0.41702882811414954`, 1.6681153124565984`}, {0., 0.8340576562282993}, {
    0.8340576562282991, 0.8340576562282993}, {2.0851441405707476`, 
    1.6681153124565984`}, {1.6681153124565982`, 0.8340576562282993}, {
    2.5021729686848975`, 0.8340576562282993}, {2.0851441405707476`, 0.}, {
    2.919201796799047, 0.}}, {
     {RGBColor[0.55, 0.45, 0.45], 
      LineBox[{{1, 2}, {1, 5}, {2, 3}, {2, 4}, {5, 6}, {5, 7}, {7, 8}, {7, 
       9}}]}, {
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Plus", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 1],
        TagBox[
         RowBox[{
           RowBox[{"a", " ", "b"}], "+", 
           RowBox[{"c", " ", 
             SuperscriptBox["d", "2"]}]}], HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`a $CellContext`b + $CellContext`c \
$CellContext`d^2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Times", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 2],
        TagBox[
         RowBox[{"a", " ", "b"}], HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`a $CellContext`b], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["a",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 3],
        TagBox["a", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`a], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["b",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 4],
        TagBox["b", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`b], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Times", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 5],
        TagBox[
         RowBox[{"c", " ", 
           SuperscriptBox["d", "2"]}], HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`c $CellContext`d^2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["c",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 6],
        TagBox["c", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`c], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 7],
        TagBox[
         SuperscriptBox["d", "2"], HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`d^2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["d",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 8],
        TagBox["d", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`d], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["2",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 9],
        TagBox["2", HoldForm]],
       Annotation[#, 
        HoldForm[2], "Tooltip"]& ]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{1.2510864843424487`, 2.5021729686848975`}, {
     0.41702882811414954`, 1.6681153124565984`}, {0., 0.8340576562282993}, {
     0.8340576562282991, 0.8340576562282993}, {2.0851441405707476`, 
     1.6681153124565984`}, {1.6681153124565982`, 0.8340576562282993}, {
     2.5021729686848975`, 0.8340576562282993}, {2.0851441405707476`, 0.}, {
     2.919201796799047, 0.}}]& ],
  AspectRatio->NCache[2 5^Rational[-1, 2], 0.8944271909999159],
  FrameTicks->Automatic,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",ExpressionUUID->"b92d5c3a-e46f-\
44e0-8ca9-d131a5588229"]
}, Closed]],

Cell[TextData[{
 "Here are the basic parts of the expression. Note that the zeroth part is \
the ",
 StyleBox["Head", "MR"],
 "."
}], "ExercisePart",ExpressionUUID->"a9ff8a64-e0c7-42e8-8f5c-1dcde273146c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"a", "*", "b"}], "+", 
     RowBox[{"c", "*", 
      SuperscriptBox["d", "2"]}]}], ")"}], "\[LeftDoubleBracket]", "0", 
   "\[RightDoubleBracket]"}], "//", "FullForm"}]], "Input",ExpressionUUID->\
"43f9e1f5-7a77-4ad0-9828-2c88a64d31a2"],

Cell[BoxData[
 TagBox[
  StyleBox["Plus",
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"73ef6c41-57e1-47db-b647-e46993b05bc7"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"a", "*", "b"}], "+", 
     RowBox[{"c", "*", 
      SuperscriptBox["d", "2"]}]}], ")"}], "\[LeftDoubleBracket]", "1", 
   "\[RightDoubleBracket]"}], "//", "FullForm"}]], "Input",ExpressionUUID->\
"32503f40-e92d-42e3-8497-6cc348312339"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"Times", "[", 
    RowBox[{"a", ",", "b"}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"d1c2d390-f517-4b1c-83ad-bd66b95421d9"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"a", "*", "b"}], "+", 
     RowBox[{"c", "*", 
      SuperscriptBox["d", "2"]}]}], ")"}], "\[LeftDoubleBracket]", "2", 
   "\[RightDoubleBracket]"}], "//", "FullForm"}]], "Input",ExpressionUUID->\
"7ccdfbd4-18d4-460d-8777-8c96f4bdc2f6"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"Times", "[", 
    RowBox[{"c", ",", 
     RowBox[{"Power", "[", 
      RowBox[{"d", ",", "2"}], "]"}]}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"2c3d6f91-3af3-4315-b70b-894a36a86874"]
}, Closed]],

Cell["Here are the sub-parts of the second part:", "ExercisePart",ExpressionUUID->"43e08e38-823e-47ec-918c-8e6243ff6551"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"a", "*", "b"}], "+", 
    RowBox[{"c", "*", 
     SuperscriptBox["d", "2"]}]}], ")"}], "\[LeftDoubleBracket]", 
  RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}]], "Input",ExpressionUUID->\
"e845b0f3-b298-4590-8bc7-f599afea5c5b"],

Cell[BoxData["c"], "Output",ExpressionUUID->"fe1997c8-7f5c-4520-a07c-1e8a0d1205ac"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"a", "*", "b"}], "+", 
     RowBox[{"c", "*", 
      SuperscriptBox["d", "2"]}]}], ")"}], "\[LeftDoubleBracket]", 
   RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], "//", 
  "FullForm"}]], "Input",ExpressionUUID->"e42178b8-81c4-4330-b8be-\
12f3571fa388"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"Power", "[", 
    RowBox[{"d", ",", "2"}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"b36108a4-0c89-40dd-a603-57a9aaab3673"]
}, Closed]],

Cell[TextData[{
 "Here are the sub-parts of ",
 Cell[BoxData[
  StyleBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"a", "*", "b"}], "+", 
      RowBox[{"c", "*", 
       SuperscriptBox["d", "2"]}]}], ")"}], "\[LeftDoubleBracket]", 
    RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], "MR"]],ExpressionUUID->
  "d18c52ac-c596-4ca1-b71a-7366ae24fa01"],
 ":"
}], "ExercisePart",ExpressionUUID->"3b12ff5e-7737-4691-b195-092389483890"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"a", "*", "b"}], "+", 
    RowBox[{"c", "*", 
     SuperscriptBox["d", "2"]}]}], ")"}], "\[LeftDoubleBracket]", 
  RowBox[{"2", ",", "2", ",", "0"}], "\[RightDoubleBracket]"}]], "Input",Expre\
ssionUUID->"699d62bb-a98a-4354-8c8d-33df713e59f1"],

Cell[BoxData["Power"], "Output",ExpressionUUID->"c8ad169d-2e71-47a5-8cac-c214ea336760"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"a", "*", "b"}], "+", 
    RowBox[{"c", "*", 
     SuperscriptBox["d", "2"]}]}], ")"}], "\[LeftDoubleBracket]", 
  RowBox[{"2", ",", "2", ",", "1"}], "\[RightDoubleBracket]"}]], "Input",Expre\
ssionUUID->"c4bbf7fe-6bb2-4ea7-8c5a-c9b92feb897d"],

Cell[BoxData["d"], "Output",ExpressionUUID->"ab8b54f2-add8-4593-bfb0-245896e703ce"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"a", "*", "b"}], "+", 
    RowBox[{"c", "*", 
     SuperscriptBox["d", "2"]}]}], ")"}], "\[LeftDoubleBracket]", 
  RowBox[{"2", ",", "2", ",", "2"}], "\[RightDoubleBracket]"}]], "Input",Expre\
ssionUUID->"7e19a2ec-bace-433e-b167-8e2f0bf37f67"],

Cell[BoxData["2"], "Output",ExpressionUUID->"c29e6f1e-a813-406a-bd18-f4dbd8e29db6"]
}, Closed]],

Cell["\<\
The real numbers in the lower left portion of the output will be different \
when you try it; these represent the coordinates of the tip and tail of the \
arrow.\
\>", "Exercise",ExpressionUUID->"fdee52ce-7cc7-4382-8cc9-5b06abb257c5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  GraphicsBox[
   ArrowBox[{{0.43518518518518523`, 0.8092592592592591}, {0.6833333333333333, 
    0.38518518518518474`}}],
   PlotRange->{{0, 1}, {0, 1}}], "//", "TreeForm"}]], "Input",ExpressionUUID->\
"44a5efc0-1fe2-41aa-afd1-115c48d3864a"],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{2.4619466758236572`, 3.030088216398348}, {
    1.1362830811493803`, 2.272566162298761}, {1.1362830811493803`, 
    1.515044108199174}, {0.3787610270497935, 0.7575220540995873}, {0., 0.}, {
    0.757522054099587, 0.}, {1.8938051352489673`, 0.7575220540995873}, {
    1.515044108199174, 0.}, {2.2725661622987605`, 0.}, {3.7876102704979346`, 
    2.272566162298761}, {3.408849243448141, 1.515044108199174}, {
    4.166371297547728, 1.515044108199174}, {3.408849243448141, 
    0.7575220540995873}, {3.030088216398348, 0.}, {3.7876102704979346`, 0.}, {
    4.9238933516473145`, 0.7575220540995873}, {4.545132324597521, 0.}, {
    5.302654378697108, 0.}}, {
     {RGBColor[0.55, 0.45, 0.45], 
      LineBox[{{1, 2}, {1, 10}, {2, 3}, {3, 4}, {3, 7}, {4, 5}, {4, 6}, {7, 
       8}, {7, 9}, {10, 11}, {10, 12}, {12, 13}, {12, 16}, {13, 14}, {13, 
       15}, {16, 17}, {16, 18}}]}, {
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Graphics", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 1],
        TagBox[
         GraphicsBox[
          
          ArrowBox[{{0.43518518518518523`, 0.8092592592592591}, {
           0.6833333333333333, 0.38518518518518474`}}], 
          PlotRange -> {{0, 1}, {0, 1}}], HoldForm]],
       Annotation[#, 
        HoldForm[
         Graphics[
          
          Arrow[{{0.43518518518518523`, 0.8092592592592591}, {
           0.6833333333333333, 0.38518518518518474`}}], 
          PlotRange -> {{0, 1}, {0, 1}}]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Arrow", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 2],
        TagBox[
         RowBox[{"Arrow", "[", 
           RowBox[{"{", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"0.43518518518518523`", ",", "0.8092592592592591`"}],
                  "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.6833333333333333`", ",", "0.38518518518518474`"}],
                  "}"}]}], "}"}], "]"}], HoldForm]],
       Annotation[#, 
        HoldForm[
         Arrow[{{0.43518518518518523`, 0.8092592592592591}, {
          0.6833333333333333, 0.38518518518518474`}}]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["List", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 3],
        TagBox[
         RowBox[{"{", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{"0.43518518518518523`", ",", "0.8092592592592591`"}], 
               "}"}], ",", 
             RowBox[{"{", 
               RowBox[{"0.6833333333333333`", ",", "0.38518518518518474`"}], 
               "}"}]}], "}"}], HoldForm]],
       Annotation[#, 
        HoldForm[{{0.43518518518518523`, 0.8092592592592591}, {
         0.6833333333333333, 0.38518518518518474`}}], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["List", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 4],
        TagBox[
         RowBox[{"{", 
           RowBox[{"0.43518518518518523`", ",", "0.8092592592592591`"}], 
           "}"}], HoldForm]],
       Annotation[#, 
        HoldForm[{0.43518518518518523`, 0.8092592592592591}], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["0.43518518518518523`",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 5],
        TagBox["0.43518518518518523`", HoldForm]],
       Annotation[#, 
        HoldForm[0.43518518518518523`], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["0.8092592592592591`",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 6],
        TagBox["0.8092592592592591`", HoldForm]],
       Annotation[#, 
        HoldForm[0.8092592592592591], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["List", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 7],
        TagBox[
         RowBox[{"{", 
           RowBox[{"0.6833333333333333`", ",", "0.38518518518518474`"}], 
           "}"}], HoldForm]],
       Annotation[#, 
        HoldForm[{0.6833333333333333, 0.38518518518518474`}], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["0.6833333333333333`",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 8],
        TagBox["0.6833333333333333`", HoldForm]],
       Annotation[#, 
        HoldForm[0.6833333333333333], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["0.38518518518518474`",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 9],
        TagBox["0.38518518518518474`", HoldForm]],
       Annotation[#, 
        HoldForm[0.38518518518518474`], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Rule", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 10],
        TagBox[
         RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"0", ",", "1"}], "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], HoldForm]],
       Annotation[#, 
        HoldForm[PlotRange -> {{0, 1}, {0, 1}}], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["PlotRange",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 11],
        TagBox["PlotRange", HoldForm]],
       Annotation[#, 
        HoldForm[PlotRange], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["List", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 12],
        TagBox[
         RowBox[{"{", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}]}], "}"}], HoldForm]],
       Annotation[#, 
        HoldForm[{{0, 1}, {0, 1}}], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["List", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 13],
        TagBox[
         RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], HoldForm]],
       Annotation[#, 
        HoldForm[{0, 1}], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["0",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 14],
        TagBox["0", HoldForm]],
       Annotation[#, 
        HoldForm[0], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["1",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 15],
        TagBox["1", HoldForm]],
       Annotation[#, 
        HoldForm[1], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["List", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 16],
        TagBox[
         RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], HoldForm]],
       Annotation[#, 
        HoldForm[{0, 1}], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["0",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 17],
        TagBox["0", HoldForm]],
       Annotation[#, 
        HoldForm[0], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["1",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.022222222222222223`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 18],
        TagBox["1", HoldForm]],
       Annotation[#, 
        HoldForm[1], "Tooltip"]& ]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{2.4619466758236572`, 3.030088216398348}, {
     1.1362830811493803`, 2.272566162298761}, {1.1362830811493803`, 
     1.515044108199174}, {0.3787610270497935, 0.7575220540995873}, {0., 0.}, {
     0.757522054099587, 0.}, {1.8938051352489673`, 0.7575220540995873}, {
     1.515044108199174, 0.}, {2.2725661622987605`, 0.}, {3.7876102704979346`, 
     2.272566162298761}, {3.408849243448141, 1.515044108199174}, {
     4.166371297547728, 1.515044108199174}, {3.408849243448141, 
     0.7575220540995873}, {3.030088216398348, 0.}, {3.7876102704979346`, 
     0.}, {4.9238933516473145`, 0.7575220540995873}, {4.545132324597521, 
     0.}, {5.302654378697108, 0.}}]& ],
  AspectRatio->NCache[
   Rational[1, 3] Rational[5, 2]^Rational[1, 2], 0.5270462766947299],
  FrameTicks->Automatic,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",ExpressionUUID->"46a9645f-e0b1-\
427c-9fb9-713ecf8d45a2"]
}, Closed]],

Cell[TextData[{
 "A string is displayed without the double quotations. The ",
 StyleBox["FullForm", "MR"],
 " of a string will show the double quotations."
}], "ExerciseNoText",ExpressionUUID->"55daccda-19df-40c6-b1a8-86bb0d77b8de"],

Cell[CellGroupData[{

Cell[BoxData["\"\<Here is a string.\>\""], "Input",ExpressionUUID->"6cee2cb0-bfa0-42e6-8d44-c8244a1adc92"],

Cell[BoxData["\<\"Here is a string.\"\>"], "Output",ExpressionUUID->"d3f37c1f-25df-4a7c-b3eb-c349bc6acd5f"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\"\<Here is a string.\>\"", "//", "FullForm"}]], "Input",ExpressionU\
UID->"ba1053bd-9ec2-4537-a8d3-15d286dd56b5"],

Cell[BoxData[
 TagBox[
  StyleBox["\"\<Here is a string.\>\"",
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"c366362f-2568-446c-8b5e-dceee4c4d2df"]
}, Closed]],

Cell["\<\
The strings are concatenated. Note that the first character of the second \
string is a space character.\
\>", "ExercisePart",ExpressionUUID->"e6d592d9-6b4f-4a5a-a6cc-ca951f81235a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\"\<I am\>\"", "~~", "\"\< putting strings together.\>\""}], "//", 
  "FullForm"}]], "Input",ExpressionUUID->"d7a499fc-352b-4ba6-9965-\
d4621ecfd49d"],

Cell[BoxData[
 TagBox[
  StyleBox["\"\<I am putting strings together.\>\"",
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"99621718-6aef-46ad-b4c4-f9b4ead04570"]
}, Closed]],

Cell[TextData[{
 "This simply illustrates that ",
 StyleBox["~~", "MR"],
 " is indeed the infix form of the ",
 StyleBox["StringExpression", "MR"],
 " command."
}], "ExercisePart",ExpressionUUID->"bb0614df-4750-4985-aaa6-7297273b1923"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Defer", "[", 
  RowBox[{"FullForm", "[", 
   RowBox[{"\"\<a\>\"", "~~", "\"\<b\>\""}], "]"}], "]"}]], "Input",Expression\
UUID->"da99df5b-7877-4816-b2f7-b8317b334a7b"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"StringExpression", "[", 
    RowBox[{"\"\<a\>\"", ",", "\"\<b\>\""}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"7c773796-8e60-4dab-9150-8077ef098502"]
}, Closed]],

Cell["\<\
The command below will do the trick. Note the space after the first double \
quotation.\
\>", "ExercisePart",ExpressionUUID->"d9f24ce9-60b0-4900-98a6-b5a8cb0297e4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fav", "[", "n_", "]"}], ":=", 
  RowBox[{
   RowBox[{"ToString", "[", "n", "]"}], "~~", 
   "\"\< is my favorite number.\>\""}]}]], "Input",ExpressionUUID->"ba0d73e1-\
bc9c-4cd3-a234-60f7c63b80b2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"fav", "[", "467", "]"}], ",", 
    RowBox[{"fav", "[", 
     RowBox[{"-", "17"}], "]"}]}], "}"}], "//", "Column"}]], "Input",Expressio\
nUUID->"fb515f35-fd6d-4f85-ab02-c53a2814db5b"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"467 is my favorite number.\"\>"},
    {"\<\"-17 is my favorite number.\"\>"}
   },
   ColumnsEqual->False,
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   RowsEqual->False],
  "Column"]], "Output",ExpressionUUID->"0e416bd2-d778-44fd-9e62-1224e3b5f169"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", "fav", "]"}]], "Input",ExpressionUUID->"0d84fa09-8e8a-4fd0-bf9b-36fedf0b269d"],

Cell["You\[CloseCurlyQuote]ll have to try this on your own.", "ExerciseNoText",ExpressionUUID->"3590dc5c-9a89-467c-b222-fc31566fac0c"],

Cell[TextData[{
 "At the time of this writing there were ",
 Cell[BoxData[
  FormBox["327", TraditionalForm]],ExpressionUUID->
  "f474e538-a550-4a9d-ac28-41c2e79a1117"],
 " options for ",
 StyleBox["Cell", "MR"],
 "."
}], "ExercisePart",ExpressionUUID->"80ab9da8-4d0e-4df7-b03a-0013b1853773"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  RowBox[{"Options", "[", "Cell", "]"}], "]"}]], "Input",
 CellLabel->"In[64]:=",ExpressionUUID->"70664767-83d6-4622-b0f7-370249b5dd61"],

Cell[BoxData["327"], "Output",
 CellLabel->"Out[64]=",ExpressionUUID->"4ee4b58c-1640-4969-ac90-5e9ce74b399d"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Section 8.3", "Subsection",ExpressionUUID->"85a41268-68e9-4d8d-9f6c-78bd5ce88e56"],

Cell["\<\
The King probably owes more rice than he has in his entire kingdom!\
\>", "Exercise",ExpressionUUID->"131e3657-b522-441a-916e-78f595343dc5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Text", "@", 
  RowBox[{"Grid", "[", 
   RowBox[{
    RowBox[{"Prepend", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"n", ",", 
          RowBox[{"NumberForm", "[", 
           RowBox[{
            SuperscriptBox["2", 
             RowBox[{"n", "-", "1"}]], ",", 
            RowBox[{"DigitBlock", "\[Rule]", "3"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"n", ",", "1", ",", "31"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<day\>\"", ",", "\"\<grains of rice\>\""}], "}"}]}], "]"}],
     ",", 
    RowBox[{"Alignment", "\[Rule]", "Right"}], ",", 
    RowBox[{"Dividers", "\[Rule]", "Gray"}]}], "]"}]}]], "Input",ExpressionUUI\
D->"96643d3a-ebc6-4713-9270-6e983b568739"],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   TagBox[GridBox[{
      {"\<\"day\"\>", "\<\"grains of rice\"\>"},
      {"1", 
       TagBox[
        InterpretationBox["\<\"1\"\>",
         1,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"2", 
       TagBox[
        InterpretationBox["\<\"2\"\>",
         2,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"3", 
       TagBox[
        InterpretationBox["\<\"4\"\>",
         4,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"4", 
       TagBox[
        InterpretationBox["\<\"8\"\>",
         8,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"5", 
       TagBox[
        InterpretationBox["\<\"16\"\>",
         16,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"6", 
       TagBox[
        InterpretationBox["\<\"32\"\>",
         32,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"7", 
       TagBox[
        InterpretationBox["\<\"64\"\>",
         64,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"8", 
       TagBox[
        InterpretationBox["\<\"128\"\>",
         128,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"9", 
       TagBox[
        InterpretationBox["\<\"256\"\>",
         256,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"10", 
       TagBox[
        InterpretationBox["\<\"512\"\>",
         512,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"11", 
       TagBox[
        InterpretationBox["\<\"1,024\"\>",
         1024,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"12", 
       TagBox[
        InterpretationBox["\<\"2,048\"\>",
         2048,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"13", 
       TagBox[
        InterpretationBox["\<\"4,096\"\>",
         4096,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"14", 
       TagBox[
        InterpretationBox["\<\"8,192\"\>",
         8192,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"15", 
       TagBox[
        InterpretationBox["\<\"16,384\"\>",
         16384,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"16", 
       TagBox[
        InterpretationBox["\<\"32,768\"\>",
         32768,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"17", 
       TagBox[
        InterpretationBox["\<\"65,536\"\>",
         65536,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"18", 
       TagBox[
        InterpretationBox["\<\"131,072\"\>",
         131072,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"19", 
       TagBox[
        InterpretationBox["\<\"262,144\"\>",
         262144,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"20", 
       TagBox[
        InterpretationBox["\<\"524,288\"\>",
         524288,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"21", 
       TagBox[
        InterpretationBox["\<\"1,048,576\"\>",
         1048576,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"22", 
       TagBox[
        InterpretationBox["\<\"2,097,152\"\>",
         2097152,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"23", 
       TagBox[
        InterpretationBox["\<\"4,194,304\"\>",
         4194304,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"24", 
       TagBox[
        InterpretationBox["\<\"8,388,608\"\>",
         8388608,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"25", 
       TagBox[
        InterpretationBox["\<\"16,777,216\"\>",
         16777216,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"26", 
       TagBox[
        InterpretationBox["\<\"33,554,432\"\>",
         33554432,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"27", 
       TagBox[
        InterpretationBox["\<\"67,108,864\"\>",
         67108864,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"28", 
       TagBox[
        InterpretationBox["\<\"134,217,728\"\>",
         134217728,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"29", 
       TagBox[
        InterpretationBox["\<\"268,435,456\"\>",
         268435456,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"30", 
       TagBox[
        InterpretationBox["\<\"536,870,912\"\>",
         536870912,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]},
      {"31", 
       TagBox[
        InterpretationBox["\<\"1,073,741,824\"\>",
         1073741824,
         Editable->False],
        NumberForm[#, DigitBlock -> 3]& ]}
     },
     ColumnsEqual->False,
     GridBoxAlignment->{"Columns" -> {{Right}}},
     GridBoxDividers->{"Columns" -> {{
          RGBColor[0.752907, 0.752907, 0.752907]}}, "Rows" -> {{
          RGBColor[0.752907, 0.752907, 0.752907]}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     RowsEqual->False],
    "Grid"]], "Text", "TR",ExpressionUUID->
   "980aa29d-5028-44cd-ba52-abbd3ee409a1"],
  Text[
   Grid[{{"day", "grains of rice"}, {1, 
      NumberForm[1, DigitBlock -> 3]}, {2, 
      NumberForm[2, DigitBlock -> 3]}, {3, 
      NumberForm[4, DigitBlock -> 3]}, {4, 
      NumberForm[8, DigitBlock -> 3]}, {5, 
      NumberForm[16, DigitBlock -> 3]}, {6, 
      NumberForm[32, DigitBlock -> 3]}, {7, 
      NumberForm[64, DigitBlock -> 3]}, {8, 
      NumberForm[128, DigitBlock -> 3]}, {9, 
      NumberForm[256, DigitBlock -> 3]}, {10, 
      NumberForm[512, DigitBlock -> 3]}, {11, 
      NumberForm[1024, DigitBlock -> 3]}, {12, 
      NumberForm[2048, DigitBlock -> 3]}, {13, 
      NumberForm[4096, DigitBlock -> 3]}, {14, 
      NumberForm[8192, DigitBlock -> 3]}, {15, 
      NumberForm[16384, DigitBlock -> 3]}, {16, 
      NumberForm[32768, DigitBlock -> 3]}, {17, 
      NumberForm[65536, DigitBlock -> 3]}, {18, 
      NumberForm[131072, DigitBlock -> 3]}, {19, 
      NumberForm[262144, DigitBlock -> 3]}, {20, 
      NumberForm[524288, DigitBlock -> 3]}, {21, 
      NumberForm[1048576, DigitBlock -> 3]}, {22, 
      NumberForm[2097152, DigitBlock -> 3]}, {23, 
      NumberForm[4194304, DigitBlock -> 3]}, {24, 
      NumberForm[8388608, DigitBlock -> 3]}, {25, 
      NumberForm[16777216, DigitBlock -> 3]}, {26, 
      NumberForm[33554432, DigitBlock -> 3]}, {27, 
      NumberForm[67108864, DigitBlock -> 3]}, {28, 
      NumberForm[134217728, DigitBlock -> 3]}, {29, 
      NumberForm[268435456, DigitBlock -> 3]}, {30, 
      NumberForm[536870912, DigitBlock -> 3]}, {31, 
      NumberForm[1073741824, DigitBlock -> 3]}}, Alignment -> Right, Dividers -> 
    RGBColor[0.752907, 0.752907, 0.752907]]]]], "Output",ExpressionUUID->\
"8719f950-6efa-44d2-8e43-4112f2a62506"]
}, Closed]],

Cell["\<\
The input below shows how to align numbers at the decimal point:\
\>", "Exercise",ExpressionUUID->"78a9a550-84df-4030-9e48-5f347dd382fa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Column", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["10", "n"], "*", 
      RowBox[{"N", "[", 
       RowBox[{"\[Pi]", ",", "6"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "5"}], "}"}]}], "]"}], ",", 
   RowBox[{"Alignment", "\[Rule]", "\"\<.\>\""}], ",", 
   RowBox[{"Dividers", "\[Rule]", "Gray"}]}], "]"}]], "Input",
 CellLabel->"In[68]:=",ExpressionUUID->"772d2640-dd59-446d-bece-2af6ed70476e"],

Cell[BoxData[
 TagBox[GridBox[{
    {"3.1415926535897932385`6."},
    {"31.4159265358979323846`6."},
    {"314.1592653589793238459`6."},
    {"3141.5926535897932384586`6."},
    {"31415.926535897932384586`6."},
    {"314159.2653589793238458599`6."}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{"."}}, "Rows" -> {{"."}}},
   GridBoxDividers->{"Columns" -> {{
        GrayLevel[0.5]}}, "Rows" -> {{
        GrayLevel[0.5]}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellLabel->"Out[68]=",ExpressionUUID->"9f8c4a86-0043-4b1e-b6d9-c35e77d335fd"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Section 8.4", "Subsection",ExpressionUUID->"6d7d00f8-ba0a-4ab1-8b1a-dad89f80b8be"],

Cell[TextData[{
 StyleBox["First", "MR"],
 " is being applied to ",
 StyleBox["Rule", "MR"],
 "."
}], "Exercise",ExpressionUUID->"c7abb0ad-a733-4b62-8480-3c37428d809d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Options", "[", "NSolve", "]"}]], "Input",ExpressionUUID->"9709a71c-b326-454c-86ce-f54292cda750"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"WorkingPrecision", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Sort", "\[Rule]", "True"}], ",", 
   RowBox[{"MonomialOrder", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Method", "\[Rule]", "Automatic"}]}], "}"}]], "Output",ExpressionUU\
ID->"bbbf58dd-f16c-44e4-91e6-9b4a58402394"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"WorkingPrecision", "\[Rule]", "Automatic"}], "//", 
  "FullForm"}]], "Input",ExpressionUUID->"eeae80b2-2433-4149-a830-\
3b08f1bba62a"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"Rule", "[", 
    RowBox[{"WorkingPrecision", ",", "Automatic"}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"c9e2f1cc-a98d-4272-b7ac-77661626a5d6"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"First", "/@", 
  RowBox[{"Options", "[", "NSolve", "]"}]}]], "Input",ExpressionUUID->\
"8df5ae8f-f818-436c-9924-ca8cc864df57"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "WorkingPrecision", ",", "Sort", ",", "MonomialOrder", ",", "Method"}], 
  "}"}]], "Output",ExpressionUUID->"7ee30b04-aaaa-4ceb-b0b3-1697b6420419"]
}, Closed]],

Cell[TextData[{
 "The ",
 StyleBox["CharacterRange", "MR"],
 " command is the ticket. It produces a list of the characters that start and \
end with those given as its arguments. ",
 StyleBox["Part", "MR"],
 " is then used to extract the desired character."
}], "Exercise",ExpressionUUID->"005d5011-456e-4cc6-b11d-ede2003e53be"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"CharacterRange", "[", 
     RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}], "\[LeftDoubleBracket]", 
    "#", "\[RightDoubleBracket]"}], "&"}]}]], "Input",ExpressionUUID->\
"ae656c0c-f23e-4b36-8a91-3125aa5f6621"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharacterRange", "[", 
    RowBox[{"\<\"a\"\>", ",", "\<\"z\"\>"}], "]"}], "\[LeftDoubleBracket]", 
   "#1", "\[RightDoubleBracket]"}], "&"}]], "Output",ExpressionUUID->\
"4a01b0ce-0afb-405a-96c7-ec22d92fe663"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", "19", "]"}]], "Input",ExpressionUUID->"29889940-fa86-44f7-83f4-0096cf078ccb"],

Cell[BoxData["\<\"s\"\>"], "Output",ExpressionUUID->"3d50c429-743c-4b6d-b341-0bd31c02c884"]
}, Closed]],

Cell[TextData[{
 "The output below shows the ",
 StyleBox["FullForm", "MR"],
 " expression."
}], "Exercise",ExpressionUUID->"f226888c-ff0e-43e7-85e7-9de20a8f4551"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["#", "2"], "&"}], "//", "FullForm"}]], "Input",ExpressionUUI\
D->"c52f987a-42bf-41c0-85d6-33f44e29b5e9"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"Function", "[", 
    RowBox[{"Power", "[", 
     RowBox[{
      RowBox[{"Slot", "[", "1", "]"}], ",", "2"}], "]"}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"7fda68ed-8ee7-43b1-8dec-55df0bc407f1"]
}, Closed]],

Cell[TextData[{
 "The output below shows the ",
 StyleBox["FullForm", "MR"],
 " expression."
}], "Exercise",ExpressionUUID->"237d0ad9-329c-4b61-971b-d125f26013fb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Norm", "[", 
     RowBox[{"{", 
      RowBox[{"#1", ",", "#2"}], "}"}], "]"}], "<", "3"}], "&"}], "//", 
  "FullForm"}]], "Input",ExpressionUUID->"5c4b545a-bba4-4e4b-9fad-\
5656cf19edf6"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"Function", "[", 
    RowBox[{"Less", "[", 
     RowBox[{
      RowBox[{"Norm", "[", 
       RowBox[{"List", "[", 
        RowBox[{
         RowBox[{"Slot", "[", "1", "]"}], ",", 
         RowBox[{"Slot", "[", "2", "]"}]}], "]"}], "]"}], ",", "3"}], "]"}], 
    "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",ExpressionUUID->"f0a69f0d-c538-4e94-aa8a-2216f10e1273"]
}, Closed]],

Cell["The definition is straightforward:", "ExerciseNoText",ExpressionUUID->"81da111b-0f91-4b64-b197-b254e0ef00de"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "=", 
   RowBox[{"Function", "[", 
    RowBox[{"x", ",", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", 
      RowBox[{"3", "x"}], "-", "1"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "2"}], "}"}]}], "]"}]}], "Input",ExpressionUUID->\
"daf445a8-f0dd-452e-a727-ffcfd442eed4"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw12HlYTd33APDbvd26R6k0IYpLEZUhRW/iHFTKEJFEwxtvpbxFEkKShGRq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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-5, 2}, {-3.2499997097444613`, 8.99999900000002}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",ExpressionUUID->"43e81058-c473-4d0d-ba31-\
037529dd6b5e"]
}, Closed]],

Cell[TextData[{
 "Again, the function ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],ExpressionUUID->
  "4e0983d3-83f0-4c20-b374-d578e45eeaa2"],
 " defined this way behaves exactly as you would expect:"
}], "ExercisePart",ExpressionUUID->"33353f7e-b7b8-4c13-818c-2603a2826446"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "'"}], "[", "x", "]"}]], "Input",ExpressionUUID->"c23ae617-19bf-4189-914a-b438e4bcbf34"],

Cell[BoxData[
 RowBox[{"3", "+", 
  RowBox[{"2", " ", "x"}]}]], "Output",ExpressionUUID->"e3ddf624-5a8c-44c8-95e1-c3736dfd71f2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Integral]", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], 
   RowBox[{"\[DifferentialD]", "x"}]}]}]], "Input",ExpressionUUID->"2e705c55-\
4a5e-4e96-a47b-60aef9fd4f99"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "x"}], "+", 
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox["x", "2"]}], "2"], "+", 
  FractionBox[
   SuperscriptBox["x", "3"], "3"]}]], "Output",ExpressionUUID->"4e106d0e-a96c-\
4370-90df-b8aff1df7151"]
}, Closed]],

Cell[TextData[{
 "The first argument to ",
 StyleBox["Function", "MR"],
 " is a list of the argument names."
}], "Exercise",ExpressionUUID->"70a85008-d6dc-4a43-bc05-8fd3cb59a126"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"f", "=", 
  RowBox[{"Function", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "2"], "y"}], "-", "x", "+", 
     RowBox[{"3", "y"}]}]}], "]"}]}]}], "Input",ExpressionUUID->"90fd5550-\
e19e-4725-ab3f-54c8f8842545"],

Cell[BoxData[
 RowBox[{"Function", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}], ",", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "-", "x", "+", 
    RowBox[{"3", " ", "y"}]}]}], "]"}]], "Output",ExpressionUUID->"b5f5551c-\
0d3a-447f-bb18-920c4f8cba9e"]
}, Closed]],

Cell[TextData[{
 "Recall that vector fields in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " are given as lists of coordinate functions. So the second argument to ",
 StyleBox["Function", "MR"],
 " is also a list in this case."
}], "Exercise",ExpressionUUID->"98f56c00-421f-400f-aca7-a4a1aa4bbc7f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"f", "=", 
  RowBox[{"Function", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "2"], "y"}], "-", "x", "+", 
       RowBox[{"3", "y"}]}], ",", 
      RowBox[{"Cos", "[", "x", "]"}]}], "}"}]}], "]"}]}]}], "Input",Expression\
UUID->"5b30f85f-d88e-47c8-9d74-4b4c4aff6084"],

Cell[BoxData[
 RowBox[{"Function", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "2"], " ", "y"}], "-", "x", "+", 
      RowBox[{"3", " ", "y"}]}], ",", 
     RowBox[{"Cos", "[", "x", "]"}]}], "}"}]}], "]"}]], "Output",ExpressionUUI\
D->"397552de-87da-4fdb-b7d8-da5f53d260d0"]
}, Closed]],

Cell[TextData[{
 "Each row of the table is of the form ",
 StyleBox["List[", "MR"],
 StyleBox["lhs",
  FontSlant->"Italic"],
 StyleBox[",", "MR"],
 "\[ThinSpace]",
 StyleBox["rhs",
  FontSlant->"Italic"],
 StyleBox["]", "MR"],
 ". We could use ",
 StyleBox["Apply[Equal,", "MR"],
 "\[ThinSpace]",
 StyleBox["#]&", "MR"],
 " on each row to replace the head ",
 StyleBox["List", "MR"],
 " with ",
 StyleBox["Equal", "MR"],
 ". That is, we ",
 StyleBox["Map", "MR"],
 " this pure function over ",
 StyleBox["t", "MR"],
 ", and then display the result. Equivalently, we could supply a third \
argument to ",
 StyleBox["Apply", "MR"],
 " to specify the ",
 StyleBox["level",
  FontSlant->"Italic"],
 " in the table at which ",
 StyleBox["Equal", "MR"],
 " is applied. In this case, we apply it at level 1."
}], "ExerciseNoText",ExpressionUUID->"e50293c5-f654-4e7d-8cac-232eecf70fa5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"t", ",", "k", ",", "a"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Tan", "[", 
        RowBox[{"k", " ", "a"}], "]"}], ",", 
       RowBox[{"Together", "[", 
        RowBox[{"TrigExpand", "[", 
         RowBox[{"Tan", "[", 
          RowBox[{"k", " ", "a"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "2", ",", "9"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Column", "[", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"Equal", ",", "t", ",", "1"}], "]"}], ",", 
    RowBox[{"Dividers", "\[Rule]", "Gray"}]}], "]"}], "//", 
  "TraditionalForm"}]}], "Input",ExpressionUUID->"a16e105b-8e49-4007-830e-\
e3de4f17800e"],

Cell[BoxData[
 FormBox[
  TagBox[GridBox[{
     {
      RowBox[{
       RowBox[{"tan", "(", 
        RowBox[{"2", " ", "a"}], ")"}], "\[LongEqual]", 
       FractionBox[
        RowBox[{"2", " ", 
         RowBox[{"cos", "(", "a", ")"}], " ", 
         RowBox[{"sin", "(", "a", ")"}]}], 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "a", ")"}], "-", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "a", ")"}]}]]}]},
     {
      RowBox[{
       RowBox[{"tan", "(", 
        RowBox[{"3", " ", "a"}], ")"}], "\[LongEqual]", 
       FractionBox[
        RowBox[{
         RowBox[{"sec", "(", "a", ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", " ", 
            RowBox[{
             SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
            RowBox[{"sin", "(", "a", ")"}]}], "-", 
           RowBox[{
            SuperscriptBox["sin", "3"], "(", "a", ")"}]}], ")"}]}], 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "a", ")"}], "-", 
         RowBox[{"3", " ", 
          RowBox[{
           SuperscriptBox["sin", "2"], "(", "a", ")"}]}]}]]}]},
     {
      RowBox[{
       RowBox[{"tan", "(", 
        RowBox[{"4", " ", "a"}], ")"}], "\[LongEqual]", 
       FractionBox[
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{
             SuperscriptBox["cos", "3"], "(", "a", ")"}], " ", 
            RowBox[{"sin", "(", "a", ")"}]}], "-", 
           RowBox[{
            RowBox[{"cos", "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["sin", "3"], "(", "a", ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "4"], "(", "a", ")"}], "-", 
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["sin", "4"], "(", "a", ")"}]}]]}]},
     {
      RowBox[{
       RowBox[{"tan", "(", 
        RowBox[{"5", " ", "a"}], ")"}], "\[LongEqual]", 
       FractionBox[
        RowBox[{
         RowBox[{"sec", "(", "a", ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox["sin", "5"], "(", "a", ")"}], "-", 
           RowBox[{"10", " ", 
            RowBox[{
             SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["sin", "3"], "(", "a", ")"}]}], "+", 
           RowBox[{"5", " ", 
            RowBox[{
             SuperscriptBox["cos", "4"], "(", "a", ")"}], " ", 
            RowBox[{"sin", "(", "a", ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "4"], "(", "a", ")"}], "-", 
         RowBox[{"10", " ", 
          RowBox[{
           SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
         RowBox[{"5", " ", 
          RowBox[{
           SuperscriptBox["sin", "4"], "(", "a", ")"}]}]}]]}]},
     {
      RowBox[{
       RowBox[{"tan", "(", 
        RowBox[{"6", " ", "a"}], ")"}], "\[LongEqual]", 
       FractionBox[
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", " ", 
            RowBox[{"sin", "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["cos", "5"], "(", "a", ")"}]}], "-", 
           RowBox[{"10", " ", 
            RowBox[{
             SuperscriptBox["sin", "3"], "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["cos", "3"], "(", "a", ")"}]}], "+", 
           RowBox[{"3", " ", 
            RowBox[{
             SuperscriptBox["sin", "5"], "(", "a", ")"}], " ", 
            RowBox[{"cos", "(", "a", ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "6"], "(", "a", ")"}], "-", 
         RowBox[{"15", " ", 
          RowBox[{
           SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "+", 
         RowBox[{"15", " ", 
          RowBox[{
           SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["sin", "6"], "(", "a", ")"}]}]]}]},
     {
      RowBox[{
       RowBox[{"tan", "(", 
        RowBox[{"7", " ", "a"}], ")"}], "\[LongEqual]", 
       FractionBox[
        RowBox[{
         RowBox[{"sec", "(", "a", ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             SuperscriptBox["sin", "7"], "(", "a", ")"}]}], "+", 
           RowBox[{"21", " ", 
            RowBox[{
             SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["sin", "5"], "(", "a", ")"}]}], "-", 
           RowBox[{"35", " ", 
            RowBox[{
             SuperscriptBox["cos", "4"], "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["sin", "3"], "(", "a", ")"}]}], "+", 
           RowBox[{"7", " ", 
            RowBox[{
             SuperscriptBox["cos", "6"], "(", "a", ")"}], " ", 
            RowBox[{"sin", "(", "a", ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "6"], "(", "a", ")"}], "-", 
         RowBox[{"21", " ", 
          RowBox[{
           SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "+", 
         RowBox[{"35", " ", 
          RowBox[{
           SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "-", 
         RowBox[{"7", " ", 
          RowBox[{
           SuperscriptBox["sin", "6"], "(", "a", ")"}]}]}]]}]},
     {
      RowBox[{
       RowBox[{"tan", "(", 
        RowBox[{"8", " ", "a"}], ")"}], "\[LongEqual]", 
       FractionBox[
        RowBox[{"8", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"sin", "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["cos", "7"], "(", "a", ")"}]}], "-", 
           RowBox[{"7", " ", 
            RowBox[{
             SuperscriptBox["sin", "3"], "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["cos", "5"], "(", "a", ")"}]}], "+", 
           RowBox[{"7", " ", 
            RowBox[{
             SuperscriptBox["sin", "5"], "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["cos", "3"], "(", "a", ")"}]}], "-", 
           RowBox[{
            RowBox[{
             SuperscriptBox["sin", "7"], "(", "a", ")"}], " ", 
            RowBox[{"cos", "(", "a", ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "8"], "(", "a", ")"}], "-", 
         RowBox[{"28", " ", 
          RowBox[{
           SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "6"], "(", "a", ")"}]}], "+", 
         RowBox[{"70", " ", 
          RowBox[{
           SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "-", 
         RowBox[{"28", " ", 
          RowBox[{
           SuperscriptBox["sin", "6"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["sin", "8"], "(", "a", ")"}]}]]}]},
     {
      RowBox[{
       RowBox[{"tan", "(", 
        RowBox[{"9", " ", "a"}], ")"}], "\[LongEqual]", 
       FractionBox[
        RowBox[{
         RowBox[{"sec", "(", "a", ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox["sin", "9"], "(", "a", ")"}], "-", 
           RowBox[{"36", " ", 
            RowBox[{
             SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["sin", "7"], "(", "a", ")"}]}], "+", 
           RowBox[{"126", " ", 
            RowBox[{
             SuperscriptBox["cos", "4"], "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["sin", "5"], "(", "a", ")"}]}], "-", 
           RowBox[{"84", " ", 
            RowBox[{
             SuperscriptBox["cos", "6"], "(", "a", ")"}], " ", 
            RowBox[{
             SuperscriptBox["sin", "3"], "(", "a", ")"}]}], "+", 
           RowBox[{"9", " ", 
            RowBox[{
             SuperscriptBox["cos", "8"], "(", "a", ")"}], " ", 
            RowBox[{"sin", "(", "a", ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "8"], "(", "a", ")"}], "-", 
         RowBox[{"36", " ", 
          RowBox[{
           SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "6"], "(", "a", ")"}]}], "+", 
         RowBox[{"126", " ", 
          RowBox[{
           SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "-", 
         RowBox[{"84", " ", 
          RowBox[{
           SuperscriptBox["sin", "6"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
         RowBox[{"9", " ", 
          RowBox[{
           SuperscriptBox["sin", "8"], "(", "a", ")"}]}]}]]}]}
    },
    ColumnsEqual->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxDividers->{"Columns" -> {{
         RGBColor[0.752907, 0.752907, 0.752907]}}, "Rows" -> {{
         RGBColor[0.752907, 0.752907, 0.752907]}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    RowsEqual->False],
   "Column"], TraditionalForm]], "Output",ExpressionUUID->"9904f692-4ae4-4da1-\
9836-4df32662722c"]
}, Closed]],

Cell[TextData[{
 "Each row of the table is of the form ",
 StyleBox["List[", "MR"],
 StyleBox["lhs",
  FontSlant->"Italic"],
 StyleBox[",", "MR"],
 "\[ThinSpace]",
 StyleBox["rhs",
  FontSlant->"Italic"],
 StyleBox["]", "MR"],
 ". Use ",
 StyleBox["Apply[Rule,", "MR"],
 "\[ThinSpace]",
 StyleBox["#]&", "MR"],
 " on each row to replace the head ",
 StyleBox["List", "MR"],
 " with ",
 StyleBox["Rule", "MR"],
 ". That is, we ",
 StyleBox["Map", "MR"],
 " this pure function over ",
 StyleBox["t", "MR"],
 ", and then display the result with ",
 StyleBox["TabView", "MR"],
 ". Again, we utilize the third argument to ",
 StyleBox["Apply", "MR"],
 " to specify that it is to applied at level 1. In the second input below, we \
finesse this idea in order to specify the display style of both the tabs and \
the content pane."
}], "ExercisePart",ExpressionUUID->"a8381534-8e63-4cc5-84dc-f6efe06d7356"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TabView", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Rule", ",", "t", ",", "1"}], "]"}], "]"}], "//", 
  "TraditionalForm"}]], "Input",ExpressionUUID->"9fec8adb-9d3f-42d6-adae-\
13aac42faeae"],

Cell[BoxData[
 FormBox[
  TabViewBox[{{1,
   RowBox[{"tan", "(", 
    RowBox[{"2", " ", "a"}], ")"}]->
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"cos", "(", "a", ")"}], " ", 
     RowBox[{"sin", "(", "a", ")"}]}], 
    RowBox[{
     RowBox[{
      SuperscriptBox["cos", "2"], "(", "a", ")"}], "-", 
     RowBox[{
      SuperscriptBox["sin", "2"], "(", "a", ")"}]}]]}, {2,
   RowBox[{"tan", "(", 
    RowBox[{"3", " ", "a"}], ")"}]->
   FractionBox[
    RowBox[{
     RowBox[{"sec", "(", "a", ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{
         SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
        RowBox[{"sin", "(", "a", ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["sin", "3"], "(", "a", ")"}]}], ")"}]}], 
    RowBox[{
     RowBox[{
      SuperscriptBox["cos", "2"], "(", "a", ")"}], "-", 
     RowBox[{"3", " ", 
      RowBox[{
       SuperscriptBox["sin", "2"], "(", "a", ")"}]}]}]]}, {3,
   RowBox[{"tan", "(", 
    RowBox[{"4", " ", "a"}], ")"}]->
   FractionBox[
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         SuperscriptBox["cos", "3"], "(", "a", ")"}], " ", 
        RowBox[{"sin", "(", "a", ")"}]}], "-", 
       RowBox[{
        RowBox[{"cos", "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["sin", "3"], "(", "a", ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{
      SuperscriptBox["cos", "4"], "(", "a", ")"}], "-", 
     RowBox[{"6", " ", 
      RowBox[{
       SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
      RowBox[{
       SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["sin", "4"], "(", "a", ")"}]}]]}, {4,
   RowBox[{"tan", "(", 
    RowBox[{"5", " ", "a"}], ")"}]->
   FractionBox[
    RowBox[{
     RowBox[{"sec", "(", "a", ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["sin", "5"], "(", "a", ")"}], "-", 
       RowBox[{"10", " ", 
        RowBox[{
         SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["sin", "3"], "(", "a", ")"}]}], "+", 
       RowBox[{"5", " ", 
        RowBox[{
         SuperscriptBox["cos", "4"], "(", "a", ")"}], " ", 
        RowBox[{"sin", "(", "a", ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{
      SuperscriptBox["cos", "4"], "(", "a", ")"}], "-", 
     RowBox[{"10", " ", 
      RowBox[{
       SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
      RowBox[{
       SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
     RowBox[{"5", " ", 
      RowBox[{
       SuperscriptBox["sin", "4"], "(", "a", ")"}]}]}]]}, {5,
   RowBox[{"tan", "(", 
    RowBox[{"6", " ", "a"}], ")"}]->
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{"sin", "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "5"], "(", "a", ")"}]}], "-", 
       RowBox[{"10", " ", 
        RowBox[{
         SuperscriptBox["sin", "3"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "3"], "(", "a", ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{
         SuperscriptBox["sin", "5"], "(", "a", ")"}], " ", 
        RowBox[{"cos", "(", "a", ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{
      SuperscriptBox["cos", "6"], "(", "a", ")"}], "-", 
     RowBox[{"15", " ", 
      RowBox[{
       SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
      RowBox[{
       SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "+", 
     RowBox[{"15", " ", 
      RowBox[{
       SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
      RowBox[{
       SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["sin", "6"], "(", "a", ")"}]}]]}, {6,
   RowBox[{"tan", "(", 
    RowBox[{"7", " ", "a"}], ")"}]->
   FractionBox[
    RowBox[{
     RowBox[{"sec", "(", "a", ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         SuperscriptBox["sin", "7"], "(", "a", ")"}]}], "+", 
       RowBox[{"21", " ", 
        RowBox[{
         SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["sin", "5"], "(", "a", ")"}]}], "-", 
       RowBox[{"35", " ", 
        RowBox[{
         SuperscriptBox["cos", "4"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["sin", "3"], "(", "a", ")"}]}], "+", 
       RowBox[{"7", " ", 
        RowBox[{
         SuperscriptBox["cos", "6"], "(", "a", ")"}], " ", 
        RowBox[{"sin", "(", "a", ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{
      SuperscriptBox["cos", "6"], "(", "a", ")"}], "-", 
     RowBox[{"21", " ", 
      RowBox[{
       SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
      RowBox[{
       SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "+", 
     RowBox[{"35", " ", 
      RowBox[{
       SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
      RowBox[{
       SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "-", 
     RowBox[{"7", " ", 
      RowBox[{
       SuperscriptBox["sin", "6"], "(", "a", ")"}]}]}]]}, {7,
   RowBox[{"tan", "(", 
    RowBox[{"8", " ", "a"}], ")"}]->
   FractionBox[
    RowBox[{"8", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"sin", "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "7"], "(", "a", ")"}]}], "-", 
       RowBox[{"7", " ", 
        RowBox[{
         SuperscriptBox["sin", "3"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "5"], "(", "a", ")"}]}], "+", 
       RowBox[{"7", " ", 
        RowBox[{
         SuperscriptBox["sin", "5"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "3"], "(", "a", ")"}]}], "-", 
       RowBox[{
        RowBox[{
         SuperscriptBox["sin", "7"], "(", "a", ")"}], " ", 
        RowBox[{"cos", "(", "a", ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{
      SuperscriptBox["cos", "8"], "(", "a", ")"}], "-", 
     RowBox[{"28", " ", 
      RowBox[{
       SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
      RowBox[{
       SuperscriptBox["cos", "6"], "(", "a", ")"}]}], "+", 
     RowBox[{"70", " ", 
      RowBox[{
       SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
      RowBox[{
       SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "-", 
     RowBox[{"28", " ", 
      RowBox[{
       SuperscriptBox["sin", "6"], "(", "a", ")"}], " ", 
      RowBox[{
       SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["sin", "8"], "(", "a", ")"}]}]]}, {8,
   RowBox[{"tan", "(", 
    RowBox[{"9", " ", "a"}], ")"}]->
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"sec", "(", "a", ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["sin", "9"], "(", "a", ")"}], "-", 
        RowBox[{"36", " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "7"], "(", "a", ")"}]}], "+", 
        RowBox[{"126", " ", 
         RowBox[{
          SuperscriptBox["cos", "4"], "(", "a", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "5"], "(", "a", ")"}]}], "-", 
        RowBox[{"84", " ", 
         RowBox[{
          SuperscriptBox["cos", "6"], "(", "a", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "3"], "(", "a", ")"}]}], "+", 
        RowBox[{"9", " ", 
         RowBox[{
          SuperscriptBox["cos", "8"], "(", "a", ")"}], " ", 
         RowBox[{"sin", "(", "a", ")"}]}]}], ")"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["cos", "8"], "(", "a", ")"}], "-", 
      RowBox[{"36", " ", 
       RowBox[{
        SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
       RowBox[{
        SuperscriptBox["cos", "6"], "(", "a", ")"}]}], "+", 
      RowBox[{"126", " ", 
       RowBox[{
        SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
       RowBox[{
        SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "-", 
      RowBox[{"84", " ", 
       RowBox[{
        SuperscriptBox["sin", "6"], "(", "a", ")"}], " ", 
       RowBox[{
        SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
      RowBox[{"9", " ", 
       RowBox[{
        SuperscriptBox["sin", "8"], "(", "a", ")"}]}]}], ")"}]}]}}, 1], 
  TraditionalForm]], "Output",ExpressionUUID->"3491d925-72c3-409c-a5d6-\
0f98e4df8dfa"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TabView", "@", 
  RowBox[{"Apply", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Rule", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"TraditionalForm", "[", "#1", "]"}], ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"TraditionalForm", "[", "#2", "]"}], ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "]"}]}], "]"}],
      "&"}], ",", "t", ",", "1"}], "]"}]}]], "Input",ExpressionUUID->\
"56602c55-9e3b-469c-aa34-6b5849e59b26"],

Cell[BoxData[
 TabViewBox[{{1,
  StyleBox[
   TagBox[
    FormBox[
     RowBox[{"tan", "(", 
      RowBox[{"2", " ", "a"}], ")"}],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]->
  StyleBox[
   TagBox[
    FormBox[
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"cos", "(", "a", ")"}], " ", 
       RowBox[{"sin", "(", "a", ")"}]}], 
      RowBox[{
       RowBox[{
        SuperscriptBox["cos", "2"], "(", "a", ")"}], "-", 
       RowBox[{
        SuperscriptBox["sin", "2"], "(", "a", ")"}]}]],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]}, {2,
  StyleBox[
   TagBox[
    FormBox[
     RowBox[{"tan", "(", 
      RowBox[{"3", " ", "a"}], ")"}],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]->
  StyleBox[
   TagBox[
    FormBox[
     FractionBox[
      RowBox[{
       RowBox[{"sec", "(", "a", ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", " ", 
          RowBox[{
           SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
          RowBox[{"sin", "(", "a", ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["sin", "3"], "(", "a", ")"}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        SuperscriptBox["cos", "2"], "(", "a", ")"}], "-", 
       RowBox[{"3", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "a", ")"}]}]}]],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]}, {3,
  StyleBox[
   TagBox[
    FormBox[
     RowBox[{"tan", "(", 
      RowBox[{"4", " ", "a"}], ")"}],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]->
  StyleBox[
   TagBox[
    FormBox[
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           SuperscriptBox["cos", "3"], "(", "a", ")"}], " ", 
          RowBox[{"sin", "(", "a", ")"}]}], "-", 
         RowBox[{
          RowBox[{"cos", "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["sin", "3"], "(", "a", ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        SuperscriptBox["cos", "4"], "(", "a", ")"}], "-", 
       RowBox[{"6", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["sin", "4"], "(", "a", ")"}]}]],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]}, {4,
  StyleBox[
   TagBox[
    FormBox[
     RowBox[{"tan", "(", 
      RowBox[{"5", " ", "a"}], ")"}],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]->
  StyleBox[
   TagBox[
    FormBox[
     FractionBox[
      RowBox[{
       RowBox[{"sec", "(", "a", ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "5"], "(", "a", ")"}], "-", 
         RowBox[{"10", " ", 
          RowBox[{
           SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["sin", "3"], "(", "a", ")"}]}], "+", 
         RowBox[{"5", " ", 
          RowBox[{
           SuperscriptBox["cos", "4"], "(", "a", ")"}], " ", 
          RowBox[{"sin", "(", "a", ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        SuperscriptBox["cos", "4"], "(", "a", ")"}], "-", 
       RowBox[{"10", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
       RowBox[{"5", " ", 
        RowBox[{
         SuperscriptBox["sin", "4"], "(", "a", ")"}]}]}]],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]}, {5,
  StyleBox[
   TagBox[
    FormBox[
     RowBox[{"tan", "(", 
      RowBox[{"6", " ", "a"}], ")"}],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]->
  StyleBox[
   TagBox[
    FormBox[
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", " ", 
          RowBox[{"sin", "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "5"], "(", "a", ")"}]}], "-", 
         RowBox[{"10", " ", 
          RowBox[{
           SuperscriptBox["sin", "3"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "3"], "(", "a", ")"}]}], "+", 
         RowBox[{"3", " ", 
          RowBox[{
           SuperscriptBox["sin", "5"], "(", "a", ")"}], " ", 
          RowBox[{"cos", "(", "a", ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        SuperscriptBox["cos", "6"], "(", "a", ")"}], "-", 
       RowBox[{"15", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "+", 
       RowBox[{"15", " ", 
        RowBox[{
         SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["sin", "6"], "(", "a", ")"}]}]],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]}, {6,
  StyleBox[
   TagBox[
    FormBox[
     RowBox[{"tan", "(", 
      RowBox[{"7", " ", "a"}], ")"}],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]->
  StyleBox[
   TagBox[
    FormBox[
     FractionBox[
      RowBox[{
       RowBox[{"sec", "(", "a", ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{
           SuperscriptBox["sin", "7"], "(", "a", ")"}]}], "+", 
         RowBox[{"21", " ", 
          RowBox[{
           SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["sin", "5"], "(", "a", ")"}]}], "-", 
         RowBox[{"35", " ", 
          RowBox[{
           SuperscriptBox["cos", "4"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["sin", "3"], "(", "a", ")"}]}], "+", 
         RowBox[{"7", " ", 
          RowBox[{
           SuperscriptBox["cos", "6"], "(", "a", ")"}], " ", 
          RowBox[{"sin", "(", "a", ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        SuperscriptBox["cos", "6"], "(", "a", ")"}], "-", 
       RowBox[{"21", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "+", 
       RowBox[{"35", " ", 
        RowBox[{
         SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "-", 
       RowBox[{"7", " ", 
        RowBox[{
         SuperscriptBox["sin", "6"], "(", "a", ")"}]}]}]],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]}, {7,
  StyleBox[
   TagBox[
    FormBox[
     RowBox[{"tan", "(", 
      RowBox[{"8", " ", "a"}], ")"}],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]->
  StyleBox[
   TagBox[
    FormBox[
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"sin", "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "7"], "(", "a", ")"}]}], "-", 
         RowBox[{"7", " ", 
          RowBox[{
           SuperscriptBox["sin", "3"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "5"], "(", "a", ")"}]}], "+", 
         RowBox[{"7", " ", 
          RowBox[{
           SuperscriptBox["sin", "5"], "(", "a", ")"}], " ", 
          RowBox[{
           SuperscriptBox["cos", "3"], "(", "a", ")"}]}], "-", 
         RowBox[{
          RowBox[{
           SuperscriptBox["sin", "7"], "(", "a", ")"}], " ", 
          RowBox[{"cos", "(", "a", ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        SuperscriptBox["cos", "8"], "(", "a", ")"}], "-", 
       RowBox[{"28", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "6"], "(", "a", ")"}]}], "+", 
       RowBox[{"70", " ", 
        RowBox[{
         SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "-", 
       RowBox[{"28", " ", 
        RowBox[{
         SuperscriptBox["sin", "6"], "(", "a", ")"}], " ", 
        RowBox[{
         SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["sin", "8"], "(", "a", ")"}]}]],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]}, {8,
  StyleBox[
   TagBox[
    FormBox[
     RowBox[{"tan", "(", 
      RowBox[{"9", " ", "a"}], ")"}],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]->
  StyleBox[
   TagBox[
    FormBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"sec", "(", "a", ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["sin", "9"], "(", "a", ")"}], "-", 
          RowBox[{"36", " ", 
           RowBox[{
            SuperscriptBox["cos", "2"], "(", "a", ")"}], " ", 
           RowBox[{
            SuperscriptBox["sin", "7"], "(", "a", ")"}]}], "+", 
          RowBox[{"126", " ", 
           RowBox[{
            SuperscriptBox["cos", "4"], "(", "a", ")"}], " ", 
           RowBox[{
            SuperscriptBox["sin", "5"], "(", "a", ")"}]}], "-", 
          RowBox[{"84", " ", 
           RowBox[{
            SuperscriptBox["cos", "6"], "(", "a", ")"}], " ", 
           RowBox[{
            SuperscriptBox["sin", "3"], "(", "a", ")"}]}], "+", 
          RowBox[{"9", " ", 
           RowBox[{
            SuperscriptBox["cos", "8"], "(", "a", ")"}], " ", 
           RowBox[{"sin", "(", "a", ")"}]}]}], ")"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["cos", "8"], "(", "a", ")"}], "-", 
        RowBox[{"36", " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "a", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "6"], "(", "a", ")"}]}], "+", 
        RowBox[{"126", " ", 
         RowBox[{
          SuperscriptBox["sin", "4"], "(", "a", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "4"], "(", "a", ")"}]}], "-", 
        RowBox[{"84", " ", 
         RowBox[{
          SuperscriptBox["sin", "6"], "(", "a", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "a", ")"}]}], "+", 
        RowBox[{"9", " ", 
         RowBox[{
          SuperscriptBox["sin", "8"], "(", "a", ")"}]}]}], ")"}]}],
     TraditionalForm],
    TraditionalForm,
    Editable->True],
   StripOnInput->False,
   FontFamily->"Times"]}}, 1]], "Output",ExpressionUUID->"50f338de-af73-4907-\
b2ab-0b1e95f0f3fd"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", "t", "]"}]], "Input",ExpressionUUID->"c84d85eb-a9ad-4291-829f-7e9733b08bfb"],

Cell["You\[CloseCurlyQuote]re on your own with this one.", "Exercise",ExpressionUUID->"2c7ec9ea-c16d-4a6f-8e7a-7e7f71cbf691"],

Cell["Here are examples of the constituent commands:", "Exercise",ExpressionUUID->"d65cc2e7-eeee-4475-85bb-51eab4360596"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"StringReplace", "[", 
  RowBox[{"\"\<four score and seven years ago\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<a\>\"", "\[Rule]", "\"\<1\>\""}], ",", 
     RowBox[{"\"\<s\>\"", "\[Rule]", "\"\<2\>\""}]}], "}"}]}], "]"}]], "Input",\
ExpressionUUID->"b256c7f2-42f7-43f6-b8db-cfe2c4039909"],

Cell[BoxData["\<\"four 2core 1nd 2even ye1r2 1go\"\>"], "Output",ExpressionUUID->"a4164aa9-4926-4655-86e0-6e00ebbaac75"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Thread", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\"\<a\>\"", ",", "\"\<s\>\""}], "}"}], "\[Rule]", 
   RowBox[{"{", 
    RowBox[{"\"\<1\>\"", ",", "\"\<2\>\""}], "}"}]}], "]"}]], "Input",Expressi\
onUUID->"de6886ff-6024-41c3-8bbc-4741d5bf68e3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\<\"a\"\>", "\[Rule]", "\<\"1\"\>"}], ",", 
   RowBox[{"\<\"s\"\>", "\[Rule]", "\<\"2\"\>"}]}], "}"}]], "Output",Expressio\
nUUID->"0dd6d8a8-59c3-4324-8a7a-759635d6852e"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CharacterRange", "[", 
  RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}]], "Input",ExpressionUUID->\
"ddf1a239-7ea3-4773-9321-ac89d11bb2cc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"a\"\>", ",", "\<\"b\"\>", ",", "\<\"c\"\>", ",", "\<\"d\"\>", 
   ",", "\<\"e\"\>", ",", "\<\"f\"\>", ",", "\<\"g\"\>", ",", "\<\"h\"\>", 
   ",", "\<\"i\"\>", ",", "\<\"j\"\>", ",", "\<\"k\"\>", ",", "\<\"l\"\>", 
   ",", "\<\"m\"\>", ",", "\<\"n\"\>", ",", "\<\"o\"\>", ",", "\<\"p\"\>", 
   ",", "\<\"q\"\>", ",", "\<\"r\"\>", ",", "\<\"s\"\>", ",", "\<\"t\"\>", 
   ",", "\<\"u\"\>", ",", "\<\"v\"\>", ",", "\<\"w\"\>", ",", "\<\"x\"\>", 
   ",", "\<\"y\"\>", ",", "\<\"z\"\>"}], "}"}]], "Output",ExpressionUUID->\
"884db545-09d3-41f4-8207-7d78b2fe710a"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RotateLeft", "[", "%", "]"}]], "Input",ExpressionUUID->"731f429d-3592-4e2d-84b1-b59cbfb2b703"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"b\"\>", ",", "\<\"c\"\>", ",", "\<\"d\"\>", ",", "\<\"e\"\>", 
   ",", "\<\"f\"\>", ",", "\<\"g\"\>", ",", "\<\"h\"\>", ",", "\<\"i\"\>", 
   ",", "\<\"j\"\>", ",", "\<\"k\"\>", ",", "\<\"l\"\>", ",", "\<\"m\"\>", 
   ",", "\<\"n\"\>", ",", "\<\"o\"\>", ",", "\<\"p\"\>", ",", "\<\"q\"\>", 
   ",", "\<\"r\"\>", ",", "\<\"s\"\>", ",", "\<\"t\"\>", ",", "\<\"u\"\>", 
   ",", "\<\"v\"\>", ",", "\<\"w\"\>", ",", "\<\"x\"\>", ",", "\<\"y\"\>", 
   ",", "\<\"z\"\>", ",", "\<\"a\"\>"}], "}"}]], "Output",ExpressionUUID->\
"c8ea020a-823e-4b03-87d9-ea4c26978c30"]
}, Closed]],

Cell["Putting them together we get:", "ExercisePart",ExpressionUUID->"96b77648-7925-4e4f-b073-4c19d09ef9c8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"encode", "[", "str_", "]"}], ":=", 
  RowBox[{"StringReplace", "[", 
   RowBox[{"str", ",", 
    RowBox[{"Thread", "[", 
     RowBox[{
      RowBox[{"CharacterRange", "[", 
       RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}], "\[Rule]", 
      RowBox[{"RotateLeft", "[", 
       RowBox[{"CharacterRange", "[", 
        RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}], "]"}]}], "]"}]}], 
   "]"}]}]], "Input",ExpressionUUID->"6e8ea2d8-6bbc-4d59-8317-f7b6bc3f6a45"],

Cell[TextData[{
 "Using ",
 StyleBox["RotateRight", "MR"],
 " to counteract the ",
 StyleBox["RotateLeft", "MR"],
 ", we get:"
}], "ExercisePart",ExpressionUUID->"6804abeb-5817-4764-b531-c5a6dc3b1068"],

Cell[BoxData[
 RowBox[{
  RowBox[{"decode", "[", "str_", "]"}], ":=", 
  RowBox[{"StringReplace", "[", 
   RowBox[{"str", ",", 
    RowBox[{"Thread", "[", 
     RowBox[{
      RowBox[{"CharacterRange", "[", 
       RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}], "\[Rule]", 
      RowBox[{"RotateRight", "[", 
       RowBox[{"CharacterRange", "[", 
        RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}], "]"}]}], "]"}]}], 
   "]"}]}]], "Input",ExpressionUUID->"2aecda42-5e56-4a4b-a70a-f2ea0a14e96e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"encode", "[", "\"\<four score and seven years ago\>\"", 
  "]"}]], "Input",ExpressionUUID->"2c3f380c-f795-4b4f-ad5b-1b3fb5950b2f"],

Cell[BoxData["\<\"gpvs tdpsf boe tfwfo zfbst bhp\"\>"], "Output",ExpressionUUID->"e8971d96-d535-490c-a922-7c4ef0cff40b"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"decode", "[", "%", "]"}]], "Input",ExpressionUUID->"45d1ce03-4dee-41ae-abc6-94e4bf2a581b"],

Cell[BoxData["\<\"four score and seven years ago\"\>"], "Output",ExpressionUUID->"d66a7707-3ab0-456d-be14-02eb1d311662"]
}, Closed]],

Cell[TextData[{
 "Use the optional second argument to ",
 StyleBox["RotateLeft", "MR"],
 " and ",
 StyleBox["RotateRight", "MR"],
 " to specify the number of places in the shift."
}], "Exercise",ExpressionUUID->"466fb182-caef-4c65-b6e1-5ba93a283540"],

Cell[BoxData[
 RowBox[{
  RowBox[{"encode", "[", 
   RowBox[{"str_", ",", "k_"}], "]"}], ":=", 
  RowBox[{"StringReplace", "[", 
   RowBox[{"str", ",", 
    RowBox[{"Thread", "[", 
     RowBox[{
      RowBox[{"CharacterRange", "[", 
       RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}], "\[Rule]", 
      RowBox[{"RotateLeft", "[", 
       RowBox[{
        RowBox[{"CharacterRange", "[", 
         RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}], ",", "k"}], "]"}]}], 
     "]"}]}], "]"}]}]], "Input",ExpressionUUID->"59446237-bf42-4698-ac99-\
28099ac165d8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"decode", "[", 
   RowBox[{"str_", ",", "k_"}], "]"}], ":=", 
  RowBox[{"StringReplace", "[", 
   RowBox[{"str", ",", 
    RowBox[{"Thread", "[", 
     RowBox[{
      RowBox[{"CharacterRange", "[", 
       RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}], "\[Rule]", 
      RowBox[{"RotateRight", "[", 
       RowBox[{
        RowBox[{"CharacterRange", "[", 
         RowBox[{"\"\<a\>\"", ",", "\"\<z\>\""}], "]"}], ",", "k"}], "]"}]}], 
     "]"}]}], "]"}]}]], "Input",ExpressionUUID->"e0f861fd-a8fe-4cbc-a883-\
b7b98d87c567"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"encode", "[", 
  RowBox[{
  "\"\<one small step for a man. one giant leap for mankind.\>\"", ",", "5"}],
   "]"}]], "Input",ExpressionUUID->"a6b273ba-b60b-4824-b278-fcf5e6e3b796"],

Cell[BoxData["\<\"tsj xrfqq xyju ktw f rfs. tsj lnfsy qjfu ktw \
rfspnsi.\"\>"], "Output",ExpressionUUID->"3f64f73b-dec8-4ed6-b86e-\
8e675391160c"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"decode", "[", 
  RowBox[{"%", ",", "5"}], "]"}]], "Input",ExpressionUUID->"4139586e-c32b-\
42fb-bc1e-ef940337f799"],

Cell[BoxData["\<\"one small step for a man. one giant leap for \
mankind.\"\>"], "Output",ExpressionUUID->"ec7e5aa1-5740-4e90-a226-\
c4980393e58c"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"encode", ",", "decode"}], "]"}]], "Input",ExpressionUUID->\
"2074c89a-e3e3-4723-96ec-4f68385a244a"]
}, Closed]],

Cell[CellGroupData[{

Cell["Section 8.5", "Subsection",ExpressionUUID->"4a94d8da-7bab-42a3-bd19-34da17c113fa"],

Cell[TextData[{
 "The input ",
 StyleBox["?*Q", "MR"],
 " will generate an interactive listing of all symbols ending in capital Q. \
Click on any one to get a usage message. Alternately, the input below will \
create a simple list of the same commands. There are more than 180 of them!"
}], "Exercise",ExpressionUUID->"d883d642-0b78-40b1-a65e-02763dca274c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Names", "[", "\"\<*Q\>\"", "]"}]], "Input",
 CellLabel->"In[69]:=",ExpressionUUID->"f175b556-77fb-4b89-97c9-c8872b94f514"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"AcyclicGraphQ\"\>", ",", "\<\"AlgebraicIntegerQ\"\>", 
   ",", "\<\"AlgebraicUnitQ\"\>", ",", "\<\"AntihermitianMatrixQ\"\>", 
   ",", "\<\"AntisymmetricMatrixQ\"\>", ",", "\<\"ArgumentCountQ\"\>", 
   ",", "\<\"ArrayQ\"\>", ",", "\<\"AskedQ\"\>", ",", "\<\"AssociationQ\"\>", 
   ",", "\<\"AtomQ\"\>", ",", "\<\"AudioQ\"\>", ",", "\<\"BinaryImageQ\"\>", 
   ",", "\<\"BipartiteGraphQ\"\>", ",", "\<\"BondQ\"\>", 
   ",", "\<\"BooleanQ\"\>", ",", "\<\"BoundaryMeshRegionQ\"\>", 
   ",", "\<\"BoundedRegionQ\"\>", ",", "\<\"BusinessDayQ\"\>", 
   ",", "\<\"ByteArrayQ\"\>", ",", "\<\"ColorQ\"\>", 
   ",", "\<\"CompatibleUnitQ\"\>", ",", "\<\"CompleteGraphQ\"\>", 
   ",", "\<\"CompositeQ\"\>", ",", "\<\"ConnectedGraphQ\"\>", 
   ",", "\<\"ConnectedMoleculeQ\"\>", ",", "\<\"ConstantRegionQ\"\>", 
   ",", "\<\"ContinuousTimeModelQ\"\>", ",", "\<\"ControllableModelQ\"\>", 
   ",", "\<\"ConvexPolygonQ\"\>", ",", "\<\"ConvexPolyhedronQ\"\>", 
   ",", "\<\"CoprimeQ\"\>", ",", "\<\"DateObjectQ\"\>", 
   ",", "\<\"DateOverlapsQ\"\>", ",", "\<\"DateWithinQ\"\>", 
   ",", "\<\"DaylightQ\"\>", ",", "\<\"DayMatchQ\"\>", 
   ",", "\<\"DeviceOpenQ\"\>", ",", "\<\"DiagonalizableMatrixQ\"\>", 
   ",", "\<\"DiagonalMatrixQ\"\>", ",", "\<\"DictionaryWordQ\"\>", 
   ",", "\<\"DigitQ\"\>", ",", "\<\"DirectedGraphQ\"\>", 
   ",", "\<\"DirectoryQ\"\>", ",", "\<\"DiscreteTimeModelQ\"\>", 
   ",", "\<\"DisjointQ\"\>", ",", "\<\"DispatchQ\"\>", 
   ",", "\<\"DistributionParameterQ\"\>", ",", "\<\"DuplicateFreeQ\"\>", 
   ",", "\<\"EdgeCoverQ\"\>", ",", "\<\"EdgeQ\"\>", 
   ",", "\<\"EdgeWeightedGraphQ\"\>", ",", "\<\"EllipticNomeQ\"\>", 
   ",", "\<\"EmptyGraphQ\"\>", ",", "\<\"EulerianGraphQ\"\>", 
   ",", "\<\"EvenQ\"\>", ",", "\<\"ExactNumberQ\"\>", ",", "\<\"FailureQ\"\>",
    ",", "\<\"FileExistsQ\"\>", ",", "\<\"FreeQ\"\>", 
   ",", "\<\"GeoWithinQ\"\>", ",", "\<\"GraphQ\"\>", 
   ",", "\<\"GroupElementQ\"\>", ",", "\<\"HamiltonianGraphQ\"\>", 
   ",", "\<\"HermitianMatrixQ\"\>", ",", "\<\"HypergeometricPFQ\"\>", 
   ",", "\<\"ImageContainsQ\"\>", ",", "\<\"ImageInstanceQ\"\>", 
   ",", "\<\"ImageQ\"\>", ",", "\<\"IndefiniteMatrixQ\"\>", 
   ",", "\<\"IndependentEdgeSetQ\"\>", ",", "\<\"IndependentVertexSetQ\"\>", 
   ",", "\<\"InexactNumberQ\"\>", ",", "\<\"IntegerQ\"\>", 
   ",", "\<\"IntersectingQ\"\>", ",", "\<\"IntervalMemberQ\"\>", 
   ",", "\<\"InverseEllipticNomeQ\"\>", ",", "\<\"IrreduciblePolynomialQ\"\>",
    ",", "\<\"IsomorphicGraphQ\"\>", ",", "\<\"KEdgeConnectedGraphQ\"\>", 
   ",", "\<\"KeyExistsQ\"\>", ",", "\<\"KeyFreeQ\"\>", 
   ",", "\<\"KeyMemberQ\"\>", ",", "\<\"KnownUnitQ\"\>", 
   ",", "\<\"KVertexConnectedGraphQ\"\>", ",", "\<\"LeapYearQ\"\>", 
   ",", "\<\"LegendreQ\"\>", ",", "\<\"LetterQ\"\>", 
   ",", "\<\"LinkConnectedQ\"\>", ",", "\<\"LinkReadyQ\"\>", 
   ",", "\<\"ListQ\"\>", ",", "\<\"LoopFreeGraphQ\"\>", 
   ",", "\<\"LowerCaseQ\"\>", ",", "\<\"LowerTriangularMatrixQ\"\>", 
   ",", "\<\"MachineNumberQ\"\>", ",", "\<\"ManagedLibraryExpressionQ\"\>", 
   ",", "\<\"MandelbrotSetMemberQ\"\>", ",", "\<\"MarcumQ\"\>", 
   ",", "\<\"MatchLocalNameQ\"\>", ",", "\<\"MatchQ\"\>", 
   ",", "\<\"MatrixQ\"\>", ",", "\<\"MemberQ\"\>", 
   ",", "\<\"MersennePrimeExponentQ\"\>", ",", "\<\"MeshRegionQ\"\>", 
   ",", "\<\"MissingQ\"\>", ",", "\<\"MixedGraphQ\"\>", 
   ",", "\<\"MoleculeContainsQ\"\>", ",", "\<\"MoleculeEquivalentQ\"\>", 
   ",", "\<\"MoleculeQ\"\>", ",", "\<\"MultigraphQ\"\>", ",", "\<\"NameQ\"\>",
    ",", "\<\"NegativeDefiniteMatrixQ\"\>", 
   ",", "\<\"NegativeSemidefiniteMatrixQ\"\>", ",", "\<\"NormalMatrixQ\"\>", 
   ",", "\<\"NumberQ\"\>", ",", "\<\"NumericArrayQ\"\>", 
   ",", "\<\"NumericQ\"\>", ",", "\<\"ObservableModelQ\"\>", 
   ",", "\<\"OddQ\"\>", ",", "\<\"OptionQ\"\>", ",", "\<\"OrderedQ\"\>", 
   ",", "\<\"OrthogonalMatrixQ\"\>", ",", "\<\"OutputControllableModelQ\"\>", 
   ",", "\<\"PacletNewerQ\"\>", ",", "\<\"PalindromeQ\"\>", 
   ",", "\<\"PartitionsQ\"\>", ",", "\<\"PathGraphQ\"\>", 
   ",", "\<\"PerfectNumberQ\"\>", ",", "\<\"PermissionsGroupMemberQ\"\>", 
   ",", "\<\"PermutationCyclesQ\"\>", ",", "\<\"PermutationListQ\"\>", 
   ",", "\<\"PlanarGraphQ\"\>", ",", "\<\"PolynomialQ\"\>", 
   ",", "\<\"PositiveDefiniteMatrixQ\"\>", 
   ",", "\<\"PositiveSemidefiniteMatrixQ\"\>", ",", "\<\"PossibleZeroQ\"\>", 
   ",", "\<\"PrimePowerQ\"\>", ",", "\<\"PrimeQ\"\>", 
   ",", "\<\"PrimitivePolynomialQ\"\>", ",", "\<\"PrintableASCIIQ\"\>", 
   ",", "\<\"ProcessParameterQ\"\>", ",", "\<\"QHypergeometricPFQ\"\>", 
   ",", "\<\"QuadraticIrrationalQ\"\>", ",", "\<\"QuantityQ\"\>", 
   ",", "\<\"QuantityVariableQ\"\>", ",", "\<\"RegionQ\"\>", 
   ",", "\<\"RegularlySampledQ\"\>", ",", "\<\"RootOfUnityQ\"\>", 
   ",", "\<\"SameQ\"\>", ",", "\<\"SatisfiableQ\"\>", 
   ",", "\<\"ScheduledTaskActiveQ\"\>", ",", "\<\"SimpleGraphQ\"\>", 
   ",", "\<\"SimplePolygonQ\"\>", ",", "\<\"SimplePolyhedronQ\"\>", 
   ",", "\<\"SocketReadyQ\"\>", ",", "\<\"SolidRegionQ\"\>", 
   ",", "\<\"SquareFreeQ\"\>", ",", "\<\"SquareMatrixQ\"\>", 
   ",", "\<\"StringContainsQ\"\>", ",", "\<\"StringEndsQ\"\>", 
   ",", "\<\"StringFreeQ\"\>", ",", "\<\"StringMatchQ\"\>", 
   ",", "\<\"StringQ\"\>", ",", "\<\"StringStartsQ\"\>", 
   ",", "\<\"SubsetQ\"\>", ",", "\<\"SymmetricMatrixQ\"\>", 
   ",", "\<\"SyntaxQ\"\>", ",", "\<\"TautologyQ\"\>", ",", "\<\"TensorQ\"\>", 
   ",", "\<\"TetGenExpressionQ\"\>", ",", "\<\"TetGenIntersectingFacetsQ\"\>",
    ",", "\<\"TimeObjectQ\"\>", ",", "\<\"TreeGraphQ\"\>", 
   ",", "\<\"TrueQ\"\>", ",", "\<\"UnateQ\"\>", 
   ",", "\<\"UndirectedGraphQ\"\>", ",", "\<\"UnitaryMatrixQ\"\>", 
   ",", "\<\"UnsameQ\"\>", ",", "\<\"UpperCaseQ\"\>", 
   ",", "\<\"UpperTriangularMatrixQ\"\>", ",", "\<\"URLAbsoluteQ\"\>", 
   ",", "\<\"URLShortenedQ\"\>", ",", "\<\"ValueQ\"\>", 
   ",", "\<\"VectorQ\"\>", ",", "\<\"VertexCoverQ\"\>", 
   ",", "\<\"VertexQ\"\>", ",", "\<\"VertexWeightedGraphQ\"\>", 
   ",", "\<\"WeaklyConnectedGraphQ\"\>", ",", "\<\"WeightedGraphQ\"\>"}], 
  "}"}]], "Output",
 CellLabel->"Out[69]=",ExpressionUUID->"8159f0eb-ed18-493d-aa48-1fc82c89ff13"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "%", "]"}]], "Input",
 CellLabel->"In[70]:=",ExpressionUUID->"244fc29d-1d28-46fc-a65f-1fe08b6faa0c"],

Cell[BoxData["188"], "Output",
 CellLabel->"Out[70]=",ExpressionUUID->"ccca72db-4680-4256-bf5d-bd2eaabd490d"]
}, Closed]],

Cell[TextData[{
 "Either of the commands ",
 StyleBox["FactorInteger", "MR"],
 " or ",
 StyleBox["PrimeQ", "MR"],
 " can be used. We see that the number ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["2", 
     SuperscriptBox["2", "k"]], "+", "1"}], TraditionalForm]],ExpressionUUID->
  "344c00f1-a579-4cc0-9950-d5e7c2b34316"],
 " is prime for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "ce44a7f8-d913-4011-a25f-183d5a68b0b6"],
 " through ",
 Cell[BoxData[
  FormBox["4", TraditionalForm]],ExpressionUUID->
  "bcc0753f-678a-47c2-8bbe-f9b3f2ab3e6e"],
 ", but when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "5"}], TraditionalForm]],ExpressionUUID->
  "eb433a65-1a85-44ae-bcb2-649fb3077001"],
 ", we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["2", 
      SuperscriptBox["2", "5"]], "+", "1"}], "=", 
    RowBox[{
     RowBox[{
      SuperscriptBox["2", "32"], "+", "1"}], "=", 
     RowBox[{"641", "\[Times]", "6700417"}]}]}], TraditionalForm]],
  ExpressionUUID->"8ce1151c-1123-43f0-9f93-1874d7f45ab0"],
 ", and so is a composite number. If you try this for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "8"}], TraditionalForm]],ExpressionUUID->
  "9eeee735-ded0-4530-8cc6-e675dcfa4b9d"],
 ", expect to wait a while, as this is a ",
 Cell[BoxData[
  FormBox["78", TraditionalForm]],ExpressionUUID->
  "70a19817-ab4d-4311-84ac-99127292e5e9"],
 " digit number. However, ",
 StyleBox["PrimeQ", "MR"],
 " can handle ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "8"}], TraditionalForm]],ExpressionUUID->
  "bd178823-4163-497a-a202-88bb209d14cc"],
 " and beyond, first showing noticeable signs of slowing (on my laptop) when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "13"}], TraditionalForm]],ExpressionUUID->
  "7194ed8f-8a1a-4831-857a-1e1cbd49df53"],
 "."
}], "Exercise",ExpressionUUID->"55743056-7297-4d7f-96f8-7ebf59ab7d48"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"FactorInteger", "[", 
     RowBox[{
      SuperscriptBox["2", 
       SuperscriptBox["2", "k"]], "+", "1"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "7"}], "}"}]}], "]"}], "//", 
  "Column"}]], "Input",ExpressionUUID->"e91fef3b-d34d-4289-8c56-dda65d92e509"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"3", ",", "1"}], "}"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"5", ",", "1"}], "}"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"17", ",", "1"}], "}"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"257", ",", "1"}], "}"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"65537", ",", "1"}], "}"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"641", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"6700417", ",", "1"}], "}"}]}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"274177", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"67280421310721", ",", "1"}], "}"}]}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"59649589127497217", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5704689200685129054721", ",", "1"}], "}"}]}], "}"}]}
   },
   ColumnsEqual->False,
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   RowsEqual->False],
  "Column"]], "Output",ExpressionUUID->"20d14aab-a778-490a-a8b3-4f4bccddcab5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SuperscriptBox["2", 
   SuperscriptBox["2", "8"]], "//", "N"}]], "Input",ExpressionUUID->"d54e9769-\
f8a3-445d-acb4-d3a3852ec6b8"],

Cell[BoxData["1.157920892373162`*^77"], "Output",ExpressionUUID->"f558dd36-cf36-4273-9998-38c69b76dcae"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PrimeQ", "[", 
    RowBox[{
     SuperscriptBox["2", 
      SuperscriptBox["2", "k"]], "+", "1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0", ",", "13"}], "}"}]}], "]"}]], "Input",ExpressionUUI\
D->"dfcceca4-d4b3-4d6d-b54b-c30d48fabc20"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "False", 
   ",", "False", ",", "False", ",", "False", ",", "False", ",", "False", ",", 
   "False", ",", "False", ",", "False"}], "}"}]], "Output",ExpressionUUID->\
"353e804e-ba22-40b9-9729-7dc83a17a2a1"]
}, Closed]],

Cell[TextData[{
 StyleBox["Increment", "MR"],
 " will add one to its argument and return the ",
 StyleBox["old",
  FontSlant->"Italic"],
 " value of the argument, and ",
 StyleBox["PreIncrement", "MR"],
 " will add one to its argument and return the ",
 StyleBox["new",
  FontSlant->"Italic"],
 " value of the argument. In fact, ",
 StyleBox["++k", "MR"],
 " has the same effect as the assignment ",
 StyleBox["k=k+1", "MR"],
 ". In the last output below, we see that both variables hold the same value \
after one iteration."
}], "Exercise",ExpressionUUID->"26eb48f8-b563-45fa-aa72-8ba55dd60fc9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"j", "=", "1"}], ";", 
  RowBox[{"j", "++"}]}]], "Input",ExpressionUUID->"f747ce17-f354-491f-ad1e-\
d77acd36ed18"],

Cell[BoxData["1"], "Output",ExpressionUUID->"3d2c8aae-1c31-4da5-b0a3-70babe9b3717"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"k", "=", "1"}], ";", 
  RowBox[{"++", "k"}]}]], "Input",ExpressionUUID->"8e194cdc-3407-4c45-9c98-\
d017208d6fe9"],

Cell[BoxData["2"], "Output",ExpressionUUID->"5720cf34-2663-4d1d-9064-370fc939217b"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"j", ",", "k"}], "}"}]], "Input",ExpressionUUID->"67fa6559-8006-46dd-81ef-5fc3c7647e01"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "2"}], "}"}]], "Output",ExpressionUUID->"0469ae21-34a1-4c1d-910f-0330f6d50925"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"j", ",", "k"}], "]"}]], "Input",ExpressionUUID->"382b7dd8-88e9-\
4360-8ea6-a15493f3f5ba"],

Cell[TextData[{
 "The ",
 StyleBox["While", "MR"],
 " loop suggests that the answer is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "54"}], TraditionalForm]],ExpressionUUID->
  "ddf2f92e-6a16-43fb-a846-a36befd95db9"],
 ". The calculation below confirms that this value of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "68f18f9e-db0d-4828-9fba-79bbb13f97cd"],
 " meets the criteria, and the ",
 StyleBox["ListPlot", "MR"],
 " shows the overall trend, confirming that this is indeed the first value of \
",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "ab57a2f4-70b4-480f-ae54-ff735c1ad1c5"],
 " with the desired property."
}], "Exercise",ExpressionUUID->"2dacff2a-da78-4f06-846c-6de97a844a3c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"While", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       SuperscriptBox["x", "n"], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", 
         RowBox[{
          RowBox[{"21", "/", "20"}], "-", 
          RowBox[{"1", "/", "n"}]}]}], "}"}]}], "]"}], "\[LessEqual]", 
     RowBox[{"1", "/", "10"}]}], ",", 
    RowBox[{"n", "++"}]}], "]"}], ";"}], "\[IndentingNewLine]", "n"}], "Input",\
ExpressionUUID->"2a02774c-c59e-4d1d-80ef-99bca752a20a"],

Cell[BoxData["54"], "Output",ExpressionUUID->"b25f75b3-2140-4259-9228-918ddfd4a0f2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   SuperscriptBox["x", "54"], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", 
     RowBox[{
      RowBox[{"21", "/", "20"}], "-", 
      RowBox[{"1", "/", "54"}]}]}], "}"}]}], "]"}]], "Input",ExpressionUUID->\
"4358f684-15bc-46e4-8e9c-2b51119f32b6"],

Cell[BoxData["0.10000374287550315`"], "Output",ExpressionUUID->"d0f11744-1ea0-4e97-ab1c-18827cef5f0c"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "n", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "@", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      SuperscriptBox["x", "n"], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", 
        RowBox[{
         RowBox[{"21", "/", "20"}], "-", 
         RowBox[{"1", "/", "n"}]}]}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "60"}], "}"}]}], "]"}]}]}], "Input",ExpressionUUID->\
"74d9cae3-b887-446f-ae3f-1a9e61ab3fe8"],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJw10nlI02Ecx/GfZmZmGKVzgoJXNs088janH2/n0WEhHqVM0Q4qCSTIkM3U
WYl/aAjmldo0W7o1S805bzFDE5GCJaKlIDIQD7BIkg76Pj94+PH6veHhx/d5
7LPyknIMOY4L/rv+vf8/m6HFFsqYbwWXQukDWk/ol0xyOsgmuBHg7WG6/Jp8
BDXr3U0/JpgtIP7uf7/AipmPug9af4laSbbBnuWuyDe1k2yH0vLcQb4P298B
60tfVzV4RXZCsvx9fsM9BdkZfUKDxXHdS7IApwRrftMpzK74XOhY5LjTTnaD
QCfrOKBgdkdZiX1Fbj6zJxyetWQMX2D2wgttfakZmE/DUzGz3CJk9kZl9WCp
i4jZB64yMV8mZvbFfPrIublSZj+sRuhHkrqZ/WEvmW3I22AOQJvn2oLSm/1/
IASPdutVRcxBiJwwzXb+wnwGZrXZvPlANo9gyNPWKpqfMwvRUhdQJeax+YXA
yEElPFTFHAp9WEh7LY/NGyha+T1rKSdLgVs2UZryIHY+YSgoE6qOzZOlYdgv
s+6YfsDOMxzmedvLCz4q6uHoz1pKubNJ5iJw22JoajGN7oM0AtFhO72Fo+x+
ROLgeHKur4eaeiQ6fp2fFDSTuSjsTTwZLuR3UY/C6OPjtleqyVw0topXqret
3lCPhpvk58zNJjIXg1avrYw997fUY7DUY6rTjZG5WIiFjZ/8Mrupx4JndtE4
yaCHugiSeMPYawqyVITMTqcuTVov9Tik3lWrK46+ox6HgY/p9i5zZC4eSq1d
ju5pH/V4nLS2fai/rqGeAKOptstd4f3UE1Apb2+UOWmpJ8L4agR/1HyAeiJq
Svomx4wGqZ+Fo6ny8Ma+odA/mosPmA==
    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",ExpressionUUID->"3a44e3a9-1b8c-492f-\
8e70-61f9ee7106df"]
}, Closed]],

Cell[TextData[{
 "Either of the inputs below does the trick. Note that the results will be \
different each time it is executed. Note also that the ",
 StyleBox["increment",
  FontSlant->"Italic"],
 " and ",
 StyleBox["body",
  FontSlant->"Italic"],
 " (third and fourth arguments to ",
 StyleBox["For", "MR"],
 ") are swapped in the two inputs below. This illustrates a general point: \
the sequence of evaluation at each step in a ",
 StyleBox["For", "MR"],
 " loop is ",
 StyleBox["test",
  FontSlant->"Italic"],
 ", ",
 StyleBox["body",
  FontSlant->"Italic"],
 ", ",
 StyleBox["increment",
  FontSlant->"Italic"],
 ". So in the first input, the initial value ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "4fb2e87e-f161-49dc-9ffa-a197dde1d361"],
 " is not printed, while in the second input, the final (prime) value is not \
printed."
}], "ExerciseNoText",ExpressionUUID->"9da189a4-9124-4201-8bcf-cfbf6db004f6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"k", "=", "1"}], ",", 
   RowBox[{"!", 
    RowBox[{"PrimeQ", "[", "k", "]"}]}], ",", 
   RowBox[{"Print", "[", "k", "]"}], ",", 
   RowBox[{"k", "=", 
    RowBox[{"k", "+", 
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "100"}], "}"}], "]"}]}]}]}], "]"}]], "Input",Expressi\
onUUID->"15a69f7e-d932-4a93-99d3-24462ba8f45b"],

Cell[CellGroupData[{

Cell[BoxData["76"], "Print",ExpressionUUID->"fdda7193-d3f5-4df0-a7d0-390c391a2894"],

Cell[BoxData["93"], "Print",ExpressionUUID->"693aa0ff-9353-4937-9be5-469b58cc04df"],

Cell[BoxData["164"], "Print",ExpressionUUID->"5352e0ea-dd0d-4380-9e83-d052ae843d1a"],

Cell[BoxData["253"], "Print",ExpressionUUID->"ea05a750-e21f-4bb9-a51b-d342ac181f05"],

Cell[BoxData["301"], "Print",ExpressionUUID->"aa3f943f-9018-4bfb-8ca6-fee8b1a0709d"],

Cell[BoxData["305"], "Print",ExpressionUUID->"95eb0854-532c-4328-917d-bdb5ef5abbba"],

Cell[BoxData["377"], "Print",ExpressionUUID->"7c9cbbbd-e766-40c4-aaea-87cea79317c0"],

Cell[BoxData["382"], "Print",ExpressionUUID->"ad30f2fe-367a-4a8c-9ca0-365cdb6d680c"],

Cell[BoxData["388"], "Print",ExpressionUUID->"fd4efc03-227e-47ba-94bb-e43560411d96"],

Cell[BoxData["420"], "Print",ExpressionUUID->"d5f8db16-3d9b-4e0d-a6e7-03518ac68fef"],

Cell[BoxData["462"], "Print",ExpressionUUID->"e276f709-d3c2-4d06-a878-0d8c625480cd"],

Cell[BoxData["488"], "Print",ExpressionUUID->"b9e05e03-e003-47ea-8056-08a7f51ad86f"],

Cell[BoxData["502"], "Print",ExpressionUUID->"ba0924c3-e1b2-458d-9545-71a846532571"],

Cell[BoxData["602"], "Print",ExpressionUUID->"b68df54d-7ac6-4d45-8a65-21631789ccda"],

Cell[BoxData["605"], "Print",ExpressionUUID->"7a33f2b0-8f18-4105-8a21-5a694761fabf"],

Cell[BoxData["640"], "Print",ExpressionUUID->"645057ff-ce74-4c43-a286-528c5297c25f"],

Cell[BoxData["645"], "Print",ExpressionUUID->"5a32b0f0-03a4-47a1-8e99-310aef2ff28f"],

Cell[BoxData["744"], "Print",ExpressionUUID->"9d760926-c150-4f32-82d0-e91ce0fcbca6"],

Cell[BoxData["841"], "Print",ExpressionUUID->"7e3304a8-b2cd-4f6c-b37b-8f7b495d93dd"],

Cell[BoxData["879"], "Print",ExpressionUUID->"2577f4f8-746c-4334-a845-2a3814f371d4"],

Cell[BoxData["957"], "Print",ExpressionUUID->"101f2e61-9f0e-40e3-9b24-d544da589d3b"],

Cell[BoxData["974"], "Print",ExpressionUUID->"30110bf9-dde7-489e-88af-c9182d4925bd"],

Cell[BoxData["1012"], "Print",ExpressionUUID->"94b86c8d-1dfc-4f52-b251-e90aa55718ac"],

Cell[BoxData["1045"], "Print",ExpressionUUID->"a6832e15-4848-4079-8cfc-eeb13f74cd03"],

Cell[BoxData["1090"], "Print",ExpressionUUID->"7ddcde6e-5522-484a-922c-fd6bd4250e34"],

Cell[BoxData["1097"], "Print",ExpressionUUID->"790511c3-b030-49c0-8f6e-6e7590198da0"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"k", "=", "1"}], ",", 
   RowBox[{"!", 
    RowBox[{"PrimeQ", "[", "k", "]"}]}], ",", 
   RowBox[{"k", "=", 
    RowBox[{"k", "+", 
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "100"}], "}"}], "]"}]}]}], ",", 
   RowBox[{"Print", "[", "k", "]"}]}], "]"}]], "Input",ExpressionUUID->\
"f51fc36f-87dd-4811-805b-26c98e1bb3f7"],

Cell[CellGroupData[{

Cell[BoxData["1"], "Print",ExpressionUUID->"a14b3b3c-0c9c-44da-9712-77527a447db3"],

Cell[BoxData["58"], "Print",ExpressionUUID->"50faaf6c-1cf7-4c38-8b58-3f72dbd0b853"],

Cell[BoxData["158"], "Print",ExpressionUUID->"0ce8484d-e3f0-423c-bf4a-d0c6a39e151d"],

Cell[BoxData["209"], "Print",ExpressionUUID->"e8fa34c0-804a-4735-8742-247c09e353bd"],

Cell[BoxData["297"], "Print",ExpressionUUID->"ef9320b3-8636-4e0f-8bd4-8a647a218f35"],

Cell[BoxData["368"], "Print",ExpressionUUID->"b1b3256b-696e-4756-83f6-3f7f5033572b"],

Cell[BoxData["407"], "Print",ExpressionUUID->"4fb1845f-d7c5-40a6-ac30-e542a7dd6ca0"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData["k"], "Input",ExpressionUUID->"07c78ee4-6122-440f-804f-5f0b7dfc63d5"],

Cell[BoxData["479"], "Output",ExpressionUUID->"8b925c0a-1ce3-4555-8a23-c242619dc36e"]
}, Closed]],

Cell[TextData[{
 "Here is one way to proceed. We use the command ",
 StyleBox["AppendTo", "MR"],
 ", which appends the next value to the end of the list ",
 StyleBox["ls", "MR"],
 ", then resets ",
 StyleBox["ls", "MR"],
 " to be the appended list. The ",
 StyleBox["For", "MR"],
 " loop only has three arguments here."
}], "ExercisePart",ExpressionUUID->"ac7ce060-213d-420b-a29f-7212fdb687b6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ls", "=", 
     RowBox[{"{", "1", "}"}]}], ",", 
    RowBox[{"!", 
     RowBox[{"PrimeQ", "[", 
      RowBox[{"Last", "[", "ls", "]"}], "]"}]}], ",", 
    RowBox[{"AppendTo", "[", 
     RowBox[{"ls", ",", 
      RowBox[{
       RowBox[{"Last", "[", "ls", "]"}], "+", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "100"}], "}"}], "]"}]}]}], "]"}]}], "]"}], ";", 
  "ls"}]], "Input",ExpressionUUID->"5e775a49-6250-4dc6-a771-a94457c01a4e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "38", ",", "39", ",", "57", ",", "113"}], "}"}]], "Output",\
ExpressionUUID->"43e6a74e-9395-4b08-8b94-fea66c265204"]
}, Closed]],

Cell[TextData[{
 "Just change the last part from ",
 StyleBox["ls", "MR"],
 " to ",
 StyleBox["Length[ls]-1", "MR"],
 ". "
}], "ExercisePart",ExpressionUUID->"8aa0dff0-ed62-4c24-827a-2cbadbc9aa0c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ls", "=", 
     RowBox[{"{", "1", "}"}]}], ",", 
    RowBox[{"!", 
     RowBox[{"PrimeQ", "[", 
      RowBox[{"Last", "[", "ls", "]"}], "]"}]}], ",", 
    RowBox[{"AppendTo", "[", 
     RowBox[{"ls", ",", 
      RowBox[{
       RowBox[{"Last", "[", "ls", "]"}], "+", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "100"}], "}"}], "]"}]}]}], "]"}]}], "]"}], ";", 
  RowBox[{
   RowBox[{"Length", "[", "ls", "]"}], "-", "1"}]}]], "Input",
 CellLabel->"In[73]:=",ExpressionUUID->"9b053643-45f0-4d68-8391-fd07033a2e73"],

Cell[BoxData["2"], "Output",
 CellLabel->"Out[73]=",ExpressionUUID->"08d0690d-feef-436b-8f84-2e3c4faf845a"]
}, Closed]],

Cell[TextData[{
 "In the first input we encode the procedure from part ",
 StyleBox["c",
  FontWeight->"Bold"],
 ". We use ",
 StyleBox["SetDelayed", "MR"],
 " (",
 StyleBox[":=", "MR"],
 ") so that the loop evaluates anew each time ",
 StyleBox["doIt", "MR"],
 " is called (see the second input). The command ",
 StyleBox["Tally", "MR"],
 " will count the occurrences of each item in a list and return a list of \
two-tuples. The first item in each two-tuple is a member of the original \
list, and the second item is the number of times that item appeared in the \
original list. The final output below displays the tally. It shows a single \
iteration was the most common outcome (about a quarter of the time, or in \
roughly 250 out of 1000 trials), but that in rare cases dozens of iterations \
were required."
}], "ExercisePart",ExpressionUUID->"466dfdef-e63a-41ec-ad27-1c3172df013a"],

Cell[BoxData[
 RowBox[{"doIt", ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"ls", "=", 
       RowBox[{"{", "1", "}"}]}], ",", 
      RowBox[{"!", 
       RowBox[{"PrimeQ", "[", 
        RowBox[{"Last", "[", "ls", "]"}], "]"}]}], ",", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"ls", ",", 
        RowBox[{
         RowBox[{"Last", "[", "ls", "]"}], "+", 
         RowBox[{"RandomInteger", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "100"}], "}"}], "]"}]}]}], "]"}]}], "]"}], ";", 
    RowBox[{
     RowBox[{"Length", "[", "ls", "]"}], "-", "1"}]}], ")"}]}]], "Input",Expre\
ssionUUID->"7bc5c362-b026-466b-9e4d-94877aea2c58"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{"doIt", ",", 
   RowBox[{"{", "10", "}"}]}], "]"}]], "Input",ExpressionUUID->"d15193a6-316e-\
4d22-8b4c-2fbf154ffdff"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "4", ",", "4", ",", "3", ",", "2", ",", "1", ",", "15", ",", "1", ",", "6", 
   ",", "10", ",", "8"}], "}"}]], "Output",ExpressionUUID->"68d2985b-eba7-\
406e-9910-319ba95173e4"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Tally", "[", "%", "]"}]], "Input",ExpressionUUID->"c91e82d6-c85c-4ea4-b248-77dc3c7c4b4e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"4", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "1"}], "}"}]}], "}"}]], "Output",ExpressionUUID->\
"5ec12830-293f-49f5-bdbb-0a281d808142"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Tally", "@", 
    RowBox[{"Table", "[", 
     RowBox[{"doIt", ",", 
      RowBox[{"{", "1000", "}"}]}], "]"}]}], ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<no. of iterations required\>\"", ",", "\"\<frequency\>\""}],
      "}"}]}]}], "]"}]], "Input",ExpressionUUID->"e69d2182-8a91-42c1-bf32-\
b4f61e895784"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJzt0zkKwkAARuHBytIihYVFFJEgEpK4xJVEPYAiCJYiWusRPIpH9Agu808g
7wo6II8vy2QmkubpurtUjDHH9+9TO57ZN/ktt66pB9XYPs5y3fa+kX15JTfU
tdpWx2pV1+/lvHzcdNGOOlM93b+VAzVRQ6wjK+/DpKrbp5tX76FYp55jWpin
j/tjXBdh3T3V7WequvewxPMXWO8A5+c4n8DD8vxmhPMTzOfqhttXMeA67MMN
uA1X4Rzuwh3YgwM4hDM4hWfwGG7BfTiGI7gHT8su/n83FvAAnsMJPIRH8AT+
f/+2v/f9vwB0VVSm
   "], {{{}, {}, {}, {}, 
     {Hue[0.67, 0.6, 0.6], Opacity[0.2], LineBox[{33, 1}], LineBox[{34, 2}], 
      LineBox[{35, 3}], LineBox[{36, 4}], LineBox[{37, 5}], LineBox[{38, 6}], 
      LineBox[{39, 7}], LineBox[{40, 8}], LineBox[{41, 9}], LineBox[{42, 10}],
       LineBox[{43, 11}], LineBox[{44, 12}], LineBox[{45, 13}], 
      LineBox[{46, 14}], LineBox[{47, 15}], LineBox[{48, 16}], 
      LineBox[{49, 17}], LineBox[{50, 18}], LineBox[{51, 19}], 
      LineBox[{52, 20}], LineBox[{53, 21}], LineBox[{54, 22}], 
      LineBox[{55, 23}], LineBox[{56, 24}], LineBox[{57, 25}], 
      LineBox[{58, 26}], LineBox[{59, 27}], LineBox[{60, 28}], 
      LineBox[{61, 29}], LineBox[{62, 30}], LineBox[{63, 31}], 
      LineBox[{64, 32}]}}, {{}, 
     {Hue[0.67, 0.6, 0.6], 
      PointBox[{65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 
       80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 
       96}]}, {}}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"no. of iterations required\"", TraditionalForm], 
    FormBox["\"frequency\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",ExpressionUUID->\
"75e35351-7c6c-49d6-93be-eda7ea3c28b0"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"ls", ",", "doIt"}], "]"}]], "Input",ExpressionUUID->"7aaaba3e-b66a-\
4d05-88f3-290fd95a514b"]
}, Closed]],

Cell[CellGroupData[{

Cell["Section 8.6", "Subsection",ExpressionUUID->"10c01211-b4d7-4d2d-be95-dbe0203704bb"],

Cell[TextData[{
 "The dummy variable ",
 StyleBox["s", "MR"],
 " represents the partial sum. We keep it in a ",
 StyleBox["Module", "MR"],
 " to insulate it from any assignments that may have been made to that \
symbol. The ",
 StyleBox["For", "MR"],
 " loop keeps resetting ",
 StyleBox["s", "MR"],
 " to be its previous value plus ",
 StyleBox["1/i", "MR"],
 ", for ",
 StyleBox["i", "MR"],
 " ranging from ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "8b75fdb0-97ef-462d-bbc2-4848fd80d004"],
 " to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "84f7b1ef-a991-4ee7-99c3-b4b17c382150"],
 ". The final value of ",
 StyleBox["s", "MR"],
 " is reported. Note there is a built-in command ",
 StyleBox["HarmonicNumber", "MR"],
 " that produces the same output."
}], "Exercise",ExpressionUUID->"a4a4084a-26a9-4333-8301-268079dcde24"],

Cell[BoxData[
 RowBox[{
  RowBox[{"harmonicNumber", "[", "n_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"s", "=", "0"}], "}"}], ",", 
    RowBox[{
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "\[LessEqual]", "n"}], ",", 
       RowBox[{"i", "++"}], ",", 
       RowBox[{"s", "=", 
        RowBox[{"s", "+", 
         FractionBox["1", "i"]}]}]}], "]"}], ";", "s"}]}], "]"}]}]], "Input",E\
xpressionUUID->"1298f9bd-e3b0-408c-9b5a-361e2cb582b7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"harmonicNumber", "[", "100", "]"}]], "Input",ExpressionUUID->"832d5028-fc45-4a7f-a5e1-19e60652fb60"],

Cell[BoxData[
 FractionBox["14466636279520351160221518043104131447711", 
  "2788815009188499086581352357412492142272"]], "Output",ExpressionUUID->\
"fc9483c4-7df7-490b-8efc-f5cd1c17f38f"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HarmonicNumber", "[", "100", "]"}]], "Input",
 CellLabel->"In[74]:=",ExpressionUUID->"5dfadbaf-9e9e-44bb-874e-d8ae85bed61b"],

Cell[BoxData[
 FractionBox["14466636279520351160221518043104131447711", 
  "2788815009188499086581352357412492142272"]], "Output",
 CellLabel->"Out[74]=",ExpressionUUID->"8bd22921-14d2-40f6-b594-f7d646e428f9"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", "harmonicNumber", "]"}]], "Input",ExpressionUUID->"7fa54f50-e7ab-428b-aec0-9dd25f64abed"],

Cell["Here is what happens:", "Exercise",ExpressionUUID->"5f1fd4e3-d129-4d86-9822-52bf605acee1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "x", "}"}], ",", 
     RowBox[{"Print", "[", "x", "]"}]}], "]"}], ",", 
   RowBox[{"{", "10", "}"}]}], "]"}]], "Input",
 CellLabel->"In[17]:=",ExpressionUUID->"eb220e20-f30c-4c71-a5c5-506e3f53140e"],

Cell[CellGroupData[{

Cell[BoxData["x$5710"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"398543ff-b599-4144-b931-8076f2f17572"],

Cell[BoxData["x$5711"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"bbc3e894-7a69-4afc-80f0-a04603c94fe6"],

Cell[BoxData["x$5712"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"21522ebe-26f6-42ff-a20f-52a25b091222"],

Cell[BoxData["x$5713"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"b3bb7d8a-a6ba-4d61-a110-81ea5db0ab58"],

Cell[BoxData["x$5714"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"6f682bd9-1ae3-42eb-8db2-2d0deaab4bb9"],

Cell[BoxData["x$5715"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"232797e8-a0e0-43e6-be77-e59ead379eb6"],

Cell[BoxData["x$5716"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"c1da6809-e6bc-4877-9393-89814930bc34"],

Cell[BoxData["x$5717"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"c6ceabe3-a575-40cf-8041-0fd2c8535024"],

Cell[BoxData["x$5718"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"7574ebfa-1b87-43ea-ba95-27bba9ce039a"],

Cell[BoxData["x$5719"], "Print",
 CellLabel->
  "During evaluation of \
In[17]:=",ExpressionUUID->"afba888c-5893-4dd3-b84d-50acb769a754"]
}, Open  ]]
}, Closed]],

Cell["The output is exactly what you would expect.", "ExerciseNoText",ExpressionUUID->"b3a482fe-4810-427d-bcb8-a5443284ff75"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "=", "3"}], ";", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", "=", "2"}], "}"}], ",", 
    RowBox[{"Print", "[", "x", "]"}]}], "]"}], ";", "x"}]], "Input",Expression\
UUID->"725c1fee-425e-44b1-ba7c-d8fb34d47ce5"],

Cell[BoxData["2"], "Print",ExpressionUUID->"4838065b-286a-463a-b7bc-de4ea775cc51"],

Cell[BoxData["3"], "Output",ExpressionUUID->"bb7ed274-a977-4944-a900-0234aeb1ef20"]
}, Closed]],

Cell[TextData[{
 "This is subtle. The assignment on the first line gives an expression ",
 StyleBox["expr", "MR"],
 " in terms of ",
 StyleBox["x", "MR"],
 ". When the ",
 StyleBox["Block", "MR"],
 " is executed, ",
 StyleBox["x", "MR"],
 " has been temporarily changed to ",
 Cell[BoxData[
  FormBox["2", TraditionalForm]],ExpressionUUID->
  "ba8e4361-d2af-4893-8a5e-3afc07b32cab"],
 ", so the quantity ",
 StyleBox["x\[ThinSpace]+\[ThinSpace]expr", "MR"],
 " evaluates to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"2", "+", "2", "+", "1"}], "=", "5"}], TraditionalForm]],
  ExpressionUUID->"9f1a75e4-8939-4840-bd0f-e1bd0f8b298a"],
 ". When ",
 StyleBox["Module", "MR"],
 " is evaluated, only the ",
 StyleBox["x", "MR"],
 " in the body is localized (to something like ",
 StyleBox["x$30041", "MR"],
 "), while ",
 StyleBox["expr", "MR"],
 " still utilizes the symbol ",
 StyleBox["x", "MR"],
 " that exists outside the ",
 StyleBox["Module", "MR"],
 "."
}], "ExercisePart",ExpressionUUID->"6111b405-0a8c-4676-8a86-e7b1df11071f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "x", "]"}], ";", 
  RowBox[{"expr", "=", 
   RowBox[{"x", "+", "1"}]}]}]], "Input",ExpressionUUID->"511d6fc7-79a3-4aac-\
8b64-42f92b5ae15c"],

Cell[BoxData[
 RowBox[{"1", "+", "x"}]], "Output",ExpressionUUID->"39c50222-14e1-4eba-8e2e-1240eb8e6d80"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "=", "2"}], "}"}], ",", 
   RowBox[{"x", "+", "expr"}]}], "]"}]], "Input",ExpressionUUID->"581088b7-\
02c5-4323-8bd4-3e2c490ca08e"],

Cell[BoxData["5"], "Output",ExpressionUUID->"481da359-69f8-4b0a-87a6-55cd38a18718"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "=", "2"}], "}"}], ",", 
   RowBox[{"x", "+", "expr"}]}], "]"}]], "Input",ExpressionUUID->"6948253e-\
7a2e-4e41-9403-a66a60dd2a62"],

Cell[BoxData[
 RowBox[{"3", "+", "x"}]], "Output",ExpressionUUID->"3ddd3f9b-2337-4148-915d-385d2bd0aac1"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", "expr", "]"}]], "Input",ExpressionUUID->"fec9e08b-80f7-4713-a755-3a29c2fa6378"]
}, Closed]],

Cell[CellGroupData[{

Cell["Section 8.7", "Subsection",ExpressionUUID->"e1760e77-eba5-48ca-b5d9-8258073f4b1d"],

Cell[TextData[{
 StyleBox["Function[x,\[ThinSpace]", "MR"],
 "\[ThinSpace]",
 StyleBox["10x]", "MR"]
}], "ExerciseNoText",ExpressionUUID->"9ac13f4a-1180-4d13-b63a-8c79edb67028"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"x", ",", 
     RowBox[{"10", "x"}]}], "]"}], ",", "x", ",", "4"}], "]"}]], "Input",Expre\
ssionUUID->"666acc5a-de96-44d6-8bbd-dad30ae79cb7"],

Cell[BoxData[
 RowBox[{"10000", " ", "x"}]], "Output",ExpressionUUID->"a3cf02cf-1942-489f-8146-9f4626bcfe3e"]
}, Closed]],

Cell[TextData[Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{"Function", "[", 
    RowBox[{
     StyleBox["x",
      FontSlant->"Plain"], ",", 
     SuperscriptBox["x", "2"]}], "]"}], "MR"], 
  TraditionalForm]],ExpressionUUID->"068d156f-d79f-4bbc-a567-a9bd9467a7dd"]], \
"ExercisePart",ExpressionUUID->"4ac3b218-f86f-43cd-8c72-a5e098067387"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"x", ",", 
     SuperscriptBox["x", "2"]}], "]"}], ",", "x", ",", "4"}], "]"}]], "Input",\
ExpressionUUID->"3e743810-06ad-474e-b406-3afd90855fc4"],

Cell[BoxData[
 SuperscriptBox["x", "16"]], "Output",ExpressionUUID->"045fa95a-7c9c-4965-80a6-15fd82352d9a"]
}, Closed]],

Cell[TextData[Cell[BoxData[
 StyleBox[
  RowBox[{"Function", "[", 
   RowBox[{
    StyleBox["x", "MR"], 
    StyleBox[",", "MR"], 
    SqrtBox[
     RowBox[{"1", "+", "x"}]]}], "]"}], 
  "MR"]],ExpressionUUID->"4b69f00e-67ea-4c60-b8e1-d2d57923e0a2"]], \
"ExercisePart",ExpressionUUID->"fffb7f66-97f3-43ab-87d2-d515db6e9131"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"x", ",", 
     SqrtBox[
      RowBox[{"1", "+", "x"}]]}], "]"}], ",", "x", ",", "4"}], "]"}]], "Input",\
ExpressionUUID->"68b4a3a5-afd4-4377-a0c4-04a8de950a78"],

Cell[BoxData[
 SqrtBox[
  RowBox[{"1", "+", 
   SqrtBox[
    RowBox[{"1", "+", 
     SqrtBox[
      RowBox[{"1", "+", 
       SqrtBox[
        RowBox[{"1", "+", "x"}]]}]]}]]}]]], "Output",ExpressionUUID->\
"30a159f5-2c6f-4468-9401-aee8a229ac9f"]
}, Closed]],

Cell[TextData[Cell[BoxData[
 RowBox[{
  StyleBox["Function", "MR"], 
  StyleBox["[", "MR"], 
  RowBox[{
   StyleBox["x", "MR"], 
   StyleBox[",", "MR"], 
   FractionBox[
    StyleBox["1", "MR"], 
    RowBox[{"1", "\[ThinSpace]", "+", "\[ThinSpace]", "x"}]]}], 
  StyleBox["]", 
   "MR"]}]],ExpressionUUID->"d3382d6d-2cb0-4d0a-833a-4818e261b5a1"]], \
"ExercisePart",ExpressionUUID->"55bd5cdf-6370-49b7-ad78-f633a277a3d6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"x", ",", 
     FractionBox["1", 
      RowBox[{"1", "+", "x"}]]}], "]"}], ",", "x", ",", "4"}], "]"}]], "Input",\
ExpressionUUID->"9abc0aeb-1270-4211-bf4a-d966d34dcc65"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"1", "+", 
   FractionBox["1", 
    RowBox[{"1", "+", 
     FractionBox["1", 
      RowBox[{"1", "+", 
       FractionBox["1", 
        RowBox[{"1", "+", "x"}]]}]]}]]}]]], "Output",ExpressionUUID->\
"7ea4801d-9f00-4f51-a3ba-355da9bccb16"]
}, Closed]],

Cell[TextData[{
 StyleBox["NestWhileList", "MR"],
 " will produce a list of ten thousand numbers, many of them ",
 StyleBox["very",
  FontSlant->"Italic"],
 " large, so we use ",
 StyleBox["NestWhile", "MR"],
 " instead in order to produce only the last number in this list. If a \
palindrome is produced anywhere along the way it will be returned. Rather \
than print the output (a number with over ",
 Cell[BoxData[
  FormBox["4000", TraditionalForm]],ExpressionUUID->
  "b5207c1d-343d-45bb-858a-71a5bde91946"],
 " digits), we inspect it programmatically. Note that the ",
 StyleBox["Print", "MR"],
 " command will cause a message to be printed even when it is followed by a \
semicolon. This is useful when you wish to report several distinct facts, as \
we do here."
}], "Exercise",ExpressionUUID->"a67f5569-8ca5-4870-8222-9ecf1bfcd0b0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"bigNumber", "=", 
   RowBox[{"NestWhile", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "+", 
       RowBox[{"FromDigits", "[", 
        RowBox[{"Reverse", "[", 
         RowBox[{"IntegerDigits", "[", "#", "]"}], "]"}], "]"}]}], "&"}], ",",
      " ", "196", ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"IntegerDigits", "[", "#", "]"}], " ", "\[NotEqual]", " ", 
       RowBox[{"Reverse", "[", 
        RowBox[{"IntegerDigits", "[", "#", "]"}], "]"}]}], " ", "&"}], ",", 
     " ", "1", ",", " ", "10000"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<The final number has \>\"", " ", "~~", 
    RowBox[{"ToString", "[", 
     RowBox[{"Length", "[", 
      RowBox[{"id", "=", 
       RowBox[{"IntegerDigits", "[", "bigNumber", "]"}]}], "]"}], "]"}], " ", 
    "~~", "\"\< digits.\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"id", "\[Equal]", 
    RowBox[{"Reverse", "[", "id", "]"}]}], ",", "\"\<It's a palindrome.\>\"", 
   ",", "\"\<It's not a palindrome.\>\""}], "]"}]}], "Input",ExpressionUUID->\
"04156d40-b6c7-4c3d-ba22-aadac6c9a059"],

Cell[BoxData["\<\"The final number has 4159 digits.\"\>"], "Print",ExpressionUUID->"213a80f8-b22d-4450-b220-4bd40dd82b4c"],

Cell[BoxData["\<\"It's not a palindrome.\"\>"], "Output",ExpressionUUID->"7b66fb25-a358-44f3-967d-8328cb29f7a5"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"bigNumber", ",", "id"}], "]"}]], "Input",ExpressionUUID->"6244b3d7-\
c7cc-44b8-89e7-756ea635f1d1"],

Cell[TextData[{
 "Below is another version of the procedure shown above, but this one uses \
the commands ",
 StyleBox["PalindromeQ", "MR"],
 " and ",
 StyleBox["IntegerReverse", "MR"],
 " (introduced in version 10 of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "), which makes the coding slightly simpler:"
}], "ExerciseText",ExpressionUUID->"8f3a12b5-8624-434f-9c21-0175712947cf"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"bigNumber", "=", 
   RowBox[{"NestWhile", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "+", 
       RowBox[{"IntegerReverse", "[", "#", "]"}]}], "&"}], ",", " ", "196", 
     ",", " ", 
     RowBox[{
      RowBox[{"!", 
       RowBox[{"PalindromeQ", "[", "#", "]"}]}], "&"}], ",", " ", "1", ",", 
     "10000"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<The final number has \>\"", " ", "~~", 
    RowBox[{"ToString", "[", 
     RowBox[{"Length", "[", 
      RowBox[{"id", "=", 
       RowBox[{"IntegerDigits", "[", "bigNumber", "]"}]}], "]"}], "]"}], " ", 
    "~~", "\"\< digits.\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"PalindromeQ", "[", "bigNumber", "]"}], ",", 
   "\"\<It's a palindrome.\>\"", ",", "\"\<It's not a palindrome.\>\""}], 
  "]"}]}], "Input",
 CellLabel->"In[90]:=",ExpressionUUID->"fc735fcb-6a0e-41e5-9e7d-d53793512ee1"],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"bigNumber", ",", "id"}], "]"}]], "Input",ExpressionUUID->"7caf87e3-\
1660-40c1-9095-f60566ecdd04"],

Cell[TextData[{
 "We represent the iterated function ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "=", 
    RowBox[{
     FractionBox["1", "x"], "+", 
     FractionBox["x", "2"]}]}], TraditionalForm]],ExpressionUUID->
  "1789184c-097a-4ef4-98c4-fc4e04784c46"],
 " as a pure function."
}], "ExerciseNoText",ExpressionUUID->"b88896cb-4494-4742-a42c-ba4738d71415"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox["1", "#"], "+", 
     FractionBox["#", "2"]}], "&"}], ",", 
   RowBox[{"N", "[", 
    RowBox[{"1", ",", "20"}], "]"}], ",", "10"}], "]"}]], "Input",ExpressionUU\
ID->"c1dc5411-8775-4f45-ba71-a8e793ebaffa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.`20.", ",", "1.5`20.", ",", 
   "1.41666666666666666666666666666666666667`20.", ",", 
   "1.41421568627450980392156862745098039216`19.999999999999996", ",", 
   "1.41421356237468991062629557889013491012`19.999999999999996", ",", 
   "1.41421356237309504880168962350253024361`19.999999999999996", ",", 
   "1.41421356237309504880168872420969807857`19.999999999999996", ",", 
   "1.41421356237309504880168872420969807857`19.999999999999996", ",", 
   "1.41421356237309504880168872420969807857`19.999999999999996", ",", 
   "1.41421356237309504880168872420969807857`19.999999999999996", ",", 
   "1.41421356237309504880168872420969807857`19.999999999999996"}], 
  "}"}]], "Output",ExpressionUUID->"bf9dce70-0488-4696-971e-5460392c6ec2"]
}, Closed]],

Cell[TextData[{
 "The command ",
 StyleBox["RealDigits", "MR"],
 " produces two items (in a list). The first is a list of the digits \
appearing in the real number, and the second is the number of these digits \
appearing to the left of the decimal point. For instance ",
 StyleBox["RealDigits[100]", "MR"],
 " will produce the output ",
 StyleBox["{{1,", "MR"],
 "\[ThinSpace]",
 StyleBox["0,", "MR"],
 "\[ThinSpace]",
 StyleBox["0},", "MR"],
 "\[ThinSpace]",
 StyleBox["3}", "MR"],
 ". In this case, we simply want the ",
 StyleBox["First", "MR"],
 " part of the output\[LongDash]the list of digits."
}], "ExercisePart",ExpressionUUID->"62b2075c-a581-46fc-b3be-0a315fd91805"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"First", "[", 
    RowBox[{"RealDigits", "[", "#", "]"}], "]"}], " ", "&"}], " ", "/@", 
  "%"}]], "Input",ExpressionUUID->"53402698-843e-4f9e-8013-4ad638fd9d5d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "5", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "4", ",", "1", ",", "6", ",", "6", ",", "6", ",", "6", ",", "6",
      ",", "6", ",", "6", ",", "6", ",", "6", ",", "6", ",", "6", ",", "6", 
     ",", "6", ",", "6", ",", "6", ",", "6", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "4", ",", "1", ",", "4", ",", "2", ",", "1", ",", "5", ",", "6",
      ",", "8", ",", "6", ",", "2", ",", "7", ",", "4", ",", "5", ",", "0", 
     ",", "9", ",", "8", ",", "0", ",", "3", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "4", ",", "1", ",", "4", ",", "2", ",", "1", ",", "3", ",", "5",
      ",", "6", ",", "2", ",", "3", ",", "7", ",", "4", ",", "6", ",", "8", 
     ",", "9", ",", "9", ",", "1", ",", "0", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "4", ",", "1", ",", "4", ",", "2", ",", "1", ",", "3", ",", "5",
      ",", "6", ",", "2", ",", "3", ",", "7", ",", "3", ",", "0", ",", "9", 
     ",", "5", ",", "0", ",", "4", ",", "8", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "4", ",", "1", ",", "4", ",", "2", ",", "1", ",", "3", ",", "5",
      ",", "6", ",", "2", ",", "3", ",", "7", ",", "3", ",", "0", ",", "9", 
     ",", "5", ",", "0", ",", "4", ",", "8", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "4", ",", "1", ",", "4", ",", "2", ",", "1", ",", "3", ",", "5",
      ",", "6", ",", "2", ",", "3", ",", "7", ",", "3", ",", "0", ",", "9", 
     ",", "5", ",", "0", ",", "4", ",", "8", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "4", ",", "1", ",", "4", ",", "2", ",", "1", ",", "3", ",", "5",
      ",", "6", ",", "2", ",", "3", ",", "7", ",", "3", ",", "0", ",", "9", 
     ",", "5", ",", "0", ",", "4", ",", "8", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "4", ",", "1", ",", "4", ",", "2", ",", "1", ",", "3", ",", "5",
      ",", "6", ",", "2", ",", "3", ",", "7", ",", "3", ",", "0", ",", "9", 
     ",", "5", ",", "0", ",", "4", ",", "8", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "4", ",", "1", ",", "4", ",", "2", ",", "1", ",", "3", ",", "5",
      ",", "6", ",", "2", ",", "3", ",", "7", ",", "3", ",", "0", ",", "9", 
     ",", "5", ",", "0", ",", "4", ",", "8", ",", "8"}], "}"}]}], 
  "}"}]], "Output",ExpressionUUID->"adb4fd8a-f6ee-40ee-80af-7f87a8449019"]
}, Closed]],

Cell[TextData[{
 StyleBox["ArrayPlot", "MR"],
 " will represent each digit by a different gray-tone (",
 Cell[BoxData[
  FormBox["0", TraditionalForm]],ExpressionUUID->
  "08f10609-5a00-48fb-a8ec-94e473434bea"],
 " is white, ",
 Cell[BoxData[
  FormBox["9", TraditionalForm]],ExpressionUUID->
  "71aec37e-5b8e-46a4-8860-eb73a8d0b3bc"],
 " is black)."
}], "ExercisePart",ExpressionUUID->"a4905a14-5b18-4bbd-94d7-80430e7e0f73"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArrayPlot", "[", "%", "]"}]], "Input",ExpressionUUID->"d0cfde36-9fd8-49b4-b901-9f6b650aa6e2"],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztlDEKAjEQRQPaWdvZeAut9g6CFxCsRQ+yJ7K3sbWzkUWwsPAIhoUtkjH+
j6OI+IcNDzbMZpJ5m/FiNVv2QgiDOIZx9OMY7dbxuVY5Qxu3atO+OBl28978
ad1M6uZiyH5/3sbZMM0/Gqb5B0O2Pm79vSGbz7EUeP+IXP+3huw82pf8lJ/y
U37KT/kpP/OQn/JTfspP+Yn6+Djkp/z0+YnOB9XH9b8UrN/l80dE9T/n7/vp
9Q/11+uv10/v/Zcbl4b3fmPv//L6qO5P+4n6q/n/nvf6+Z7/VxRfIfZTFL/J
O65Un0w=
   "], {{0, 0}, {21, 11}}, {0, 1}],
  Frame->Automatic,
  FrameLabel->{None, None},
  FrameTicks->{{None, None}, {None, None}}]], "Output",ExpressionUUID->\
"e43c9aee-c192-4731-8593-c7d96bbcb09a"]
}, Closed]],

Cell[TextData[{
 "It is clear that ",
 Cell[BoxData[
  FormBox["100", TraditionalForm]],ExpressionUUID->
  "4d1c9e3b-539c-485f-9c16-20c0f42719d9"],
 " digit precision is obtained in fewer than ",
 Cell[BoxData[
  FormBox["10", TraditionalForm]],ExpressionUUID->
  "473ebbb1-e2e5-41d2-beb3-e68d314e8927"],
 " iterations, as all columns become \[OpenCurlyDoubleQuote]stable\
\[CloseCurlyDoubleQuote] by the last few iterates."
}], "ExercisePart",ExpressionUUID->"d0f39bc8-e903-45c6-b722-dbe3434de0c9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArrayPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"First", "[", 
     RowBox[{"RealDigits", "[", "#", "]"}], "]"}], "&"}], "/@", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "#"], "+", 
       FractionBox["#", "2"]}], "&"}], ",", 
     RowBox[{"N", "[", 
      RowBox[{"1", ",", "100"}], "]"}], ",", "10"}], "]"}]}], "]"}]], "Input",\
ExpressionUUID->"f793f0d1-8ad5-4614-81e1-78333baf2eed"],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztmz1qHFEQhAesTFdw4lvIke5g8AUMioV0EJ1IuRKlzpyYxeDAgY6gZUGB
PPumiv76LSyqwaLAzfvp7nr9umakLz9uv918Wpblcv9zs/+52P98frrb//t3
/T8uh+fl+v7wH79X+Gan478+7K4edn9X6M7//fD8WeH78b9W+H78zxW6+/PW
f16hO97D0aP9V+jl/3GFrl2hl/9x/uj+VP4UPyj/af5VfNT4nvyN4+fFv35+
aXy8/Y/5Sfnl+U/rTz1+tD4opPXTy089PpQ/Kr49/tfX9+zz8kfrK60/an6V
f9rf0Pgq9PhD7896/9Gzv3n11eNHnd+0PtH+XcVH7Y/1N9EntL7Q+0GNd/N4
/Ik+ofuj5y/6hPUH9PzS+Hj7jz6JPqnxR8W3x//ok2r9iT7puD+jT6r8pvUp
+oSNjz7ZHu/m8fgTfUL3R89f9AnrD+j5pfHx9h99En1S44+Kb4//0SfV+hN9
0nF/Rp9U+U3rU/QJGx99sj3ezePxJ/qE7o+ev+gT1h/Q80vj4+0/+iT6pMYf
Fd8e/6NPqvUn+qTj/ow+qfKb1ifav6v5PX5W+R19QuuLt370yciukJ6fnvoa
fcLyF31S5Zfnf73+UH6r9RX/KXrxr/NHzU/35+WvPp7OT9f3+KPiP86f1z+o
9791fij/FdL8LZsP17899Xne+4Oe+kr7i/F4yk+F1D+FPfq/6l/0ieJf9ImT
//PVJyp+p+FHPT+0/lH+UX2m1qf3g9cfj/Pv8VvV//H8Pf1VXX/Q+HrxG6/f
cz/U3397+x/PT/en1p+9/9PUN8ofxf96fij/Zuefxp/mV+XPqz/zzmfP7y+p
80HvJ/r9s85/Nb9Cuj8Vn22MPqHn11u/fj97/K/XP2VX8VfYE9/6eM+/+vs1
Wp978jfv/W1PfzTv/bPnX/39rLIr/yl/e/qH+vcFWr/o9xM6v+ffvP5Joccv
+vsT4/31fL+l37/G/tP3G4q/3vmo93/KP2/8bH1T7y+o/9Q/z17HHv7Nq78q
f7R+9vQHVTx/feKdf3r+6PuH+v2u/HPzfPzh3zcUf9X6yX/yn/wn/8l/8p/8
J//J/8fKv9q3yv/sv6+JPfbYY4899thjjz322D+OfRu1PunRb8FgMBgMBoPB
YDCoUOuTYDAYDAaDwWAwGDwVvgJUZ5gU
   "], {{0, 0}, {101, 11}}, {0, 1}],
  Frame->Automatic,
  FrameLabel->{None, None},
  FrameTicks->{{None, None}, {None, None}}]], "Output",ExpressionUUID->\
"739ef2ce-b91c-44da-80ea-f19a4e7214f0"]
}, Closed]],

Cell[TextData[{
 "In this case it takes more than ",
 Cell[BoxData[
  FormBox["200", TraditionalForm]],ExpressionUUID->
  "50edfac4-c02f-4cf5-9082-f6b993a6118a"],
 " iterations to obtain stability in all ",
 Cell[BoxData[
  FormBox["100", TraditionalForm]],ExpressionUUID->
  "90fafdec-f5e5-43d1-9db6-1661d040ac66"],
 " digits. This iteration converges to a fixed point, but convergence occurs \
far more slowly. The (approximate) straight line running diagonally across \
the image is indicative of what is called \[OpenCurlyDoubleQuote]linear \
convergence.\[CloseCurlyDoubleQuote] In the previous part, we are looking at \
the \[OpenCurlyDoubleQuote]quadratic convergence\[CloseCurlyDoubleQuote] \
typical of the Newton-Raphson method. In fact, the function ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FractionBox["1", "#"], "+", 
     FractionBox["#", "2"]}], "&"}], TraditionalForm]],ExpressionUUID->
  "235d1370-42fa-4e44-bdd1-6d37152b409f"],
 " being iterated is the result of applying the Newton-Raphson technique to \
find a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"2", "-", 
     SuperscriptBox["x", "2"]}], "=", "0"}], TraditionalForm]],ExpressionUUID->
  "42ab1fdc-9c3f-4506-8298-aedf04607760"],
 "."
}], "ExercisePart",ExpressionUUID->"bd1502b6-8210-49ff-9de1-28c8e7e2bf8e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArrayPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"First", "[", 
     RowBox[{"RealDigits", "[", "#", "]"}], "]"}], "&"}], "/@", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "#"], "+", 
       FractionBox["#", "3"]}], "&"}], ",", 
     RowBox[{"N", "[", 
      RowBox[{"1", ",", "100"}], "]"}], ",", "200"}], "]"}]}], "]"}]], "Input",\
ExpressionUUID->"60f6eac9-7fea-4bcf-8b1b-cc4b798c35b5"],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztnU2qtVuylRdoM7JiL7R0+yDYAeGWRRtyW2RdBKvWrMhFsGDBJphkcrjX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   "], {{0, 0}, {101,
    201}}, {0, 1}],
  Frame->Automatic,
  FrameLabel->{None, None},
  FrameTicks->{{None, None}, {None, None}}]], "Output",ExpressionUUID->\
"e2458b5a-0dfc-4485-a400-7a9951455cd1"]
}, Closed]],

Cell[TextData[{
 "You will force ",
 StyleBox["ArrayPlot", "MR"],
 " to use the ",
 StyleBox["Rainbow", "MR"],
 " color gradient. Any named color gradient will work."
}], "Exercise",ExpressionUUID->"353a5da2-4ce9-406b-a19b-eb6f6a92b968"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArrayPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"First", "[", 
      RowBox[{"RealDigits", "[", "#", "]"}], "]"}], "&"}], "/@", 
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        FractionBox["1", "#"], "+", 
        FractionBox["#", "3"]}], "&"}], ",", 
      RowBox[{"N", "[", 
       RowBox[{"1", ",", "100"}], "]"}], ",", "200"}], "]"}]}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<Rainbow\>\""}]}], "]"}]], "Input",\

 CellLabel->"In[93]:=",ExpressionUUID->"8d91db3f-9021-4fd7-bc6c-38dc036c1338"],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJzt3V/Ibn9a1/GJOgqMKFEaopAEIelQI5h4OgmCLGQghA6CpEEoyoZOKiaR
IPFAEyGKiCGZOpCyvwfNgZESgWMZGAQTTk3RpOM/KKmDiNSGQA/X+u392u/9
vZ/n+WzYfA8W9/2se63v97qu9/X3q775Wz/6sV/7oQ996Ee/9P9jX/r/6770
/1N/9//+z7/+xR9/+k3f900/8ac/86NPn/j9f+SzH/38F58+9P///Y+nb/tj
3/OH/s63/PjTv/k9H/m6r/trn3v6iu/7bX/h7//nn/nA1//Gt/3Sv/6BD//H
p08/feWX/Zbv+amnb/oNv+uffvK//5dfvf7xX/Ppb/wzv/Pnnz7zi1/1G//l
1/+3p8//0Hd95Hd89b/9wJ+/u/6bf+6ffftv//TPP33yd//j7/1z/+onnr7s
1//Zb/mGf/gjH/jv3z2f//2Lf+srv+Zf/PunX/rcR//XP/jEF57++B/81Md/
8O/91K9e/9kf+71f/Ylv/bmnT/3Nr/nsl3/mh59+5E98/Je/92d++AN//5d/
81/62Id/6xeePvy3v/Y7/s8PffHpT/6p//r93/2dn/3Av+/u7//CH/jnH/nk
137+6ev/0c/+wFf8hx98+sIv/9Xv/8b/9MGfr37/3efvft9P/sXPfcNf+fM/
/fTd3/XT/+T3/eEvPv3RD//kd/zYX/53H/j+7/bv3f3fvf+7/XX3+bv3f3f/
d8/37vnc/f2753/39+++X/eHPh99fyrfdP/d/f6753f3/bp/735ffb7v5O/d
37/7/Xf3d/f99fvTv3/3flU/3+2Pu/d39/1qH+j7uXv+d8/37v7uPq/2zd3v
V/1wd72W7yof7p6/6ve793N3/2q/6f1fr+OT8cn4ZHwyPhmfjE/GJ+OT8cn4
5CXxiX5e+efu+vU6PhmfjE/GJ+OT8cn4ZHwyPhmfjE9eEp/c3b/GR1T+Xa/j
k/HJ+GR8Mj4Zn4xPxifjk/HJ+OQl8YmeP92/d9ev1/HJ+GR8Mj4Zn4xPxifj
k/HJ+GR88pz4pM7fqu3n63V8Mj4Zn4xPxifjk/HJ+GR8Mj4ZnzwnPtH9oedD
z//1Oj4Zn4xPxifjk/HJ+GR8Mj4Zn4xPHolP1D68O39qv6r8vl7HJ+OT8cn4
ZHwyPhmfjE/GJ+OT8ckj8YnKj9o+1v11vY5Pxifjk/HJ+GR8Mj4Zn4xPxifj
k/fJJ6p/VT7X8vPu/q/X8cn4ZHwyPhmfjE/GJ+OT8cn4ZHzyPvlE9cvd77/7
fq1PUfv/eh2fjE/GJ+OT8cn4ZHwyPhmfjE/GJ++ST3T/q/5W+aPv5+75Xq/j
k/HJ+GR8Mj4Zn4xPxifjk/HJ+ORd8kkt/+9+n9qnar/f7f/rdXwyPhmfjE/G
J+OT8cn4ZHwyPhmfvIn9V+svlX96vlX/LL9rfDI+GZ+MT8Yn45PxyfhkfDI+
eX98UtdnqP5T/a/yY/2Fxyfjk/HJ+GR8Mj4Zn4xPxifjk/fHJ3fXVb/W+rPW
b+svPD4Zn4xPxifjk/HJ+GR8Mj4Zn7w/+a777+771T7T/a/yff2Fxyfjk/HJ
+GR8Mj4Zn4xPxifjkw8u37W+/W5/qn2p9ef1/Pm733/3fq7X8cn4ZHwyPhmf
jE/GJ+OT8cn45HXxyd37qe13jT/o+Vf5qfLjeh2fjE/GJ+OT8cn4ZHwyPhmf
jE9eF5/U+VX6eY2v6PW796f693odn4xPxifjk/HJ+GR8Mj4Zn4xPnhefKF+o
flL5ree3nl+i8vXu/q/X8cn4ZHwyPhmfjE/GJ+OT8cn45Hnxif79u/2l8lf1
n+qPu/vT+hXVz9fr+GR8Mj4Zn4xPxifjk/HJ+GR88rz4pI5f6P5W+anPT/eX
no/NZxyfjE/GJ+OT8cn4ZHwyPhmfvCQ+UftGz6/K3zr+oPER3b9qP1yv45Px
yfhkfDI+GZ+MT8Yn45PxybvlE+3Pq/1rNT6j+u/uus531Pen/KT743odn4xP
xifjk/HJ+GR8Mj4Zn4xPHit+Up8P5ReVD8o3ur9VPun5uF7HJ+OT8cn4ZHwy
PhmfjE/GJ+OTx4qf6P7W/aH9ee/+vv5+Pb8qX+/21/p3jU/GJ+OT8cn4ZHwy
PhmfjE8eiU9q/7v2t9XP6/6u5yvq+an56nodn4xPxifjk/HJ+GR8Mj4Zn4xP
3m/8RN+/2id6/tV+U/1393zq+I/2L7texyfjk/HJ+GR8Mj4Zn4xPxifjk3fL
J6pf9Pfr79P5IJr/pPZJbb+p/Xu9jk/GJ+OT8cn4ZHwyPhmfjE/GJ29m3+j+
1/6+ar/o+63jL1pfo++vtk+u1/HJ+GR8Mj4Zn4xPxifjk/HJ+OTN7Ju796Pn
X+vr1f7U/VfPX9T9rc9Pf//1Oj4Zn4xPxifjk/HJ+GR8Mj4Zn7xb+0brU+6e
T80nej7U/qn7G+v7U/16vY5Pxifjk/HJ+GR8Mj4Zn4xPxidv1r9J5avqD7Vf
9PkqX2h/rPp8a3+Du993vY5Pxifjk/HJ+GR8Mj4Zn4xPxidvNj9cn7/aD5pf
pvavyqfa/tf4SP18rtfxyfhkfDI+GZ+MT8Yn45PxyUvjE9Xf2l9L7UutD6nn
l+h8F31/dX2O2m93n79exyfjk/HJ+GR8Mj4Zn4xPxicvjU9Ufuv9aX211p/c
PX+Vv2qf3V1X/rt7fnV8ZvMZxyfjk/HJ+GR8Mj4Zn4xPxifvUr/o/q73x538
1v2v96fxJ9Uvyq96Pu6+/3odn4xPxifjk/HJ+GR8Mj4Zn7w0PtH6bc2/Uvum
1r/6+zW+ovax6lfdv5sfPz4Zn4xPxifjk/HJ+GR8Mj55E/mr80VU/9fno66P
r/uD1flzKv/0/a6/8PhkfDI+GZ+MT8Yn45PxycviE50/rvJRP6/5P2pfqHxS
/Xt6Pubd96t82vz48cn4ZHwyPhmfjE/GJ+OT18Unav+o/Fb5qvpL+wvr/ev3
a3+vu79/d/96/uv+bNfr+GR8Mj4Zn4xPxifjk/HJ+OTR+KSeH67vR+WP7k/V
b2q/6v5U/ab1SWqfqX64Xscn45PxyfhkfDI+GZ+MT8Yn75tP6v68dfxB/77q
d93fmv+k+lHtS/37d/tb8w9XfzI+GZ+MT8Yn45PxyfhkfPJYfFLPR6/zg+r+
snf7s+YjlR91f+M6fqL6SeXH9To+GZ+MT8Yn45PxyfhkfDI+edd8ov5pjT9o
flg936+u31d+uvt8zU8qX+vzp/Lneh2fjE/GJ+OT8cn4ZHwyPhmfvKl9cPd8
9f70/Kt9cff+df/U8w/r/Cp9v7X9U59/ra+5Xscn45PxyfhkfDI+GZ+MT8Yn
79o+0Pl/9XzAer5fPZ9E5Yvap/XvU/mr+1fjQ3fXr9fxyfhkfDI+GZ+MT8Yn
45PxybvOD6r7c6n80/pp3d96fuv71/1d15er/FL5rPL/eh2fjE/GJ+OT8cn4
ZHwyPhmfvGv9ovKhni9Sn8+6v/Jp+7yOf939Pq2P0f4Fq48fn4xPxifjk/HJ
+GR8Mj55v3yi8kf3hz7fev54/X40vqT9tVQ/af8DtS/VPtf+aquPH5+MT8Yn
45PxyfhkfDI+eTP79+58qv15On+prt+o4wt1fyyNP6h+UP2j70/vX+2n63V8
Mj4Zn4xPxifjk/HJ+OTl8YnqX7W/T/fXrf33+n7U/tTfX9fX6/NRPlX7UZ/P
3fdfr+OT8cn4ZHwyPhmfjE/GJy+PT+r5HKofdX657n/9frUfavu5zu+6+31q
39XzPXX/an7Y9To+GZ+MT8Yn45PxyfhkfPL8+ETldz3/u+5PfDo/R/WLnk+V
n/X8mfr9aH6g6netT7lexyfjk/HJ+GR8Mj4Zn4xPnh+fqP1Sz0fX/Ci1/1T/
Kh9qfyiV3yo/7u5f5ZvuXz1fKr/1/V6v45PxyfhkfDI+GZ+MT8Ynz49P6vOn
9ovad2ofaP333fvX+eqn5XvNF9ofuK5f0uev9VvX6/hkfDI+GZ+MT8Yn45Px
yfvnk7p/ltrPal8of6l80/nnd89X7UeNz9TxKT0fdf9jPT/KF8vvGp+MT8Yn
45PxyfhkfPLS+KSuX9f+VSofa/tO4xO6f+v6GuWXu/vT6/p+9P71+dX2yebH
j0/GJ+OT8cn4ZHwyPnlufKL5UZo/o/u33h/aP6yuX9D5gBp/OF0/Uedf6f2r
/aj6afPjxyfjk/HJ+GR8Mj4Znzw3PlH5oPk/un/U/lG+Uvmk50/t97o/tL4/
zY+r+3dpfFDPl+6P63V8Mj4Zn4xPxifjk/HJ+OT980m9f1R+qn1T9++t+4sp
X9XzW1T+6/6p5zPq81X5qf2zV38yPhmfjE/GJ+OT8cn45NH4ROurNX+ltu+1
Pr4+X/X89Nr+Vfutjo/U8bG6P4O+P5V/1+v4ZHwyPhmfjE/GJ+OT8cm755M6
/0X7e+n5Uv2oz1/zq2r/fm0f6fx0rX/S86X1H7p/9P1qfOV6HZ+MT8Yn45Px
yfhkfDI+eff9U1U+qH9Yz6/qH51Ponyl8kf5SveXxif0/jT/q44P1s9H3//y
u8Yn45PxyfhkfDI+GZ+8bz6p+xep/aX7V+MTKj/UftL5KyqftL+Xnh+1T+r4
oOZPaf8s1c+rjx+fjE/GJ+OT8cn4ZHzyvvlEP1/rb91/p/OzVL9rfEDlj/JP
nb9Wz29X+0+fn86XqfvHLX4yPhmfjE/GJ+OT8cn45F3b7+r/1vymWv5o/YLm
v6l9ovZr3X+4rl/X/a/3p/Ln9P7Q/DTVD9fr+GR8Mj4Zn4xPxifjk9fIJ7V9
Vs83r+uP9fnW/Wfr+hCtT9fv1/ev9T26P2v5rvKrls+Ln4xPxifjk/HJ+GR8
Mj551+9Pz4/+fT2fGh9R/qrjSzU/qPyt6xvUftL4jOovvV7f/+Yzjk/GJ+OT
8cn4ZHwyPnnXfKLnu9Z/Gj9Q//Cj++f19+v+qPlS97fabyqf6vmQyi91/wGt
n7lexyfjk/HJ+GR8Mj4Zn7xEPlH5q/1X9fmr/1vjO/X8RbVPVL6qfVfzp8aH
6vmCp/fvo8vX5XeNT8Yn45PxyfhkfPL6+KT2v+vz0/pn3X/6/Zrfou9P36/a
R2rfa3xJ5aPaT8onav9q/2LNj9P+4ZsfPz4Zn4xPxifjk/HJ6+MTPT/6++72
Tz3/W+9f89v0/Wh+ml6v6yP0/Ovn1X5TPtH4iOrX+vvVfr1exyfjk/HJ+GR8
Mj4Znzwin+jz1euqP9V/q/lVqr+0fkWfj+4P5Sf9fpU/en7r+JHWp9TzTdU+
1P5+d9ev1/HJ+GR8Mj4Zn4xPxiePyCf1/And3yr/T8tvfb91fb/Kh0fvv/bo
89nr/DadH6rxnXo+zvp3jU/GJ+OT8cn4ZHzy8vhE7UfV7+pfVv+r+p+1P5fm
n9X9kev54LV/Xu071S/1fBv9/bo/9ftV/69/1/hkfDI+GZ+MT8Ynz49Pav9u
/Xzr+MxpPtT8Ms2v0/iI5m/p/tT6h7vfp3yu+0+/X+1PzW/T+JTan9fr+GR8
Mj4Zn4xPxifjk4JP9PyqfaL2a12for9Pv1/3jz6f0/aX6ne1P7R/Qm1/np5v
ovur3p/6fq7X8cn4ZHwyPhmfjE/GJwWf1PPn1D+t5+f0fG71b9f112q/aXxB
88dOx+/0/NfzSev5icrn+vxVPt59/nodn4xPxifjk/HJ+GR8UvCJ7t9aP9b+
aZUftX6t+39pf2atf1b5r/JD5XvNt1r/XfOTvn/lB5Vf6y88PhmfjE/GJ+OT
8cn755O6P67KV9XPdX/Yuv5ar2v9hdZHqH6u7Tc93yrf6vmYdf2S9p/W+God
X1r/rvHJ+GR8Mj4Zn4xP3j+f1PMN9Pdpf6a6/1M9H17ll/Kp+u/1+evzU/mt
8Y+6/3Pdf6B+Pmr/qf5W/XK9jk/GJ+OT8cn4ZHwyPnmb+gLV33X+RJ2fo/Zd
nZ9U/z7l13p+jdofp+eH1PMJ6/5Udf/t2j7U/X33+6/X8cn4ZHwyPhmfjE9e
J5/o+df9W/tf6/tT+0Hzc/R81/NJ6voMjS9ofpnaDyq/Vf6pfXOaH/V8Kp/q
/V2v45PxyfhkfDI+GZ+8Tj7R51vv30fvj1TPT1T/+qPn39T18bV9p/0BTsfn
VH7X8rW2n2v/wOpPxifjk8e1X8Yn45PxyePyyd396fmo67vV/3k6fqP5XVrf
o/df81vNn6frn9R+1vej96fxE43Pqv2m9U2qn6/X8cn4ZHwyPhmfjE9eJp+o
/Vf399L6aZW/9fmp58Mr36h9U88XqfOvnnv9uPJJPb9e7Z86v0rls+rH63V8
Mj4Zn4xPxifjk5fJJ7p/1b+p+Ulaf6DyTfWf7q96vnwd31D5UPOF6hd9f3V/
Y7VfTve/qvsH6vvX53u9jk/GJ+OT8cn4ZHzyPPlE7SP9/Tq/QPev6j/1L9fz
OTT/X+W7/v7T8r3mX80vVP6p/QN1/Ebl8+n6Fj1/1+v4ZHwyPhmfjE/GJ8+T
T/T9qH2l+VP6flX+q/6v+bLWL6fnJ9af1/y6uj5E4weaH6Z8pPGXOr9Q/Sea
v7b8rvHJ+GR8Mj4Zn7xEPqnzN+r8FZ3/oP5t1W+6P+v54Wpf1Pl/Wp+h/FvL
X7UfNT9P37/uf7U/9HzV/cG1fmX5XeOT8cn4ZHwyPnmJfKJ8Uet3/by+P30/
av/W/bdO73+9P7Uv6vp65bfa/q/7Z6l9oPmbp+0bfb96vq/X8cn4ZHwyPhmf
jE8aPlH5oflRqn/Vfqv7G9fyQ8+/1v/U8/Hq+Zt6fur5ofr+6/5tKr80P6ye
r6P+mzo+Wft3rtfxyfhkfDI+GZ+MT87ET9T/q/kL9fPT+ITub9V/+v51f9T+
d91/yuen55fU/K18qHxQx+9Uv+n96/PX/niqP67X8cn4ZHwyPhmfjE/OxE/q
/rK1faj7u5Zv+n61/7D+vtP5LcpP2j9A7Sv9fq0vP10fVc8fUr6r69tq+ab5
ndfr+GR8Mj4Zn4xPxicNn+jzq/VPPV9F5V+dH6XnT/v/aP202he6/1X+1PX7
Wn+i9qE+/1q/Kb9q/prub7VvVf/p/rhexyfjk/HJ+GR8Mj55O/tMv18/r/tb
5b/mn9T2aV3frOdLf189X177s+r9q32r9rXmF9X2W/386vmsdX9njS/V+Z3X
6/hkfDI+GZ+MT8Ynb6f/NT9G/dOaf1/X79fzs2v5U89H0Pwp9Q/X8Qk9H/X8
9Lp+TO9f42u6/zQ+qvmp+vx1f9f+net1fDI+GZ+MT8Yn45MmP6Xu71/Xz+v+
rPOPav1c5/do/Ef5SvsbaH2Fzver5Y/Wt9fzP9S+U/6p68vq/Mi6fmp8Mj4Z
n4xPxifjk4JPTvu39f2eng+h9r/mD9X1zXX/2Hp++en5JXX/A43vaX5cbf/V
8+Pr/g/6fOv4h+ZvrT5+fDI+GZ+MT8Ynb8MnOj+i9g+q/KjnX2t8QPND6vdf
+1+VPzT+cbq+W39fXX+h9n2tH9W+rPPH6vm1yg91fd/q48cn45PxyfhkfPI2
9qna9+qfPW1f19+v8vV0/Yjaz2rf6/6v4y8a36rnd6t+0/Or8T39fM1Xdf7o
af6t8xuv1/HJ+GR8Mj4Zn7xWPqnj9/X8Bc2v0vp6zQ9S+Vj3R63nz53uf1rX
Z+v+e/T+Waf7n9X2ncY/6/iQ8pH+Pn3/1+v4ZHwyPhmfjE9eKp/U8xHr+d+a
/1X31zydH6P64fT71/hbbV+pf1rjk6fnt9fzO9S/ofyr+U8qv/X56/7Wv6/6
+3odn4xPxifjk/HJc+WTun+w1t/W8/90f2r8QeWT5lfo89X4h+aPaXxM+eLR
8/f0/rT/l+bHqX9B5eejz6+v6zv0/dbze6/X8cn4ZHwyPhmfPFc+Uf2s/um6
v5buD90/df8AlY/KF/V8zrp+oj6/6r9W/aH2sdpnar/o+ar7c9fxTfWv1PN5
6vj03eev1/HJ+GR8Mj4Zn5ziE5Ufat/Vz6/Oj9L9p/EplZ+qX9U/XNvXdf9l
5Sv9+3X9uNov9fzMuv94Lb9q/VX351L/ST2fdnwyPhmfjE/GJ8+TT9Q+0v2h
+dV1/ajaF/X8xTo/TPMn1D6v+zPX9Rf152v5rvxS81NdH6P2m8of1S+1faXn
p/59m884PhmfjE/GJ8+TT+r+nHX+jcqn2n7Q+hqN32j9guqf0/VNdX8Htd9O
13fU/Kv6sX4/9flRvlL/kdrPah/X/eX1+V+v45PxyfhkfDI+OcUnmh9R+681
fqLxFe3vqv5VtQ/V/tH9p/pZn6/69zV+ofXbel35TvtD1/adyu/avlL5pu9f
7Yd6vk3dH+Juf1+v45PxyfhkfDI+OcUnqj/q+Qh1fxn1T6v9rPavxq9UPur+
0/2h+YH1fAjVD7r/6vxH9V/XfFTXt6h9qvxY+0fq/VXPb717f9fr+GR8Mj4Z
n4xPKj7R/CO1r/X+NL5T1wefri+pr6t/vp5/qfZJXZ+v9pvah6qf1P49nf+m
9q9+v9qXdf1SnR+o9lPdn/h6HZ+MT8Yn45PxScUntfzS56/xgbq/mOonzT+o
9Uc9n1Dnv5zOH9P6hdq+UP2t+qP2n9f8X/eH0+df91eu88fq/vPq37pexyfj
k/HJ+GR88rb2ey3/9f2r/Vfnd6n9XM8vVL5S+0L9m3X/gro+SeMHtX++zp/S
+E49P1T3d12frfJH+VTje6fjdzUfX6/jk/HJ+GR8Mj6p8hv0ep1fo/tP9YfK
T7Xv1P+u+/90/pbGlzS+VvvHaz5V/abnR+0jtZ/Uftbfr/ax2je6/+vzVcd/
VL5fr+OT8cn4ZHwyPnnb76/1s/aXqeej6Pmo+8uczn/S+I6eT+UfrV9SPtf+
yHX/vHo+ucrfmk/r/NLT+VO6f07Hv5Tfa//c9To+GZ+MT8Yn45PKP6/yW3+f
2r/q/9b+lPV8ce2Pq/lNen+qP+v5eGr/aH6Unv/T/H86P1Hfj96f8rH+vjo/
sZ5vVPOjno/rdXwyPhmfjE9eLp/U9YX1fPV6vpjaRyrfVb7W+qvuf6T1+afn
P9b5IxrfOF0/oudf/SNqnyt/Kj/U8x/r/u26f+v3q/JH7ZPrdXwyPhmfjE9e
Lp/U/rM6f6W2v+r6CtV/dX9Stb9O6yeV35rfo/mHyt91/PD0/JXaflb9UOfn
qf5R/VbHf+v5vLV9r/L1eh2fjE/GJ+OTl8sndf+Uur9obZ+rf662T5WvNP+8
7o9a9yeq9bfyZ+0/r+M7dX2L8ofKxzr/s45vq/7R+9P6Pd3faj9q/crqT8Yn
45PxyfikyX/R/Iz6/db52fr76/yIer55/fzUflF+U/u6ji9p/Uodf6j1r/5+
lS+6v+r6bOXj0/q9rm/X+9f42fhkfDI+GZ+MT87M16v943X+V+0fq/3j9XxB
tR9r/2ldn1P3/639+5p/ouezjq/o+1V+0/hBvb81/075Tf1Hymf1fBXdf9fr
+OS0fTI+GZ+MT96eT9T+Vvuhnq9d10/X/v26PreeX6H+T5U/ap9r/109vzUf
aP24yu+6f3A9P1Pv/3T/EbXPlI/r+NXp/Npavl+v45PxyfhkfHKOT+r8KfWf
1e9H/X96Pur+q5pfr/atytc6P6meH6L7T/lW+UnjZ6fttzq+qPL3dH/Cur5K
+bfme/Vv1fqr7r99vY5Pxifjk/HJ48ZP6v5cuv9q+13zv1U+n7bf6/mGah+p
fVrbP8o/df2Cnp+6v4M+n3o+ktofdXyslt9aX6b6+XR/YPXP1f6Vu/11vY5P
xifjk/HJ48ZP9PzX9bHqn6v7R6p80t+nfKV8ofl/p+f31c9H5b/mz9T1VWof
K9/V9q/ax8pX2n9P/77aByqfavlX9/eq/TeLn4xPxifjk+fKJ7X/ps6f0fN/
en6zng89P3X+Xt0/oc7PUP2hfKH2k54PrR9T/aP5M6fro9S+qvub1fVPyq91
fw19/6f7w6v8uV7HJ+OT8cn4pOvvqfK1zn+q+zeqf1XnJ2p+TF0/X+cX1edb
/Y9qH6h+qfvP1fNp1D9/Or9F/Q+n91ddn1/PT6n7N5yeL1zPZ9X43PU6Phmf
jE/GJ138pO4fqr+/7q+q96/5MVofrc9Xz3ftP6z7K6t+Od1fQt+/1kfV+Wl6
vur4iPKF2k96fyp/1H9S6zeNj6p+1/mKtf9ufDI+GZ+MTx41flL7R+v+lJof
pPEdtT/1/Nb2jerXen5kLZ/q+ZUqX+r5GnV/OX1+p/t36e/T+JbyRV2fovtX
+afun67yQ+2Xur/L9To+GZ+MT8Ynb88ndf8ttR/r/o51f69aP9T9h1T/Kh+q
/VnPL1f5oJ+v6y9O+481Pqr7t66P0u9X+an7T+Oftf2g/R90vqHGz+r8Nz2f
1+v4ZHwyPhmfdP3tNf+gtu/r+cj1fF79+3V/ozq/qZ7fUedfn7YfdP/pdT3/
dX8I5ffT83k0/lLbf2ofqPyo5wPr/lX5Xuefqf19vY5Pxifjk/FJN59L+7Po
+TtdH6nyT8+/fl7vX8+v1i+pf7/Wj3V+2un+qqrf6v5N6v+o42dqnyof1P0r
Tsffa76t+2vX9Y31/JzrdXwyPhmfjE+686N8o/4bPb9qH6v/vN5fyo91/Ww9
X6Ceb1H3Rzs9H1P5R89fnR9W6xeVLxrf1edbz3/X+GRd/306vqr6t7Z/765f
r+OT8cn45DXzyen+nZpfq/kVtfzR56v9i9T/VdeHPnp9g9pfKp/q+my9rvq1
lo+1fXt6PqaeP92/df+Huj+9vv9av6r/os6f1d9/vY5Pxifjk9fMJ/V847q/
yun5wnX/L30+mh9wur9bPT9B5Z/mJ9X+ydP14Xr+Vf7V8Sm1X1V/qf48Pb9e
7/90/ZXaf8rvKl80vqT8e72OT8Yn45OXzCd1/5K6f4juL7Uf9f5U/2v+tfo3
1b7S+6/rq9V+fvT6crW/6/wvtW/r+p96vlHd/6CWL5rfWJ+/ur9dPb9R879q
/aTP93odn4xPxifPmU9Uvmj8vfbv1PZrrf80/lP3B9b4he7fuj5d7T+1r+r5
jhqf0/qDWr6qf7fuX63PT/3TGl/Q63X9huovzb9T/5rKR72u9kF9fq/X8cn4
ZHzynPmkrj+s5x+qf7SeP1J/vp4feVr/Kv/o/q37f9X5ZfV8u9P1Q2p/1fpJ
f1/NX2q/1P3H1H9Sz6/S+Ejdn0zr/1Q/KX8vfjI+GZ+8Xj6p4+Maf67nP6j9
UJ9//Xydn6bnQ+WfXq/7Ezz3/B3Vv49+/ur+BHr/p+Mbyq+n/Tfqf1C+0/2j
fF3Pz6nro8Yn45PxycvlE+3vo/5R9e+flg+1//J0fL7u/6X7S+Njdf9k9Y/W
+VHq/1b5cbq/sfq3a/tZ6zdUPtXxg7o+pZ6vWNdn1vVp9fxLlQ/qn7hexyfj
k/HJI/OJ2k/qH9H9oe+/rj9U+7ueX1DXl9b+9zr+UecH1fMFtL5J459qX6l/
Rf9+nR+j8ZE6P1blr8bn9P3X9duqv9W+Od0/uvYPqXy9Xscn45PxyUk+Ub7Q
z9f941V+na6vqPsf1/5jta/q/aP+0bq/k9ZHq/zR/PZ6PtHp+pF6fkndP7De
H6f7C6h8rOebnpavqv9qvtb8ydXHj0/GJ8+XT+r54po/UOdP1/H70/Oj6+er
+rWO36v8rvPP6v7Pat/X+lflg/Kpnr+6v636fzR/ps7fU/+X5i/V9nk9P6e2
/+v+avp59Q9dr+OT8cn4pOSTev6ryud6foLenz7fmu/q+Q/6fDT/rK4f1vNV
y4d6vsLp+ufT+XV1f/PaPlb/QB0/0f1T5+/W/iu1H7V/h+of5fv6/tQ+uF7H
J+OT8UnJJ6f1m+7fun9kHR9X/VfnR9f+r7o/qvqX1X5U/6jWn9f9pbR+qp5P
Xs+v1+er96/7v+b3mu80/0v3X22f1/F71d91fczp+qjrdXwyPhmflHyi56P2
j9T1dafr79V/q+ezjp9o/kAd/6r7X6n8qPVv7f+u/R96vlR+1N9/ej6nygfV
P6f9S6p/6/ej+bEqf+r84np+0538uV7HJ+OT8YnIR/Vvn57voPX7qj9O52/U
+R8aP6nj67q/a/tD9YvKl3p+e92foq5/q99v7R9X/fLo9eV6f3X/bd2f+v3q
36vr8zX/6nR/yrvPX6/jk/HJ6+aT0/k/+n7Vv6Xx+Xq+cN1/SvOH6vqTev5D
Pd+rrs/Q/V/3z1L5pvKnnv9Yx4dVftb1x6fjP6f7u9X94+v4tdoXNd+q/Kvj
N+pfuV7HJ+OT180ndX2h3r/mp9f9UdS+r/2Tat9o/Er1i/KL+rdOz1+u40P6
+zX+V9e31PNd6/Oh/pl6PtDp+Th1/drp/h21/a/xwdP1nafr8/X69To+GZ+8
bj6p+5tofyStf9Hr9fxr5Uf9+1o/U/NXPT9C41O1f6CuD63zv+r+QnV/Z42f
no6/qX2o9rP+vro/bm1fqXyu89dq+VL7v+r6oLq+/3odn4xPXjef1P4T7a+i
/nX139b9S1X+qH+8zk/Q/Jw6/nW6fuB0/0+V/3X/JJXvar8pv9Txj9o/rfkt
dX3h6fkzdXylnt9y2r9Qx3fr+iG1P67X8cn45GXzSV1frO9X9bfaF6o/NP5U
z39X/tL61Hp+Yj3fTu3nOv9N7VvVP2o/6P6r+bD2H6v9rvaRxkdU/z56/ZPK
B5XPuv/U/1hfV/vxdH8wjf9fr+OT8cnL5pPT82N1f6h+q/NrlB/q+Yj1/qz7
U6t/Te2/Wj6rf7SOD6r/UN9fXd9S6686Pqj2k8pHjS+czm9S/35tv57++7r/
6/xD9V/W9aXrLzw+GZ+8vX7Q+Pjp+UwqP/T31fmr9f7V/aP+1Xr+TB3fU/mj
9mfdH1v7VyjfaH1Y3b+19v8r/5yuH9H4gPrHVD6q/tH9UevPR5/fpHx7Oj57
9/3X6/hkfPK8+UT9g7X/VfdX7X+t58eqfK7n12l8Q/Ob6vqeev6Mxt/q/p71
/LZ6Pnl9f8pn+n7r+ne1/2v5Us9/qudb1PH1Or51un9g3d+37r+hz/96HZ+M
T543n9T9p1Q+qf6q/e8aX1f9o/Fn5cva/1lfr/O36/nFtf1W50/W8aO6f6jm
T6p+Vv1W5/dqfKfub6D2uz5/1c/1/A69f7XPNL5d95+u+3+tv/D45CXzicpv
ta/Vf6H6rZ4PWM8nUPuh5lv1T6t+UPlX57fX+SN1fnrdf0f9j7X9ofK5Pn+q
H1W+K5/W/eOf+3x11S9q39fzEU/Hh+v9pe//7v6u1/HJ+OSx+aTmgzq/QPdH
3Z+lPh/1/C3lS7U/dP/U/aHq8632U+2/r+fX1f7XOr+07h9Q98+t5+vW/alq
/VDP16vne9T52XV8UOd/1fJJ7Xf9/ut1fDI+ae0X9X/V85XUP6n7+/R829Of
r/O39fmp/Vn3Z6j7H9TxPc0PqedzqP2u9rfKb31/mr9S57/W83PU/qrjs3X/
hto+ruu76vr2Oj+57g+m51uf7/U6PhmfnI2f1Pa7xi/r/n61/1X9O7p/NT6v
8RX9+yrfa/2p/anq+qR6vo8+f7Xva/uvrq+v8wfr/g51/0X9vOrP2v6t49O6
P1V+1PkV9fyrun69zs/Y/PjxySPzSa3ftT5Qn09dP6v2WV0fqvu/7g+p8Qvd
X2o/aX6Hyud6fljd3+n0fAy9fz3fp+ez1vlf2r+htn9UPuj+quvLavul7t9R
92/X91/3B1D9ofXz1+v4ZHxi9tmjz9+t56upf6uunz89/6Guv637I2j+kO7P
un+u5gfU51vlTy1/T/O17g99/vX5qudf1/XBypd1/0at39D82jr/sp4verq/
3un5cMqv1+v4ZHxytn62nt9+Ov5e97/Sv1/nRykf6vut+z/p31f7qj5/yien
/dMq3+v+q/X+q/PT1f5U+0zzW5S/1H9W95eq+2coH9T5D2of1vOpav+RPl+V
/+vfNT45ySdq/2j9uT7/ev5Qbd/p/evzUflU95/V76/z++v+THefr+ej1P7R
ev5CnR9a+1/r+RcqH+v5tvr+9P3W+7PuH1Pnv56eH1X33639j+qf0v2n9cPX
6/hkfHLW/jrdf7ye/1jX59fzD/T5q/1Xn/86v1j1d52fr/tH/RN1/kqdP1Tb
X3V/jrp/Ry0/6vml9Xwcta+U707PR67zs+r6tNp+qucP1f0vlt81Pin5pO5v
q+ezzo+u/Qd1ftmjz2dS+6+uD6rro9V+P+2/1PN1uv+c+r/r/gj1fAXNP1X9
rfpDf3/9fOr54XX+T23/qP6t7b+6P4zmf572z2p853odn4xP2vnup+Vv/fz0
fNTzi9X+0+fz6PMd1b5V+0r7Yyu/aP1LPX9S+bnuT1fbT3o+6vpg/ft6fnV/
1/2t6/q62r9dy6+6v0odX6/zl5U/ND9a+w/fvZ/rdXzy0vmk7q9T90+p52/V
+WN1f0TVL/V8Y43f1POnld80P6aej17Pd6vjG7o/6/jT6flral/U/Kv7u56/
q/lTdX1OPd+wnk9Zn9/T/Sfq+SR1faHGj/T5Xq/jk5fOJ3V/1vp8aP+7un9m
bX/X8YO6P2id36f2Wd3fsZ5PrPZN3V+t1v+1f7eufzidv17PJ6njsyp/T8+P
Vf96PX/vdP9ktV9Uvur5rfvj1fPh1b+0+YzjE/l9ej7r/CHdn3X+j/rHlJ/q
/gdq39X+4Tq/X/3P9fyauv9WXT+k8QvdH3p/9XxrlW8qn+r+6HV8Su1TjT+c
ri9S+XF6Ppe+H73/Or+ufr61faX8f72OT547nyi/an6Iym+1L077P0/H5+v6
FJXPp/tf6/6t++vU/UN1f6j/TOOfav/q+a3zG5RvtL61zs+r53M8uv+5rk9U
++h0/706fnGaP9W+ret71f5Q/931Oj557nyi51/t63p+UZ3/qfkvz/3va/yh
9r9o/5A6/lHzodqvdf5Hzaen7Td9P+q/r+enqfw/PZ+lns94un+cnu+6P23d
X0DtF5Ufdf7Dnf6p9VPdP2Xxk5fNJ3V9n/6+2n9Zzw+vn7/qH/Uf1v5HtW/V
P1b3F66/X/lP96/6/0735639A3V/prq/stqn+v36/tR+Pc2f6n/W+OZp/2dt
P9byr+4PVs9vrfv76fm7Xscnj84nNX9r/xbNX1H/aT1/vZ4fVte/1P7tOn6t
9kWd/326v5meH+WLWr+pf7quX6rnG9b+/Vr/1fLzdH2Y1kfX/WHUflT/Vl0f
p/7Juj+vytc6fnJ6/16v45NH55M6P17j9/V80tp+r/tn1vGdOv+hnv+l/HHa
/1jbx5p/XNuHdf/Muj+Y2id1/bHGr+r6afVv1f2f6v75Kl9q+0jjH3X+dd0f
Tfmqzq9Q/5zK3zp+PD553nxS11fW9d11fkbdX6bu31Tbd/X8DfXfqX1a93/T
96v5Oeq/qPPTTufn1PPNa/uvnj9Uxy/q+vG6v3ddX6x8dlq/Kj+f7q+g9vvp
+mH1X9X5i3V91/U6PjnNJ7q/6v5ddf9OtV/079fyUf0TdX20nj99vvV8qtPz
r+r9W/NV3Z9T69vUv1rvn7p/uNq/qr/q+LPGL073T1P7oa7v1/Oh/FH3X6j7
B2r9ld6/2q91ff3mnzw2n6h/pK5f0+df96ep5Wftn6zjF3X9aj3foO6PqXxU
nz/lg9P5S3X9qfpPav+i7p+6f2s9P6Xu/1zn39T8Vddvafyi7o9c538r/yqf
P3r/ePXvaHxw+V1n+UTlQ23/1f1FTs93Uvuzzg/T6yo/VX4pf9b16/V8j9r/
pPKz7s9Qy0/lG7X/6/qXur7w9HyEuj6rlj8av1T5U8/fUPu2zk9W+62uXzzd
H0T5ua4/1vu7Xscndfyk7l+nfFvHF9V/W+f/K//U8x01/0Wv1/n1df9l1a/q
H1D9Vs+PUPlZ1z/U8YM6/0rjq3V8W+Xb6fqF0/kxdfy79m/W8xHVfq77w9Ty
pe5PVtc31vV31+v4pPb/aX+jOj6g76+u76jjS6f7J2r85HT8T/2ndf+vOn+8
rm+u63tO98+s+Ub92xp/rO2vun6v9h9p/6g6/1rjR2qf1/MFa/mp9pm+n7r+
Q/m7rg+q+zfo+b5exyfqH6jrI+r8Jj0ftfyo50+rfVP7h7T+s5aP9fxGtZ9U
ftbzk+v6Yt2fan/q36/5rs4PUb7X51/3d9Lr9d9X+0Pfv8rf0/PB6vzW0/1J
VD6rfDtdv1THfzc/vuWTuj9I3f9Uf3/dn7zOn6rtF5Wv9XW17+r8XfU/a3xJ
89d1f9Xz1er+sHV/2rr+ROPjNR/W/S00v7yWH3V9QN1fT/0b6j+q62Pq/gen
88d0f9fxe9Wv+vf1/V+v4xPV//X5ON3fT+NLyk+aX6Hyte7Pe3q+Wl3fqvxZ
xy/r/C79fq2vqe0T1R/6fGv5VM9Pqe0Xfb6n+5PX9rvaV7X8Vf+Lyo86vlHP
Z6vjv3pd5Yvah3X8a/XxZ+Njdf2cxn9Vvtb9rer4htY/a/xe/S8aX639W/X5
rvNfavtM/Q/1/qrrn1R/qH9b+bruj17nj2p8ue5fqP7n2n+n96/ns57vrvHJ
uj9wnT9S93+r8zvq+Uz1fM3rdXxS//7T85Hr+W91faXyXa1/a/6s69fr/AvN
T1H/pOYf1f7zOr5S+yfq56f2RW2fnu7/UJ9Ptb/1+db+/9P9F0/P/1D9W9fn
1PmjKj9q/lP9ov7Juv/L9fr8+aSuD6zn16j8qOcb1P336/ygOn9T/ftq/9T1
33X9gtrnyie1//nR+UrtB/19p8+f+k/r+Yin9289v/50/3W1j+v+LjVfn56P
WvevV/+e5n/V8xfq/BDN31v8xPIT6vl39fzs2v5T/aZ8X/c3rPdvfX91f9Q6
f7x+Pur/V/2t8l3vT+1r/fvq/67rs/T+6/mk+nxq/7P6B9V/pPu7rp/Q56f2
h/o39Xyd7s+l8kftbz2f9fwV/X1qv1+vz59P1L6q+0fX9SHKX3X/3ro/ZD3/
pO6/UtfP1vMnND6j9at1fofyU13/U+f31f3p1L+k8kv9o5q/U/uX9f3U9RH1
fJX6/vV81PXbdf5EHX+v6w/r+E+d/133r1d+fu3xkzr+WtcHqf/3dH6q+jf0
/lU+1/unrq+o+a+uz1H7oOYDzQ+o46N1fsbp/HT9/no+bd1/7XT/Aj1fdXyx
rs9R/0+df6HyVf0zdf+QOv+89j/U8dea/2v/+vX6+Hxyej5hnd9R+8dUv9f9
LU7Pr6vnK9T6oZ6Pq7+vng9d+x/1+aj9Us9fqPP76/mA+vvr/CSNf+vzq/u3
an6ivt86v0f1c/3+Ts9P0vimypc6/lzPf6rrd/X91f3Zr9fH5xPVD7V8VvlX
2y8q/+v59lpfVsc/9brGZ073R6v1q+7/en6v8qn2x1P9rPpf/aOn/Ye1fNb3
d5oP1D7V51vn/5zO76jrN2r/gfpv6vhjXV+r77eeP133H6vnB16v5/mktk/r
+oM6f1n9m8ofal/U9XOn41M1v9b+E5Xvuv+UL+r+jLV9pee/js+p/0H5tJZv
p/lW/Zt1/p3mb2h+VZ0/pPKh/ry+/7r+T/OD6v6Etf5U+1bj4/p+9PPq37xe
z/OJ6vc6/lrPN1P/Xz2/qJ4fUvsH1P93mi/r+FQtP1X+6/mu8ztPz69W+aL5
/fr7T8/POT2fos5PrvuvqH9K5XfdP7LOP1P+rusL6v6SdX7F6fxP3b/qP9X9
o/65R8/vquv/dX/o/jw9H1fty7o+UPVTXd9c17fU/TtrPtP+B3V9vtq/tX1R
94dV+an7p7aPNf6h8cla/j53fq7zs2r/WF1/X+cf1/6Pej6Xyuc6v1Hts9p+
Vfla67e793u99nxS19/W9a2n/YOqP/V6rT/q/PJ6vpLm1yrf1/W3ah/q8z09
n0r799X5B/V8AbX/T88vruM/p+cXaXy8no90uv9lbR/X89nVPq79YyrfVf7p
89ffV+fP1/JZ+U/33/XqfFLnX9f55fX8+Tq/VPfX6fy12j9fz2fd/tz+3P7c
/tz+3P7c/tz+3P58s/15vd7zifo/1H+167u+67u+67u+67u+67u+6y/n+vV6
zyda37Pru77ru77ru77ru77ru77ru/4r16/Xez6p5zfs+q7v+q7v+q7v+q7v
+q7v+q7/yvX/B1XpXts=
   "], {{0, 0}, {101, 201}}, {0, 1}],
  Frame->Automatic,
  FrameLabel->{None, None},
  FrameTicks->{{None, None}, {None, None}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultPlotStyle" -> 
    Automatic}]], "Output",
 CellLabel->"Out[93]=",ExpressionUUID->"7d4f82b3-48e2-4abb-bffe-a87f5a7d4346"]
}, Closed]],

Cell[TextData[{
 "There are many ways to proceed, but here",
 "\[CloseCurlyQuote]",
 "s an efficient method, broken down step by step. The points in the list ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["x", "0"], ",", 
     SubscriptBox["x", "0"]}], ")"}], TraditionalForm]],ExpressionUUID->
  "a7ce6285-df58-45e6-b182-9ef535c05ebd"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["x", "0"], ",", 
     RowBox[{"f", "(", 
      SubscriptBox["x", "0"], ")"}]}], ")"}], TraditionalForm]],
  ExpressionUUID->"0cc91622-43f2-41fa-bceb-fff196b8e87a"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"f", "(", 
      SubscriptBox["x", "0"], ")"}], ",", 
     RowBox[{"f", "(", 
      SubscriptBox["x", "0"], ")"}]}], ")"}], TraditionalForm]],
  ExpressionUUID->"a5d3c4a8-c731-441f-9f31-9db6fbd023af"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"f", "(", 
      SubscriptBox["x", "0"], ")"}], ",", 
     RowBox[{"f", "(", 
      RowBox[{"f", "(", 
       SubscriptBox["x", "0"], ")"}], ")"}]}], ")"}], TraditionalForm]],
  ExpressionUUID->"2ae7457c-4908-4f26-9e6b-23eaa11d11ae"],
 " will be produced in pairs. In the first input below, we use the optional \
third argument to ",
 StyleBox["Map", "MR"],
 " to specify that ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],ExpressionUUID->
  "b3c8c2e5-d00d-466d-ba58-8cba2bd0cc3c"],
 " should only be applied at the second level to the list of two points. The \
result is a list of the next two points. The same procedure can be applied to \
this output to produce the next two points, and so on. In the third input, we \
use ",
 StyleBox["NestList", "MR"],
 " to iterate this process, and in the fourth input we apply ",
 StyleBox["Flatten", "MR"],
 " at level ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "76e9f556-69ba-4c13-8634-fd6a36b600b7"],
 " to strip the extra brackets (grouping pairs of two-tuples). The last input \
shows the final result, where this list of points is wrapped in ",
 StyleBox["Line", "MR"],
 " in the ",
 StyleBox["Epilog", "MR"],
 " of the ",
 StyleBox["Plot", "MR"],
 ". This image shows ",
 Cell[BoxData[
  FormBox["50", TraditionalForm]],ExpressionUUID->
  "fbb73886-d3bf-4b34-8cf7-f9f1e0ba31ac"],
 " iterations."
}], "Exercise",ExpressionUUID->"da672986-cd1b-41d0-8f86-62402acd77ba"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"f", ",", "x0"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Map", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "x0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x0", ",", 
       RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", "2", "}"}]}], "]"}]}], "Input",ExpressionUUID->"cedd79a8-61f1-\
4fcb-a305-4314ac49d4ef"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", "x0", "]"}], ",", 
     RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", "x0", "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"f", "[", "x0", "]"}], "]"}]}], "}"}]}], "}"}]], "Output",Expres\
sionUUID->"2eda1c57-ed3b-470a-8457-15c37cc3804f"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"f", ",", "%", ",", 
   RowBox[{"{", "2", "}"}]}], "]"}]], "Input",ExpressionUUID->"0ad204c5-7978-\
4aa0-82a9-7130978edcbe"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"f", "[", "x0", "]"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"f", "[", "x0", "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"f", "[", "x0", "]"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"f", "[", 
       RowBox[{"f", "[", "x0", "]"}], "]"}], "]"}]}], "}"}]}], 
  "}"}]], "Output",ExpressionUUID->"b1158403-cce2-4b6d-a67e-328d6fe7a3a3"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"f", ",", "#", ",", 
      RowBox[{"{", "2", "}"}]}], "]"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "x0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x0", ",", 
       RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], "}"}], ",", "2"}], 
  "]"}]], "Input",ExpressionUUID->"c76d9bdb-845e-458f-829e-db53ec7b4b9a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "x0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x0", ",", 
       RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "[", "x0", "]"}], ",", 
       RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "[", "x0", "]"}], ",", 
       RowBox[{"f", "[", 
        RowBox[{"f", "[", "x0", "]"}], "]"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"f", "[", "x0", "]"}], "]"}], ",", 
       RowBox[{"f", "[", 
        RowBox[{"f", "[", "x0", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"f", "[", "x0", "]"}], "]"}], ",", 
       RowBox[{"f", "[", 
        RowBox[{"f", "[", 
         RowBox[{"f", "[", "x0", "]"}], "]"}], "]"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",ExpressionUUID->"7c8645ac-1851-4986-b2b7-e7f3d916610f"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"%", ",", "1"}], "]"}]], "Input",ExpressionUUID->"81da214c-d7a1-\
4481-bb4c-52969771483a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x0", ",", "x0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x0", ",", 
     RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", "x0", "]"}], ",", 
     RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", "x0", "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"f", "[", "x0", "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"f", "[", "x0", "]"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"f", "[", "x0", "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"f", "[", "x0", "]"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"f", "[", 
       RowBox[{"f", "[", "x0", "]"}], "]"}], "]"}]}], "}"}]}], 
  "}"}]], "Output",ExpressionUUID->"652e6031-1e0d-4dd8-8c65-6ccc5dc08392"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "=", 
      RowBox[{"Function", "[", 
       RowBox[{"x", ",", 
        RowBox[{"2.9", "x", 
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}]}]}], "]"}]}], ",", 
     RowBox[{"x0", "=", ".5"}]}], "}"}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"Line", "[", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"NestList", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Map", "[", 
             RowBox[{"f", ",", "#", ",", 
              RowBox[{"{", "2", "}"}]}], "]"}], "&"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x0", ",", "x0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x0", ",", 
               RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], "}"}], ",", "50"}], 
          "]"}], ",", "1"}], "]"}], "]"}]}]}], "]"}]}], "]"}]], "Input",Expres\
sionUUID->"cebc31e3-fd8e-4211-911f-9a472b1929ea"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwd2Hk8VO3fB3BEZAuRkCyhQpGkFD5CaaEIRTcqSknJWkmFIilbu0pZ0q9E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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJxNxX0s1GEcAPBzEWU7jsl+Z8eOUyuaJiNKp9iU13lbbNdp8hJGstvQZpzR
C661Zrp1yetW4lzc0ZpEXGySlwjlXnJd13FCW8eOuOoP3+f547MPI+V6bBqZ
RCJF/fP/sDTd1MBSwtm9zYNpeSrCh7X3yXrBYwkRAod/mOuqI+LhS6mbfQ+I
VFjhdTuYT3DhBofoW5VEOcyzkhy5S9TAiUmN4vVfLbC1iccOdRbD7jGruqEq
KVww7s8S/H4FO0qpSjOzfrhHHTw2cWYQHsyqc0pakcGGw4E2opwRmGxss3Vy
H4V9TVd64jrG4LFyn/HhYxOwy329sXV1EtZvqpSfTnyEW5Z7Ryn3pmEK/ema
RjMDV2d2pzcwZ+GNoDbNtZI5mOstkx4amodVHbKqKcYXeDtrRnj05gLscc5y
N71XDoc2MTI6HZVwAT3ZdZGtgj1XEqznIr/C9jbrVrIttHm/UOz2eBHO9un9
fCBcDbddTGl4s4E26Gm22tpvcHdc6L6aEA1ccqGiXqpFMxRh880V3+EAv/Ia
wlsLs50njGbTaMMoX53H+wELzDncWKYOtld2N5FlaItiXrz/jSWY1MoRq+2W
4fxHYr7dILrP444VNVcPU8PyPcsoK7D8+OR00Wv0iycspobzE74s9qXSd9Gl
FY08+fNVWKSjCykRa3AMlXJqZAtdaUF2kmPLjIaddWxftWKIto2mSUTRudjq
+MgMhz9orqC69uoOWlRdWlSIrS3lsvnYiZls15fYgQGeHQd30fvl7991YrMm
+58NYxfKJFUL2MvtwhgLE3q8OFuRiG2ZnzyQgx2UHtdcht0VdTqzHVt/3ivi
LTbTz81rFpvj4Winx37oYm0wYf8FVp6K0A==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Epilog->LineBox[CompressedData["
1:eJx1xVtIkwEYh/EPcxhhIVPnjQapoKKQmloEMbEFXniRSopbNyaKIC48gZiB
KwmsNmRBKgjmEckh4gk1RIWSOfgoHUOXonN7X4cjm7PJNHNWdhf8H3j4XXv0
OK80QBCEsj//9V82+f/eOM8J1bappc+b7NDWhI9GX/cOdHnBNqnPcEB1qqRv
Q3d3oPm8e2upzwFNDHx7//oZQxXGV3b7vgPaHJ9TbjMxtNziFj/FE3Q1qNVt
7WaorLNqVJ5P0DXDa2+yhqHV/aTIqCWoXy7G+soY2nFJpY7WEfThsHBBzGXo
zSK9MNZD2GlHuCGTocWmxvTIMYLGhBWsL6Uy1GMxNGXNE1QqZs6+iGPo3kqX
xmwi6KDyc3bJVYb6L2+2PDAT1Kks3D6SMbTSumZO+UpQ5eJUszeEoZ6BGu2H
LYLeua3bkgYztKftnT2NCNr/vUIRdZGhMwcDEytOgnJp7z1nIEM727PVcy6C
nsZ+MeYEMNS78TQ6ao+g4SmL9ckCQyXvXYogN0HrOO9Zgx+rOS7xvdnHtjyJ
00acYivHZREWDzak6CX7TrBJI2FS6wHWGDkvXjnBekZD9UM/sOasDXfuT+xh
ukpS4MX+6pC4po5J/hsRtnE2
    "]],
  PlotRange->{{0, 1}, {0., 0.9999999795918367}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",ExpressionUUID->"30f94351-00af-4167-950d-\
eca010fee44e"]
}, Closed]],

Cell[TextData[{
 "The code works by iterating a (somewhat complex but very elegantly defined) \
pure function that accepts a pair ",
 StyleBox["{", "MR"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", 
    RowBox[{"n", "-", "1"}]], TraditionalForm]],ExpressionUUID->
  "4a00de6d-d612-4077-ac98-8611b6ff40c7"],
 StyleBox[",", "MR"],
 "\[ThinSpace]",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "n"], TraditionalForm]],ExpressionUUID->
  "1a3e8839-dd88-44e4-a35a-323387910840"],
 StyleBox["}", "MR"],
 " of numbers, and returns the next pair ",
 StyleBox["{", "MR"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "n"], TraditionalForm]],ExpressionUUID->
  "520ba519-06dd-430d-90c7-2a099ea2666b"],
 StyleBox[",", "MR"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", 
    RowBox[{"n", "+", "1"}]], TraditionalForm]],ExpressionUUID->
  "11d6e347-7d81-4cfd-a172-2ac557f669d3"],
 StyleBox["}", "MR"],
 ". We demonstrate on ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "=", 
    RowBox[{
     SuperscriptBox["x", "3"], "-", 
     RowBox[{"2", "x"}], "+", "2"}]}], TraditionalForm]],ExpressionUUID->
  "7279d4aa-2788-4e21-8662-718b07c3a106"],
 " with just three iterations. We then give a forty digit approximation of \
the final value after nine iterations. This agrees precisely with the example \
from the text that used a ",
 StyleBox["Do", "MR"],
 " loop (with ",
 Cell[BoxData[
  FormBox["38", TraditionalForm]],ExpressionUUID->
  "c450b615-8eb8-4833-93bf-a4eb57a707b7"],
 " of the 40 digits being correct). You will notice in a live session that ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s automatic syntax coloring does not particularly like \
this command, as it will color the ",
 StyleBox["x", "MR"],
 " in the first argument to ",
 StyleBox["Function", "MR"],
 " red in the right side of the definition for ",
 StyleBox["secantMethodList", "MR"],
 ". Despite the warning, this poses no problem."
}], "Exercise",ExpressionUUID->"cef1dede-e284-4945-a3ba-bdd8a8e533b3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"secantMethodList", "[", 
   RowBox[{"f_", ",", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "x0_", ",", "x1_"}], "}"}], ",", "n_"}], "]"}], ":=", 
  
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Last", "[", "#", "]"}], "-", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Function", "[", 
             RowBox[{"x", ",", "f"}], "]"}], "[", 
            RowBox[{"Last", "[", "#", "]"}], "]"}], "*", 
           RowBox[{"Subtract", "@@", "#"}]}], ")"}], "/", 
         RowBox[{"Subtract", "@@", 
          RowBox[{
           RowBox[{"Function", "[", 
            RowBox[{"x", ",", "f"}], "]"}], "/@", "#"}]}]}]}], "}"}]}], "&"}],
     ",", 
    RowBox[{"{", 
     RowBox[{"x0", ",", "x1"}], "}"}], ",", "n"}], "]"}]}]], "Input",
 CellLabel->"In[94]:=",ExpressionUUID->"5f219e72-3761-402d-83ec-914f88ed63ba"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"secantMethodList", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["x", "3"], "-", 
    RowBox[{"2", "x"}], "+", "2"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{
      RowBox[{"-", "3"}], "/", "2"}]}], "}"}], ",", "3"}], "]"}]], "Input",
 CellLabel->"In[95]:=",ExpressionUUID->"836c17c2-8e28-4977-b118-78ec67be8e8c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", 
      FractionBox["3", "2"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["3", "2"]}], ",", 
     RowBox[{"-", 
      FractionBox["23", "11"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["23", "11"]}], ",", 
     RowBox[{"-", 
      FractionBox["6419", "3755"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["6419", "3755"]}], ",", 
     RowBox[{"-", 
      FractionBox["26587376488", "15130484341"]}]}], "}"}]}], "}"}]], "Output",\

 CellLabel->"Out[95]=",ExpressionUUID->"bc898df4-2f7f-4931-9222-a277452dd8da"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"secantMethodList", "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "3"], "-", 
       RowBox[{"2", "x"}], "+", "2"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "1"}], ",", 
        RowBox[{
         RowBox[{"-", "3"}], "/", "2"}]}], "}"}], ",", "9"}], "]"}], 
    "\[LeftDoubleBracket]", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", "40"}], 
  "]"}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"c7b48a51-b3bf-4841-93a8-6c06b6f0c7b1"],

Cell[BoxData[
 RowBox[{"-", 
  "1.7692923542386314152404094643350334926344583284210501165963`40."}]], \
"Output",
 CellLabel->"Out[3]=",ExpressionUUID->"25a5c5f9-1e96-4db0-8781-bd6c564681b6"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", "secantMethodList", "]"}]], "Input",
 CellLabel->"In[97]:=",ExpressionUUID->"a1034b83-24a0-4d8c-bc1b-9f6af926e7dd"],

Cell[TextData[{
 "All the hard work was in the previous exercise. The ",
 StyleBox["Manipulate", "MR"],
 " is straightforward. The example below includes a ",
 StyleBox["PlotLabel", "MR"],
 " that accounts for about a third of the code. For small values of ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]],ExpressionUUID->
  "3691e32d-f668-4f1d-8828-f8f5cf227322"],
 " we see a convergent sequence, but as ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]],ExpressionUUID->
  "8a89f868-e9c6-4a12-9dae-abdca1d9013e"],
 " increases the iterates sometimes find stable orbits, and other times \
diverge into chaos. This one is very fun to play with in a live session."
}], "Exercise",ExpressionUUID->"60f1f933-8dce-4f28-abd8-786e88ed222e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", "=", 
       RowBox[{"Function", "[", 
        RowBox[{"x", ",", 
         RowBox[{"a", " ", "x", 
          RowBox[{"(", 
           RowBox[{"1", "-", "x"}], ")"}]}]}], "]"}]}], "}"}], ",", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"f", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"Epilog", "\[Rule]", 
        RowBox[{"Line", "[", "\[IndentingNewLine]", 
         RowBox[{"Flatten", "[", 
          RowBox[{
           RowBox[{"NestList", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Map", "[", 
               RowBox[{"f", ",", "#", ",", 
                RowBox[{"{", "2", "}"}]}], "]"}], "&"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x0", ",", "x0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"x0", ",", 
                 RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], "}"}], ",", 
             "100"}], "]"}], ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{
        "\"\<100 iterates of \!\(\*StyleBox[\"f\",FontSlant->\"Italic\"]\)(\!\
\(\*StyleBox[\"x\",FontSlant->\"Italic\"]\)\!\(\*StyleBox[\")\",FontSlant->\"\
Italic\"]\)\!\(\*StyleBox[\" \",FontSlant->\"Italic\"]\)= \>\"", " ", "~~", 
         RowBox[{"ToString", "[", "a", "]"}], " ", "~~", 
         "\"\< \!\(\*StyleBox[\"x\",FontSlant->\"Italic\"]\)(1-\!\(\*StyleBox[\
\"x\",FontSlant->\"Italic\"]\)) starting at \!\(\*SubscriptBox[\(x\), \(\(0\)\
\(\\\ \)\)]\)= \>\"", " ", "~~", 
         RowBox[{"ToString", "[", "x0", "]"}]}]}]}], "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "3.63"}], "}"}], ",", "2.5", ",", "3.7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "x0", ",", ".1", ",", "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\""}], 
      "}"}], ",", ".01", ",", ".99"}], "}"}]}], "]"}]], "Input",ExpressionUUID\
->"fe043d7f-2d19-414b-91bd-622bcc573547"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 
    3.0620000000000003`, $CellContext`x0$$ = 0.229, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 3.63}, 2.5, 3.7}, {{
       Hold[$CellContext`x0$$], 0.1, "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, 
      0.01, 0.99}}, Typeset`size$$ = {360., {117., 121.}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$3106$$ = 0, $CellContext`x0$3107$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 3.63, $CellContext`x0$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$3106$$, 0], 
        Hold[$CellContext`x0$$, $CellContext`x0$3107$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`f$ = 
         Function[$CellContext`x$, ($CellContext`a$$ $CellContext`x$) (
            1 - $CellContext`x$)]}, 
        Plot[{
          $CellContext`f$[$CellContext`x], $CellContext`x}, {$CellContext`x, 
          0, 1}, Epilog -> Line[
           Flatten[
            NestList[
            Map[$CellContext`f$, #, {
              2}]& , {{$CellContext`x0$$, $CellContext`x0$$}, \
{$CellContext`x0$$, 
               $CellContext`f$[$CellContext`x0$$]}}, 100], 1]], PlotLabel -> 
         StringExpression[
          "100 iterates of \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)(\
\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)= ", 
           
           ToString[$CellContext`a$$], 
           " \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)(1-\!\(\*\n\
StyleBox[\"x\",\nFontSlant->\"Italic\"]\)) starting at \!\(\*SubscriptBox[\(x\
\), \(\(0\)\(\\ \)\)]\)= ", 
           ToString[$CellContext`x0$$]]]], 
      "Specifications" :> {{{$CellContext`a$$, 3.63}, 2.5, 
         3.7}, {{$CellContext`x0$$, 0.1, 
          "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, 0.01, 0.99}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {176., 182.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",ExpressionUUID->"d7281600-\
8292-4f07-b15f-314568a3bce1"]
}, Closed]],

Cell[TextData[{
 "If you are not familiar with continued fractions, take a moment and read \
about them at ",
 StyleBox["MathWorld",
  FontSlant->"Italic"],
 "."
}], "Exercise",ExpressionUUID->"a37bd420-d13e-49fc-a341-bb828f6e93c9"],

Cell["This is a routine evaluation:", "ExercisePart",ExpressionUUID->"4733365f-7752-48cb-87e6-ce094234ec78"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ContinuedFraction", "[", 
  RowBox[{"10", "/", "7"}], "]"}]], "Input",ExpressionUUID->"52f871cd-d0f7-\
435a-bb59-188b06ee2c4c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "2", ",", "3"}], "}"}]], "Output",ExpressionUUID->\
"e3acccb0-75bd-481b-873a-f5ab73286e92"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"1", "+", 
  FractionBox["1", 
   RowBox[{"2", "+", 
    FractionBox["1", "3"]}]]}]], "Input",ExpressionUUID->"67a1b2a3-774b-41ef-\
819e-98b44cc672d1"],

Cell[BoxData[
 FractionBox["10", "7"]], "Output",ExpressionUUID->"bbf7b739-ab5b-4acd-af19-589b705dc114"]
}, Closed]],

Cell[TextData[{
 "Here is one way to do this. Essentially, the digit list must be reversed \
(read from right to left). The command ",
 StyleBox["Last", "MR"],
 " tears off the last member of the digit list (equivalently, the first \
member of the reversed digit list), and the command ",
 StyleBox["Rest", "MR"],
 " produces the rest of that list. In a live session, you can enter the \
outputs shown below and evaluate them."
}], "ExercisePart",ExpressionUUID->"a7c538dc-d930-4a80-bdb8-f2c741d80d3f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"displayCF", "[", "digitList_", "]"}], ":=", 
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Defer", "[", 
      RowBox[{"#2", "+", 
       FractionBox["1", "#1"]}], "]"}], "&"}], ",", 
    RowBox[{"Last", "[", "digitList", "]"}], ",", 
    RowBox[{"Rest", "[", 
     RowBox[{"Reverse", "[", "digitList", "]"}], "]"}]}], "]"}]}]], "Input",Ex\
pressionUUID->"704b7cca-72e3-4796-b899-93d9e7390d10"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"displayCF", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}]], "Input",ExpressionUUID->\
"0e5ebc33-c733-464c-9ffc-cc5bae850538"],

Cell[BoxData[
 RowBox[{"1", "+", 
  FractionBox["1", 
   RowBox[{"2", "+", 
    FractionBox["1", "3"]}]]}]], "Output",ExpressionUUID->"291283f7-91b2-42f4-\
8242-44b4b6276da2"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ContinuedFraction", "[", 
  RowBox[{"4", "/", "123"}], "]"}]], "Input",ExpressionUUID->"dcc50b10-b31e-\
413b-a2ba-513268556861"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "30", ",", "1", ",", "3"}], "}"}]], "Output",ExpressionUUI\
D->"701ec01d-6010-4a98-9427-be2c00d60d1f"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"displayCF", "[", "%", "]"}]], "Input",ExpressionUUID->"dbdd83d1-c2c9-4595-ba37-0ddbd0c046a6"],

Cell[BoxData[
 RowBox[{"0", "+", 
  FractionBox["1", 
   RowBox[{"30", "+", 
    FractionBox["1", 
     RowBox[{"1", "+", 
      FractionBox["1", "3"]}]]}]]}]], "Output",ExpressionUUID->"99b0b5ef-cb74-\
4e95-95a3-97cb10ca0787"]
}, Closed]],

Cell["Here is a finite continued fraction that is very close to \[Pi]:", \
"ExercisePart",ExpressionUUID->"cd69e762-7871-4d05-9340-de2437c071d1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"displayCF", "@", 
  RowBox[{"ContinuedFraction", "[", 
   RowBox[{"Rationalize", "[", 
    RowBox[{"\[Pi]", ",", 
     SuperscriptBox["10", 
      RowBox[{"-", "20"}]]}], "]"}], "]"}]}]], "Input",ExpressionUUID->\
"a4b9d104-bbe6-49f3-9ba7-68c9324fe1cc"],

Cell[BoxData[
 RowBox[{"3", "+", 
  FractionBox["1", 
   RowBox[{"7", "+", 
    FractionBox["1", 
     RowBox[{"15", "+", 
      FractionBox["1", 
       RowBox[{"1", "+", 
        FractionBox["1", 
         RowBox[{"292", "+", 
          FractionBox["1", 
           RowBox[{"1", "+", 
            FractionBox["1", 
             RowBox[{"1", "+", 
              FractionBox["1", 
               RowBox[{"1", "+", 
                FractionBox["1", 
                 RowBox[{"2", "+", 
                  FractionBox["1", 
                   RowBox[{"1", "+", 
                    FractionBox["1", 
                    RowBox[{"3", "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    FractionBox["1", 
                    RowBox[{"14", "+", 
                    FractionBox["1", 
                    RowBox[{"2", "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    FractionBox["1", 
                    RowBox[{"2", "+", 
                    FractionBox["1", 
                    RowBox[{"2", "+", 
                    FractionBox["1", 
                    RowBox[{"2", "+", 
                    
                    FractionBox["1", 
                    "3"]}]]}]]}]]}]]}]]}]]}]]}]]}]]}]]}]]}]]}]]}]]}]]}]]}]]}]]\
}]], "Output",ExpressionUUID->"c096123b-a976-4416-9617-c19d1f459fb3"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", "displayCF", "]"}]], "Input",ExpressionUUID->"11942a7d-c6cb-4594-920b-fb5ed8604eb7"],

Cell[TextData[{
 "The plot shows that the convergence is very slow; even after ",
 Cell[BoxData[
  FormBox["1000", TraditionalForm]],ExpressionUUID->
  "5636591e-50e2-4b51-bd2e-b34fec0794f9"],
 " iterations only a few decimal places of accuracy are obtained. This is one \
reason why it was such a difficult problem\[LongDash]it was simply not \
tenable to make an educated guess for the limit of the series on the basis of \
calculations of partial sums (especially back in the early eighteenth \
century)!"
}], "Exercise",ExpressionUUID->"39b6f84a-fd71-4220-b082-14b5c5068c96"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Accumulate", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     SuperscriptBox["n", "2"]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "10"}], "}"}]}], "]"}], "]"}]], "Input",ExpressionUUID->\
"89a28378-351b-4233-8e16-0a93288b245f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   FractionBox["5", "4"], ",", 
   FractionBox["49", "36"], ",", 
   FractionBox["205", "144"], ",", 
   FractionBox["5269", "3600"], ",", 
   FractionBox["5369", "3600"], ",", 
   FractionBox["266681", "176400"], ",", 
   FractionBox["1077749", "705600"], ",", 
   FractionBox["9778141", "6350400"], ",", 
   FractionBox["1968329", "1270080"]}], "}"}]], "Output",ExpressionUUID->\
"9bbcbda1-f790-4fc6-bc53-4d98a68c932f"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "@", 
    RowBox[{"Accumulate", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"1.", "/", 
        SuperscriptBox["n", "2"]}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "1000"}], "}"}]}], "]"}], "]"}]}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{
     FractionBox[
      SuperscriptBox["\[Pi]", "2"], "6"], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1000"}], "}"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1.6", ",", "1.65"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->
  "In[110]:=",ExpressionUUID->"a118c568-f2ba-4a85-ae27-0be6e5e5fc92"],

Cell[BoxData[
 GraphicsBox[{{{}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.0055000000000000005`], AbsoluteThickness[1.6], 
      PointBox[CompressedData["
1:eJxV1nk0FOz///GJtC9o0z7ttBGlVV6kIiopQostu7Iz9hnGmGFMqrviTkIp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       "]]}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.0055000000000000005`], AbsoluteThickness[1.6]}, {}}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.0055000000000000005`], AbsoluteThickness[
       1.6]}, {}}}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQ/frTHx+3tK92l9iDk5YF/rKXs9Z0/7hA2QHG97t2
5MP7BcZwvsPEZm7XEhc4X/Bz2IaJyX5wvt3uisBagRA4f0HxvrV3IiLh/Hue
dy/9douD81O9q94mnU+E8x13fWc5n5cC53PveMgg/TANztf+6J5n05EJ51vt
lDpgy5QD56/3jFc9lp8H5+/lEvgn2FkA50vtWHZ7w+FCOF+p+XfhLoliOD/O
iHNSe3oJwn+avkuOzC+F8/Nt/fNzPpXB+S4z23Va9Crg/CNCdYvYWivh/PIC
3UU+V6vg/IWiwlOY+GsQ8je22Skn1yL0P5pwe/OCOoT5F5WZOG7Uw/k78nYV
PJ7SAOd3StTdrDJqhPMNLi6Y534Xwf/we77Gt5YmOD/Ha9fqGMVmRPgsN+7+
cQrBP6VxItknswXO/yhtydjE0grnv5Xl/P1mDYK/1PnLW36vNjjfqMLONuML
gl99YXFrxeR2OP/urKeTsvQ74HzRkrY/E28g+JyFTvGFZZ1w/qWaWLk2xS44
f+uvkEU1JxH84Dnp8tpp3XD+cZ+bP/gEeuD8bwppp1etQ/Dt088naXj1IuJ7
z/Sw258QfAvTame3CX0I93CmyCi/QPBv3fH5+t++H84HAIPwgv0=
        "]]},
      Annotation[#, "Charting`Private`Tag$38646#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 1.6318712606346188`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{615.453125, Automatic},
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{1.6, 1.65},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellLabel->
  "Out[110]=",ExpressionUUID->"aeca3e8d-41ca-4c93-adcc-9031d1941556"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Section 8.8", "Subsection",ExpressionUUID->"29fdda99-ce8f-4fd8-a6d2-80096a5e761d"],

Cell[TextData[{
 "Recall that the predicate command ",
 StyleBox["EvenQ", "MR"],
 " will return ",
 StyleBox["True", "MR"],
 " only if its argument is an even integer."
}], "Exercise",ExpressionUUID->"d5cbc706-4277-4652-8116-c52009416e0e"],

Cell[TextData[{
 "The command ",
 StyleBox["And", "MR"],
 " (",
 StyleBox["&&", "MR"],
 ") can be used to construct a pure predicate function."
}], "ExercisePart",ExpressionUUID->"8601e44a-f4db-469f-b01c-386ea0216258"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x_", "?", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"EvenQ", "[", "#", "]"}], "&&", 
       RowBox[{"#", ">", "10"}]}], "&"}], ")"}]}], "]"}], ":=", 
  "\"\<success\>\""}]}], "Input",ExpressionUUID->"eda973ba-a125-4545-87f8-\
18ecb97e3a38"],

Cell[TextData[{
 "The command ",
 StyleBox["Or", "MR"],
 " (",
 StyleBox["||", "MR"],
 ") can be used to construct a pure predicate function."
}], "ExercisePart",ExpressionUUID->"d822d078-db10-4c48-9f4b-f8d144d858eb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x_", "?", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"EvenQ", "[", "#", "]"}], "||", 
       RowBox[{"#", ">", "10"}]}], "&"}], ")"}]}], "]"}], ":=", 
  "\"\<success\>\""}]}], "Input",ExpressionUUID->"eaa9809f-48bf-4a89-b9c5-\
ad2c133fbd6e"],

Cell[TextData[{
 "No, the expression ",
 StyleBox["x_1", "MR"],
 " is ",
 StyleBox["Pattern[x,Blank[]]", "MR"],
 " multiplied by the number ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "29cc4aca-c580-47a4-b1d5-1cab0de6c23a"],
 ", which evaluates to ",
 StyleBox["Pattern[x,", "MR"],
 "\[ThinSpace]",
 StyleBox["Blank[]]", "MR"],
 ". It will match any expression. If you wish to define a function ",
 StyleBox["f", "MR"],
 " that will only accept the input ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "efb808ad-8e38-4218-a406-febdc211216c"],
 ", simply type ",
 StyleBox["f[1]\[ThinSpace]=", "MR"],
 " followed by your definition."
}], "Exercise",ExpressionUUID->"6aeacb7e-87ad-48de-9107-d57febf738c5"],

Cell[TextData[{
 StyleBox["Quadrangles",
  FontSlant->"Italic"],
 " fits the bill. Triple underscores are used in the input below since it may \
be that there are no intermediate letters in one or both portions represented \
by the triple underscores. Indeed, this is the case for the second one."
}], "Exercise",ExpressionUUID->"e1274236-6059-402f-8c2e-05eb84bbd0f3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DictionaryLookup", "[", 
  RowBox[{
  "\"\<q\>\"", "~~", "___", "~~", "\"\<angle\>\"", "~~", "___", "~~", 
   "\"\<s\>\""}], "]"}]], "Input",ExpressionUUID->"f5d14e68-d23c-4480-8028-\
21227d9ff2bd"],

Cell[BoxData[
 RowBox[{"{", "\<\"quadrangles\"\>", "}"}]], "Output",ExpressionUUID->"06f9b8d2-d823-41f4-9d9e-7cf67c771fc1"]
}, Closed]],

Cell["\<\
Here is a simple implementation, with a randomly produced example.\
\>", "Exercise",ExpressionUUID->"ad373865-9040-4d83-aa18-c2490c49af8f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"complementaryDNA", "[", "seq_List", "]"}], ":=", 
  RowBox[{"seq", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<A\>\"", "\[Rule]", "\"\<T\>\""}], ",", 
     RowBox[{"\"\<T\>\"", "\[Rule]", "\"\<A\>\""}], ",", 
     RowBox[{"\"\<C\>\"", "\[Rule]", "\"\<G\>\""}], ",", 
     RowBox[{"\"\<G\>\"", "\[Rule]", "\"\<C\>\""}]}], "}"}]}]}]], "Input",Expr\
essionUUID->"35cb8bbd-e55c-4aa4-aa24-ef5f17e9d3c5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"s", "=", 
     RowBox[{"RandomChoice", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<A\>\"", ",", "\"\<C\>\"", ",", "\"\<G\>\"", ",", "\"\<T\>\""}], 
        "}"}], ",", "20"}], "]"}]}], ",", 
    RowBox[{"complementaryDNA", "[", "s", "]"}]}], "}"}], "]"}]], "Input",Expr\
essionUUID->"cd40e376-7105-4d16-99d9-fea4c68d0131"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"C\"\>", "\<\"A\"\>", "\<\"T\"\>", "\<\"G\"\>", "\<\"A\"\>", \
"\<\"C\"\>", "\<\"A\"\>", "\<\"A\"\>", "\<\"A\"\>", "\<\"T\"\>", "\<\"G\"\>", \
"\<\"G\"\>", "\<\"C\"\>", "\<\"A\"\>", "\<\"T\"\>", "\<\"G\"\>", "\<\"A\"\>", \
"\<\"A\"\>", "\<\"C\"\>", "\<\"T\"\>"},
    {"\<\"G\"\>", "\<\"T\"\>", "\<\"A\"\>", "\<\"C\"\>", "\<\"T\"\>", \
"\<\"G\"\>", "\<\"T\"\>", "\<\"T\"\>", "\<\"T\"\>", "\<\"A\"\>", "\<\"C\"\>", \
"\<\"C\"\>", "\<\"G\"\>", "\<\"T\"\>", "\<\"A\"\>", "\<\"C\"\>", "\<\"T\"\>", \
"\<\"T\"\>", "\<\"G\"\>", "\<\"A\"\>"}
   },
   ColumnsEqual->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   RowsEqual->False],
  "Grid"]], "Output",ExpressionUUID->"ae545400-ed74-40af-9d24-73cf47a77053"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"s", ",", "complementaryDNA"}], "]"}]], "Input",ExpressionUUID->\
"9d5a460f-9b4d-43a6-81c3-15c9c369c15c"],

Cell["\<\
This is straightforward, based on the example given in the text.\
\>", "ExerciseNoText",ExpressionUUID->"12a4e581-060f-4e1a-94f4-a66b164a47fa"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"f", ",", "collatz"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"n_", "?", "EvenQ"}], "]"}], ":=", 
   RowBox[{"n", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"n_", "?", "OddQ"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"3", "n"}], "+", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"collatz", "[", "n_", "]"}], ":=", 
  RowBox[{"NestWhileList", "[", 
   RowBox[{"f", ",", "n", ",", 
    RowBox[{
     RowBox[{"#", "\[NotEqual]", "1"}], "&"}], ",", "1", ",", "1000"}], 
   "]"}]}]}], "Input",
 CellLabel->
  "In[111]:=",ExpressionUUID->"f35f4200-210d-45cc-89f0-55d58ed5a1c9"],

Cell[TextData[{
 "No more than ",
 Cell[BoxData[
  FormBox["20", TraditionalForm]],ExpressionUUID->
  "c50325b2-6bad-446c-bbeb-abc574cc3925"],
 " or so iterations were needed, so we are certain that every orbit ends in \
",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "9caf7510-8e37-4908-8164-0f9e210c1034"],
 ". That is, we have not found here a counterexample to the Collatz \
conjecture."
}], "ExercisePart",ExpressionUUID->"739f18dd-00b4-4edd-b42f-209a5e0f8bab"],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"collatz", "[", "n", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "20"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellLabel->
  "In[115]:=",ExpressionUUID->"b2068ab7-2a72-498d-bd75-2c3a976cdc8b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Length", "/@", "data"}], ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellLabel->
  "In[116]:=",ExpressionUUID->"efc30ffc-696e-4b8f-9942-8e7c676dbe51"],

Cell[BoxData[
 GraphicsBox[{{}, GraphicsComplexBox[CompressedData["
1:eJzt0j8KgzAYh+Hg5Ojg4OBgRUSCiH83oZ6hRyh07tV7hLb4+4S8UOgBDMjL
I0mIksv9eXtEzrn183y7j9c1rNvCxmqhJnifqhlaqrk6/NjH5s1qhXW12qkN
5nm4VUesM/c4t53LY96iTrCd077j+G82tpAxnMApnME5XMAlXME13MAebuEO
7uEBHuEJnuHz/oX7/H//3qC8LHU=
    "], {{{}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.3], LineBox[{21, 1}],
        LineBox[{22, 2}], LineBox[{23, 3}], LineBox[{24, 4}], 
       LineBox[{25, 5}], LineBox[{26, 6}], LineBox[{27, 7}], LineBox[{28, 8}],
        LineBox[{29, 9}], LineBox[{30, 10}], LineBox[{31, 11}], 
       LineBox[{32, 12}], LineBox[{33, 13}], LineBox[{34, 14}], 
       LineBox[{35, 15}], LineBox[{36, 16}], LineBox[{37, 17}], 
       LineBox[{38, 18}], LineBox[{39, 19}], LineBox[{40, 20}]}}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], 
      PointBox[{41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 
       56, 57, 58, 59, 60}]}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], AbsoluteThickness[1.6]}, {}}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], AbsoluteThickness[1.6]}, {}}}], {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0.},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 20.}, {0., 21.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellLabel->
  "Out[116]=",ExpressionUUID->"914bef10-99e4-4d57-8539-8014a429f131"]
}, Closed]],

Cell[TextData[{
 "The second argument to ",
 StyleBox["Partition", "MR"],
 " is ",
 Cell[BoxData[
  FormBox["2", TraditionalForm]],ExpressionUUID->
  "f4d18e12-612c-400d-8b2c-da9447f3ecda"],
 " (to get a partition into pairs). The third argument is ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "d66c1e56-624f-4cb7-a1ec-3fc32e0479d2"],
 " (to specify an offset of ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "15bf8c94-34f9-442f-8d78-9dc18a9a7366"],
 "). "
}], "ExercisePart",ExpressionUUID->"f781f76b-7804-401a-830b-94d4624bae2f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Partition", "[", 
    RowBox[{"#", ",", " ", "2", ",", " ", "1"}], "]"}], " ", "&"}], " ", "/@",
   " ", "data"}]], "Input",
 CellLabel->
  "In[117]:=",ExpressionUUID->"6175d124-a2b2-442e-8ff2-e8084dba1df0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"2", ",", "1"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"6", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"7", ",", "22"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"22", ",", "11"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"11", ",", "34"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"34", ",", "17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"17", ",", "52"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"52", ",", "26"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"26", ",", "13"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"13", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"9", ",", "28"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"28", ",", "14"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"14", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "22"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"22", ",", "11"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"11", ",", "34"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"34", ",", "17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"17", ",", "52"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"52", ",", "26"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"26", ",", "13"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"13", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"11", ",", "34"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"34", ",", "17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"17", ",", "52"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"52", ",", "26"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"26", ",", "13"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"13", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"12", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"13", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"14", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "22"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"22", ",", "11"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"11", ",", "34"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"34", ",", "17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"17", ",", "52"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"52", ",", "26"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"26", ",", "13"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"13", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"15", ",", "46"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"46", ",", "23"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"23", ",", "70"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"70", ",", "35"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"35", ",", "106"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"106", ",", "53"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"53", ",", "160"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"160", ",", "80"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"80", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"17", ",", "52"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"52", ",", "26"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"26", ",", "13"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"13", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"18", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "28"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"28", ",", "14"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"14", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "22"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"22", ",", "11"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"11", ",", "34"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"34", ",", "17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"17", ",", "52"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"52", ",", "26"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"26", ",", "13"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"13", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"19", ",", "58"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"58", ",", "29"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"29", ",", "88"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"88", ",", "44"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"44", ",", "22"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"22", ",", "11"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"11", ",", "34"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"34", ",", "17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"17", ",", "52"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"52", ",", "26"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"26", ",", "13"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"13", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "16"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"16", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellLabel->
  "Out[117]=",ExpressionUUID->"1efbd11a-f806-409c-88d1-4fbf64bbc3a8"]
}, Closed]],

Cell[TextData[{
 StyleBox["Flatten", "MR"],
 " the result at level ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "8623e52e-4aeb-4d92-94d7-1af7f56f2932"],
 " to produce a single list of pairs, then feed that list of pairs to the ",
 StyleBox["Union", "MR"],
 " command (to eliminate duplicate pairs)."
}], "ExercisePart",ExpressionUUID->"d960b041-1737-41dc-b58e-7d3b4f0a1de6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "@", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Partition", "[", 
       RowBox[{"#", ",", " ", "2", ",", " ", "1"}], "]"}], " ", "&"}], " ", "/@",
      " ", "data"}], ",", "1"}], "]"}]}]], "Input",
 CellLabel->
  "In[129]:=",ExpressionUUID->"38673cdd-9b76-4ea7-944a-994f0a38fc42"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "22"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9", ",", "28"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"11", ",", "34"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"12", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"13", ",", "40"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"14", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", "46"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"16", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"17", ",", "52"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"18", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"19", ",", "58"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"22", ",", "11"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"23", ",", "70"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"26", ",", "13"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"28", ",", "14"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"29", ",", "88"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"34", ",", "17"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"35", ",", "106"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"40", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"44", ",", "22"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"46", ",", "23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"52", ",", "26"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"53", ",", "160"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"58", ",", "29"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"70", ",", "35"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"80", ",", "40"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"88", ",", "44"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"106", ",", "53"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"160", ",", "80"}], "}"}]}], "}"}]], "Output",
 CellLabel->
  "Out[129]=",ExpressionUUID->"5ea18899-3b72-4d43-b652-bb1e789e4a09"]
}, Closed]],

Cell[TextData[{
 "Use ",
 StyleBox["Map", "MR"],
 " to ",
 StyleBox["Apply", "MR"],
 " the command ",
 StyleBox["Rule", "MR"],
 " to each pair from part ",
 StyleBox["c",
  FontWeight->"Bold"],
 " to obtain an amalgamated list of all orbits. It should end like this: ",
 StyleBox["{", "MR"],
 "\[Ellipsis]",
 StyleBox[",88\[ThinSpace]\[Rule]\[ThinSpace]44,106\[ThinSpace]\[Rule]\
\[ThinSpace]53,160\[ThinSpace]\[Rule]\[ThinSpace]80}", "MR"],
 ". Now display the result as a directed ",
 StyleBox["Graph", "MR"],
 " to get a visualization of the orbit space for the Collatz process."
}], "ExercisePart",
 CellTags->"i:19",ExpressionUUID->"78aac380-24d2-4685-9350-b4fa11db697b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rules", "=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Apply", "[", 
      RowBox[{"Rule", ",", "#"}], "]"}], "&"}], ",", "%"}], "]"}]}]], "Input",\

 CellLabel->
  "In[130]:=",ExpressionUUID->"51fc62ca-b183-4434-a214-5b7aa8449dc0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"3", "\[Rule]", "10"}], ",", 
   RowBox[{"4", "\[Rule]", "2"}], ",", 
   RowBox[{"5", "\[Rule]", "16"}], ",", 
   RowBox[{"6", "\[Rule]", "3"}], ",", 
   RowBox[{"7", "\[Rule]", "22"}], ",", 
   RowBox[{"8", "\[Rule]", "4"}], ",", 
   RowBox[{"9", "\[Rule]", "28"}], ",", 
   RowBox[{"10", "\[Rule]", "5"}], ",", 
   RowBox[{"11", "\[Rule]", "34"}], ",", 
   RowBox[{"12", "\[Rule]", "6"}], ",", 
   RowBox[{"13", "\[Rule]", "40"}], ",", 
   RowBox[{"14", "\[Rule]", "7"}], ",", 
   RowBox[{"15", "\[Rule]", "46"}], ",", 
   RowBox[{"16", "\[Rule]", "8"}], ",", 
   RowBox[{"17", "\[Rule]", "52"}], ",", 
   RowBox[{"18", "\[Rule]", "9"}], ",", 
   RowBox[{"19", "\[Rule]", "58"}], ",", 
   RowBox[{"20", "\[Rule]", "10"}], ",", 
   RowBox[{"22", "\[Rule]", "11"}], ",", 
   RowBox[{"23", "\[Rule]", "70"}], ",", 
   RowBox[{"26", "\[Rule]", "13"}], ",", 
   RowBox[{"28", "\[Rule]", "14"}], ",", 
   RowBox[{"29", "\[Rule]", "88"}], ",", 
   RowBox[{"34", "\[Rule]", "17"}], ",", 
   RowBox[{"35", "\[Rule]", "106"}], ",", 
   RowBox[{"40", "\[Rule]", "20"}], ",", 
   RowBox[{"44", "\[Rule]", "22"}], ",", 
   RowBox[{"46", "\[Rule]", "23"}], ",", 
   RowBox[{"52", "\[Rule]", "26"}], ",", 
   RowBox[{"53", "\[Rule]", "160"}], ",", 
   RowBox[{"58", "\[Rule]", "29"}], ",", 
   RowBox[{"70", "\[Rule]", "35"}], ",", 
   RowBox[{"80", "\[Rule]", "40"}], ",", 
   RowBox[{"88", "\[Rule]", "44"}], ",", 
   RowBox[{"106", "\[Rule]", "53"}], ",", 
   RowBox[{"160", "\[Rule]", "80"}]}], "}"}]], "Output",
 CellLabel->
  "Out[130]=",ExpressionUUID->"300dd851-26c9-4a9e-a324-c4377567ef34"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graph", "[", 
  RowBox[{"rules", ",", 
   RowBox[{"VertexLabels", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"GraphLayout", "\[Rule]", "\"\<SpringEmbedding\>\""}]}], 
  "]"}]], "Input",
 CellTags->"i:20",
 CellLabel->
  "In[131]:=",ExpressionUUID->"4eaa1016-370a-4891-8219-c4af502407c5"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{2, 1, 3, 10, 4, 5, 16, 6, 7, 22, 8, 9, 28, 11, 34, 12, 13, 40, 14,
       15, 46, 17, 52, 18, 19, 58, 20, 23, 70, 26, 29, 88, 35, 106, 44, 53, 
      160, 80}, {{{1, 2}, {3, 4}, {5, 1}, {6, 7}, {8, 3}, {9, 10}, {11, 5}, {
       12, 13}, {4, 6}, {14, 15}, {16, 8}, {17, 18}, {19, 9}, {20, 21}, {7, 
       11}, {22, 23}, {24, 12}, {25, 26}, {27, 4}, {10, 14}, {28, 29}, {30, 
       17}, {13, 19}, {31, 32}, {15, 22}, {33, 34}, {18, 27}, {35, 10}, {21, 
       28}, {23, 30}, {36, 37}, {26, 31}, {29, 33}, {38, 18}, {32, 35}, {34, 
       36}, {37, 38}}, Null}, {
      GraphLayout -> "SpringEmbedding", VertexLabels -> {Automatic}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[0.0123936177853823], 
        ArrowBox[CompressedData["
1:eJxTTMoPSmVmYGBQBWImKN7AeXbmvVgDhwk8C5nyNqo6FL1vsrhsbOhwT0Zc
bX+fmsOy5MdCFa/VHDQzmNaxP1d1kNifIl85Qd2BO/t854Gzyhj8BS8WFdWe
0HRI8t20uX+JskPkARb2+mB9B91o4TO+3ioO6Pahq+fNWPF32ilth5fxwU5T
LTD5Ng94Jh5ao+vQv/7i+sWxyg6JtUnlwT5qDoIHvu84dUodw72X4v3cvt1n
dzj+7dVueXlph19yxzpV+3kcVPXNXKd8lsPgT/QIaDrZJ+RQ8PTX26vb5TDs
Q/fPi/jJtQLnn9tPVZ31pMZHxCHjccueyRa/7Gdd/Fv06oAoBv9F9gvRiHhm
B3XRJ2ckn4lj2Key7tzluCoxh8tO6wN3FmPyOU7K8P5QkXJ4+Uho2pe9cg5C
h6+UlFirOTywNc45uE4TIzyaS9OzRVYoOVToC4i2ZSg4LLw1fVLreRWHv4+X
qMRYY/J7Jy3tZLJSc/hWwNyVp6qE4V708GxYtkossV/TgQEKDnz2T2o8pOmw
Y1PY2cNz3tqj800S725m36Tp0HF70X3+V3/t0f3zaWlwmvgnWYf7RXuX/a9Q
wODP6nq45+JUBQfHwLiWqlkKcHvDPt91adcVwoiPA9HvXL6XnLSvYmF+M5VR
zeHAXgWF2+yf7PuigvWm9ahi8Hdc0fLcfuKffWXP2QkzO1UwwgM9vaP7J+LK
zpw1zzQc7jlOSdQzYnNA5y+ZuKGhdY2Gw7b5ZqyP5/Bi+Ac9vtDdI1T+K/jG
TRaH6DMf7qlZK2PwtRi83NlWcDi4liivbclUxLCPb1s268ud6g66EQseh28S
xOAbzTAxiUhRd3jH3ykqZyKGYR56fkFXH7VIxLYoR83h60Yu8csNEhj8/cJy
ypdmqzq0sZw22d0lg8FHT48AU34AlA==
         "], 0.08528019507526728]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{16.36667786842162, 10.846542436751662}, 
          0.08528019507526728], 
         InsetBox["2", 
          Offset[{2, 2}, {16.451958063496885, 10.931822631826929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{17.202441722838053, 11.2788020995344}, 0.08528019507526728],
          InsetBox["1", 
          Offset[{2, 2}, {17.28772191791332, 11.364082294609666}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{11.459900465257146, 10.951230466646011}, 
          0.08528019507526728], 
         InsetBox["3", 
          Offset[{2, 2}, {11.545180660332413, 11.036510661721278}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{11.782174092338707, 9.901859575814816}, 
          0.08528019507526728], 
         InsetBox["10", 
          Offset[{2, 2}, {11.867454287413974, 9.987139770890083}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{15.663078517274856, 10.147077920306026}, 
          0.08528019507526728], 
         InsetBox["4", 
          Offset[{2, 2}, {15.748358712350123, 10.232358115381293}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{12.891582090746226, 9.821408858790793}, 
          0.08528019507526728], 
         InsetBox["5", Offset[{2, 2}, {12.976862285821493, 9.90668905386606}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{13.895683218772342, 9.61051375644452}, 0.08528019507526728],
          InsetBox["16", 
          Offset[{2, 2}, {13.98096341384761, 9.695793951519788}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{11.149074297688175, 11.896077900164558}, 
          0.08528019507526728], 
         InsetBox["6", 
          Offset[{2, 2}, {11.234354492763442, 11.981358095239825}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.984356450335306, 6.780394493309081}, 0.08528019507526728],
          InsetBox["7", 
          Offset[{2, 2}, {3.069636645410573, 6.865674688384348}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.569895817145036, 7.737870294029368}, 0.08528019507526728],
          InsetBox["22", 
          Offset[{2, 2}, {3.655176012220303, 7.823150489104635}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{14.837421925374763, 9.682889456125649}, 
          0.08528019507526728], 
         InsetBox["8", Offset[{2, 2}, {14.92270212045003, 9.768169651200916}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7440264179849665, 5.074695178898215}, 
          0.08528019507526728], 
         InsetBox["9", 
          Offset[{2, 2}, {0.8293066130602338, 5.159975373973482}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6388127674128672, 5.438394352666728}, 
          0.08528019507526728], 
         InsetBox["28", 
          Offset[{2, 2}, {1.7240929624881345, 5.5236745477419955}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.639440570974458, 7.679527014196864}, 0.08528019507526728],
          InsetBox["11", 
          Offset[{2, 2}, {4.7247207660497255, 7.764807209272131}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.619502362718354, 7.613011623689732}, 0.08528019507526728],
          InsetBox["34", 
          Offset[{2, 2}, {5.704782557793621, 7.698291818764999}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{11.116122866603778, 12.841319447760668}, 
          0.08528019507526728], 
         InsetBox["12", 
          Offset[{2, 2}, {11.201403061679045, 12.926599642835935}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{9.328280788783337, 8.204147966600189}, 0.08528019507526728],
          InsetBox["13", 
          Offset[{2, 2}, {9.413560983858604, 8.289428161675456}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{10.40531595328986, 8.11593737137627}, 0.08528019507526728], 
         InsetBox["40", 
          Offset[{2, 2}, {10.490596148365126, 8.201217566451538}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.421554728656236, 5.97470779554468}, 0.08528019507526728], 
         InsetBox["14", 
          Offset[{2, 2}, {2.5068349237315033, 6.059987990619947}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{12.780037601786944, 0.}, 0.08528019507526728], 
         InsetBox["15", 
          Offset[{2, 2}, {12.865317796862211, 0.08528019507526728}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{12.87989337182978, 0.925386334468917}, 0.08528019507526728],
          InsetBox["46", 
          Offset[{2, 2}, {12.965173566905047, 1.0106665295441843}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{6.536102490312494, 7.685503334906323}, 0.08528019507526728],
          InsetBox["17", 
          Offset[{2, 2}, {6.621382685387761, 7.77078352998159}], ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{7.486417387824519, 8.236325464845718}, 0.08528019507526728],
          InsetBox["52", 
          Offset[{2, 2}, {7.571697582899786, 8.321605659920985}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 4.544461322829042}, 0.08528019507526728], 
         InsetBox["18", 
          Offset[{2, 2}, {0.08528019507526728, 4.629741517904309}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.19888201585555798, 11.003096938484521}, 
          0.08528019507526728], 
         InsetBox["19", 
          Offset[{2, 2}, {0.2841622109308253, 11.088377133559788}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1269179587360298, 10.774583289790169}, 
          0.08528019507526728], 
         InsetBox["58", 
          Offset[{2, 2}, {1.2121981538112971, 10.859863484865436}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{11.113300610982401, 9.073108971519542}, 
          0.08528019507526728], 
         InsetBox["20", 
          Offset[{2, 2}, {11.198580806057668, 9.158389166594809}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{12.847715016149415, 1.8696440444743718}, 
          0.08528019507526728], 
         InsetBox["23", 
          Offset[{2, 2}, {12.932995211224682, 1.9549242395496391}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{12.45053424614359, 2.7745025275582824}, 
          0.08528019507526728], 
         InsetBox["70", 
          Offset[{2, 2}, {12.535814441218857, 2.8597827226335495}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{8.292615797550116, 8.301715981019358}, 0.08528019507526728],
          InsetBox["26", 
          Offset[{2, 2}, {8.377895992625383, 8.386996176094625}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9240029199693662, 10.268749737826726}, 
          0.08528019507526728], 
         InsetBox["29", 
          Offset[{2, 2}, {2.0092831150446333, 10.354029932901993}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.6063696442423714, 9.615530936140365}, 
          0.08528019507526728], 
         InsetBox["88", 
          Offset[{2, 2}, {2.6916498393176385, 9.700811131215632}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{12.336956044725248, 3.7016048819823153}, 
          0.08528019507526728], 
         InsetBox["35", 
          Offset[{2, 2}, {12.422236239800515, 3.7868850770575824}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{11.863105935476622, 4.424163395558975}, 
          0.08528019507526728], 
         InsetBox["106", 
          Offset[{2, 2}, {11.948386130551889, 4.509443590634242}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.0820432252367214, 8.706090365007308}, 
          0.08528019507526728], 
         InsetBox["44", 
          Offset[{2, 2}, {3.1673234203119884, 8.791370560082575}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{11.695985442562321, 5.550896011820425}, 
          0.08528019507526728], 
         InsetBox["53", 
          Offset[{2, 2}, {11.781265637637588, 5.636176206895692}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{11.211809071320364, 6.125805244472294}, 
          0.08528019507526728], 
         InsetBox["160", 
          Offset[{2, 2}, {11.29708926639563, 6.211085439547561}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{10.804337594434285, 7.135479760066238}, 
          0.08528019507526728], 
         InsetBox["80", 
          Offset[{2, 2}, {10.889617789509552, 7.220759955141505}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImageSize->{654.984375, Automatic}]], "Output",
 CellTags->"i:20",
 CellLabel->
  "Out[131]=",ExpressionUUID->"33d784ea-cd7e-4703-af6c-8da1e122faa8"]
}, Closed]],

Cell[TextData[{
 "Here it is for ",
 Cell[BoxData[
  FormBox["100", TraditionalForm]],ExpressionUUID->
  "c96601c0-5210-4296-80c0-fe48165baa08"],
 " integers. The process for ",
 Cell[BoxData[
  FormBox["1000", TraditionalForm]],ExpressionUUID->
  "2bd46371-e884-4ec2-9ba8-182affdb1c3d"],
 " is similar. Unfortunately, it is not easy to find the branch that ends in ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "ab1b2946-88d1-4c80-89ac-68681d9d8a1d"],
 " with these images until the image is enlarged greatly. (It happens to be a \
twig on the upper-right branch.) The Documentation Center has information on \
the various layouts available to ",
 StyleBox["Graph", "MR"],
 ". Each will produce a slightly different embedding, and a particular graph \
may look better using one method over another. In this case, the important \
point is that the graph is a tree (it has a single connected component, and \
no cycles). If the Collatz conjecture were false, there would be more than \
one component in a sufficiently large graph of this type."
}], "ExercisePart",ExpressionUUID->"1ca5061e-4a6f-43a4-99b2-d77c47b2bfe6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"collatz", "[", "n", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "100"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Graph", "[", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Rule", ",", "#"}], "]"}], "&"}], ",", 
     RowBox[{"Union", "@", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Partition", "[", 
           RowBox[{"#", ",", " ", "2", ",", " ", "1"}], "]"}], " ", "&"}], 
         " ", "/@", " ", "data"}], ",", "1"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"GraphLayout", "\[Rule]", "\"\<SpringElectricalEmbedding\>\""}]}], 
  "]"}]}], "Input",
 CellTags->"i:21",
 CellLabel->
  "In[132]:=",ExpressionUUID->"2cf0966e-5b95-492c-93ef-0fb6f2e02896"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[CompressedData["
1:eJwl01tMjnEcwPGXjqLklENEjjmfK0SSnEU55BhyHC1sRprMsjVi2iyb0QwX
GbOcNnNBc8FNFzQXuLAxY8uNi9ZcxIXPf1189v29ew/P3v/z/NLLjhZX9IhE
In/pSZijSCCaGJKJJY4U4unFcHozmj4kkkESfZlGP+bQnwHMZyCDWMxgljGE
oaxhGKkUM4ItpDGSUkaRzj7GcJixjOMY45nASSZyhklMpoYpTOUC07nCDGbS
wCxmc4O53CaTLJrIZh4PWcBTcljICxaRSwt5vGEJ+bSylALaWM5HVrCSL6xi
Nd9ZSzuFrOM36ymikw10sZFNke4buFlKwj0zbw33Rrfp9nAfzDt0Zzhz865w
trpb94RzNJfp3nBm5v3hbPRgOAM9pEfC/zFX6PFwbfMJPcUB82kt1yqtptJ8
Ts9TZ67VizSaL2s9zeareo3X5ut6kw/mO/pD7+kffaCPSPLAPgvPiz7Xl7wN
5+P1O/1Erfmb/grvmzsi3c96hznOb6V42BM1Q1O1WDM0lxZzvrZqgbZpoZaG
/0i5Bbmkd7VB7/PP/EQHWpxXmq1f9Zb+1Mfarpmun8cbi1WknXpW62jkPRUW
7bOWuW4V9TRbzCzXaLJwNVri92It6Abf77JkaZY0yvcSLFS0Ja2m0qLG+Hyy
JcmxnPE+9x99bmT3
      "], {CompressedData["
1:eJwBBQL6/SFib1JiAgAAAPoAAAACAAAAAQIDBAUBBgcIAwkKCwUMDQQGDg8Q
CBESEwkUFQcLFhcYDBkaGwQcHQoOHh8gECEiIxEkJQ0TJicoFCkqKwcsLQ8W
Li8wGDEyMxk0NRIbNjc4HDk6Owo8PRUePj9AIEFCQyFERRcjRkdIJElKSw1M
TRomTk9QKFFSUylUVR0rVldYLFlaWw9cXR8uXl9gMGFiYzFkZSIzZmdoNGlq
axJsbSU2bm9wOHFyczl0dSc7dnd4PHl6exV8fSo+fn+AQIGCg0GEhS1DhoeI
iYoXL0aLjI1JMkuOj5AaNU6RkpOUlVE3U5aXmB06Vpmam1k9W5ydnh8/Xp+g
oWFCY6KjpCJFZqWmR2unqEpuqaqrcU1zrK1Pdq6vsHlSe7EqVX5Xg7KzWoa0
iF2KX4u1tmKNtzJljmeQuLlqkbqTbZVvlru8cph1mb2+d5u/wHqcfZ7Bwn+f
gqHDQoWih6SJpcTFjKfGx8jJyqmPq8uskq6UsJexzM2ass7P0FqdtNHSoLXT
1NXWo7emuNfYqLrZ2tttqrutva+/3MHd3rPD3+DhxLbG4sjjyrnL5OXmlLzM
vs7A0MLR59Po1enqxdfH2cnb6+zN3O3dz9/S4dTi1uPu79jk2ubw8d7n4Ojy
6fP05ev17fb36u74+ezw+vLv8/v18fb0+Pf6+fsPJPUJ
       "], Null}, {
      GraphLayout -> "SpringElectricalEmbedding"}]]}, 
    TagBox[GraphicsGroupBox[GraphicsComplexBox[CompressedData["
1:eJw9l3k0FVr7xyWzCJ0ypEKR6ZXjjE5xvscxJVNkynEGhG5XJG7SbZYohVKK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       "], {
        {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[0.0023722625325698662`],
          ArrowBox[CompressedData["
1:eJwBBQL6/SFib1JiAgAAAPoAAAACAAAAAQIDBAQGBQEGBwcLCAMJCgoOCwUM
DQ0TDg8PFhAIERISGxMJFBUVHhYXFyMYDBkaGiYbBBwdHSseHx8uIBAhIiIz
IxEkJSU2JicnOygUKSoqPisHLC0tQy4vL0YwGDEyMkszGTQ1NU42NzdTOBw5
OjpWOwo8PT1bPj8/XkAgQUJCY0MhREVFZkZHR2tIJElKSm5LDUxNTXNOT092
UChRUlJ7UylUVVV+VldXg1gsWVpahlsPXF1dil5fX4tgMGFiYo1jMWRlZY5m
Z2eQaDRpamqRaxJsbW2Vbm9vlnA4cXJymHM5dHV1mXZ3d5t4PHl6epx7FXx9
fZ5+f3+fgECBgoKhg0GEhYWihoeHpIiJiaWKF4uMjKeNSY6Pj6uQGpGSkq6T
lJSwlVGWl5exmB2Zmpqym1mcnZ20nh+foKC1oWGio6O3pCKlpqa4p6iouqmq
qrurcaytrb2ur6+/sHmxKrKzs8O0iLW2tsa3Mri5ucu6k7u8vMy9vr7Ov8DA
0MHCwtHDQsTFxdfGx8fZyMnJ28qpy6zMzc3czs/P39Ba0dLS4dPU1OLV1tbj
19jY5Nna2ubbbdzB3d7e59/g4OjhxOLI48rk5eXr5pTn0+jV6erq7uvs7PDt
3e7v7/Pw8fH28unz9PT49e329/f6+Pn5+/ry+/WhUPUJ
          "], 
          0.13737989516010038`]}, 
        {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], 
         DiskBox[1, 0.13737989516010038], DiskBox[2, 0.13737989516010038], 
         DiskBox[3, 0.13737989516010038], DiskBox[4, 0.13737989516010038], 
         DiskBox[5, 0.13737989516010038], DiskBox[6, 0.13737989516010038], 
         DiskBox[7, 0.13737989516010038], DiskBox[8, 0.13737989516010038], 
         DiskBox[9, 0.13737989516010038], DiskBox[10, 0.13737989516010038], 
         DiskBox[11, 0.13737989516010038], DiskBox[12, 0.13737989516010038], 
         DiskBox[13, 0.13737989516010038], DiskBox[14, 0.13737989516010038], 
         DiskBox[15, 0.13737989516010038], DiskBox[16, 0.13737989516010038], 
         DiskBox[17, 0.13737989516010038], DiskBox[18, 0.13737989516010038], 
         DiskBox[19, 0.13737989516010038], DiskBox[20, 0.13737989516010038], 
         DiskBox[21, 0.13737989516010038], DiskBox[22, 0.13737989516010038], 
         DiskBox[23, 0.13737989516010038], DiskBox[24, 0.13737989516010038], 
         DiskBox[25, 0.13737989516010038], DiskBox[26, 0.13737989516010038], 
         DiskBox[27, 0.13737989516010038], DiskBox[28, 0.13737989516010038], 
         DiskBox[29, 0.13737989516010038], DiskBox[30, 0.13737989516010038], 
         DiskBox[31, 0.13737989516010038], DiskBox[32, 0.13737989516010038], 
         DiskBox[33, 0.13737989516010038], DiskBox[34, 0.13737989516010038], 
         DiskBox[35, 0.13737989516010038], DiskBox[36, 0.13737989516010038], 
         DiskBox[37, 0.13737989516010038], DiskBox[38, 0.13737989516010038], 
         DiskBox[39, 0.13737989516010038], DiskBox[40, 0.13737989516010038], 
         DiskBox[41, 0.13737989516010038], DiskBox[42, 0.13737989516010038], 
         DiskBox[43, 0.13737989516010038], DiskBox[44, 0.13737989516010038], 
         DiskBox[45, 0.13737989516010038], DiskBox[46, 0.13737989516010038], 
         DiskBox[47, 0.13737989516010038], DiskBox[48, 0.13737989516010038], 
         DiskBox[49, 0.13737989516010038], DiskBox[50, 0.13737989516010038], 
         DiskBox[51, 0.13737989516010038], DiskBox[52, 0.13737989516010038], 
         DiskBox[53, 0.13737989516010038], DiskBox[54, 0.13737989516010038], 
         DiskBox[55, 0.13737989516010038], DiskBox[56, 0.13737989516010038], 
         DiskBox[57, 0.13737989516010038], DiskBox[58, 0.13737989516010038], 
         DiskBox[59, 0.13737989516010038], DiskBox[60, 0.13737989516010038], 
         DiskBox[61, 0.13737989516010038], DiskBox[62, 0.13737989516010038], 
         DiskBox[63, 0.13737989516010038], DiskBox[64, 0.13737989516010038], 
         DiskBox[65, 0.13737989516010038], DiskBox[66, 0.13737989516010038], 
         DiskBox[67, 0.13737989516010038], DiskBox[68, 0.13737989516010038], 
         DiskBox[69, 0.13737989516010038], DiskBox[70, 0.13737989516010038], 
         DiskBox[71, 0.13737989516010038], DiskBox[72, 0.13737989516010038], 
         DiskBox[73, 0.13737989516010038], DiskBox[74, 0.13737989516010038], 
         DiskBox[75, 0.13737989516010038], DiskBox[76, 0.13737989516010038], 
         DiskBox[77, 0.13737989516010038], DiskBox[78, 0.13737989516010038], 
         DiskBox[79, 0.13737989516010038], DiskBox[80, 0.13737989516010038], 
         DiskBox[81, 0.13737989516010038], DiskBox[82, 0.13737989516010038], 
         DiskBox[83, 0.13737989516010038], DiskBox[84, 0.13737989516010038], 
         DiskBox[85, 0.13737989516010038], DiskBox[86, 0.13737989516010038], 
         DiskBox[87, 0.13737989516010038], DiskBox[88, 0.13737989516010038], 
         DiskBox[89, 0.13737989516010038], DiskBox[90, 0.13737989516010038], 
         DiskBox[91, 0.13737989516010038], DiskBox[92, 0.13737989516010038], 
         DiskBox[93, 0.13737989516010038], DiskBox[94, 0.13737989516010038], 
         DiskBox[95, 0.13737989516010038], DiskBox[96, 0.13737989516010038], 
         DiskBox[97, 0.13737989516010038], DiskBox[98, 0.13737989516010038], 
         DiskBox[99, 0.13737989516010038], DiskBox[100, 0.13737989516010038], 
         DiskBox[101, 0.13737989516010038], DiskBox[102, 0.13737989516010038],
          DiskBox[103, 0.13737989516010038], 
         DiskBox[104, 0.13737989516010038], DiskBox[105, 0.13737989516010038],
          DiskBox[106, 0.13737989516010038], 
         DiskBox[107, 0.13737989516010038], DiskBox[108, 0.13737989516010038],
          DiskBox[109, 0.13737989516010038], 
         DiskBox[110, 0.13737989516010038], DiskBox[111, 0.13737989516010038],
          DiskBox[112, 0.13737989516010038], 
         DiskBox[113, 0.13737989516010038], DiskBox[114, 0.13737989516010038],
          DiskBox[115, 0.13737989516010038], 
         DiskBox[116, 0.13737989516010038], DiskBox[117, 0.13737989516010038],
          DiskBox[118, 0.13737989516010038], 
         DiskBox[119, 0.13737989516010038], DiskBox[120, 0.13737989516010038],
          DiskBox[121, 0.13737989516010038], 
         DiskBox[122, 0.13737989516010038], DiskBox[123, 0.13737989516010038],
          DiskBox[124, 0.13737989516010038], 
         DiskBox[125, 0.13737989516010038], DiskBox[126, 0.13737989516010038],
          DiskBox[127, 0.13737989516010038], 
         DiskBox[128, 0.13737989516010038], DiskBox[129, 0.13737989516010038],
          DiskBox[130, 0.13737989516010038], 
         DiskBox[131, 0.13737989516010038], DiskBox[132, 0.13737989516010038],
          DiskBox[133, 0.13737989516010038], 
         DiskBox[134, 0.13737989516010038], DiskBox[135, 0.13737989516010038],
          DiskBox[136, 0.13737989516010038], 
         DiskBox[137, 0.13737989516010038], DiskBox[138, 0.13737989516010038],
          DiskBox[139, 0.13737989516010038], 
         DiskBox[140, 0.13737989516010038], DiskBox[141, 0.13737989516010038],
          DiskBox[142, 0.13737989516010038], 
         DiskBox[143, 0.13737989516010038], DiskBox[144, 0.13737989516010038],
          DiskBox[145, 0.13737989516010038], 
         DiskBox[146, 0.13737989516010038], DiskBox[147, 0.13737989516010038],
          DiskBox[148, 0.13737989516010038], 
         DiskBox[149, 0.13737989516010038], DiskBox[150, 0.13737989516010038],
          DiskBox[151, 0.13737989516010038], 
         DiskBox[152, 0.13737989516010038], DiskBox[153, 0.13737989516010038],
          DiskBox[154, 0.13737989516010038], 
         DiskBox[155, 0.13737989516010038], DiskBox[156, 0.13737989516010038],
          DiskBox[157, 0.13737989516010038], 
         DiskBox[158, 0.13737989516010038], DiskBox[159, 0.13737989516010038],
          DiskBox[160, 0.13737989516010038], 
         DiskBox[161, 0.13737989516010038], DiskBox[162, 0.13737989516010038],
          DiskBox[163, 0.13737989516010038], 
         DiskBox[164, 0.13737989516010038], DiskBox[165, 0.13737989516010038],
          DiskBox[166, 0.13737989516010038], 
         DiskBox[167, 0.13737989516010038], DiskBox[168, 0.13737989516010038],
          DiskBox[169, 0.13737989516010038], 
         DiskBox[170, 0.13737989516010038], DiskBox[171, 0.13737989516010038],
          DiskBox[172, 0.13737989516010038], 
         DiskBox[173, 0.13737989516010038], DiskBox[174, 0.13737989516010038],
          DiskBox[175, 0.13737989516010038], 
         DiskBox[176, 0.13737989516010038], DiskBox[177, 0.13737989516010038],
          DiskBox[178, 0.13737989516010038], 
         DiskBox[179, 0.13737989516010038], DiskBox[180, 0.13737989516010038],
          DiskBox[181, 0.13737989516010038], 
         DiskBox[182, 0.13737989516010038], DiskBox[183, 0.13737989516010038],
          DiskBox[184, 0.13737989516010038], 
         DiskBox[185, 0.13737989516010038], DiskBox[186, 0.13737989516010038],
          DiskBox[187, 0.13737989516010038], 
         DiskBox[188, 0.13737989516010038], DiskBox[189, 0.13737989516010038],
          DiskBox[190, 0.13737989516010038], 
         DiskBox[191, 0.13737989516010038], DiskBox[192, 0.13737989516010038],
          DiskBox[193, 0.13737989516010038], 
         DiskBox[194, 0.13737989516010038], DiskBox[195, 0.13737989516010038],
          DiskBox[196, 0.13737989516010038], 
         DiskBox[197, 0.13737989516010038], DiskBox[198, 0.13737989516010038],
          DiskBox[199, 0.13737989516010038], 
         DiskBox[200, 0.13737989516010038], DiskBox[201, 0.13737989516010038],
          DiskBox[202, 0.13737989516010038], 
         DiskBox[203, 0.13737989516010038], DiskBox[204, 0.13737989516010038],
          DiskBox[205, 0.13737989516010038], 
         DiskBox[206, 0.13737989516010038], DiskBox[207, 0.13737989516010038],
          DiskBox[208, 0.13737989516010038], 
         DiskBox[209, 0.13737989516010038], DiskBox[210, 0.13737989516010038],
          DiskBox[211, 0.13737989516010038], 
         DiskBox[212, 0.13737989516010038], DiskBox[213, 0.13737989516010038],
          DiskBox[214, 0.13737989516010038], 
         DiskBox[215, 0.13737989516010038], DiskBox[216, 0.13737989516010038],
          DiskBox[217, 0.13737989516010038], 
         DiskBox[218, 0.13737989516010038], DiskBox[219, 0.13737989516010038],
          DiskBox[220, 0.13737989516010038], 
         DiskBox[221, 0.13737989516010038], DiskBox[222, 0.13737989516010038],
          DiskBox[223, 0.13737989516010038], 
         DiskBox[224, 0.13737989516010038], DiskBox[225, 0.13737989516010038],
          DiskBox[226, 0.13737989516010038], 
         DiskBox[227, 0.13737989516010038], DiskBox[228, 0.13737989516010038],
          DiskBox[229, 0.13737989516010038], 
         DiskBox[230, 0.13737989516010038], DiskBox[231, 0.13737989516010038],
          DiskBox[232, 0.13737989516010038], 
         DiskBox[233, 0.13737989516010038], DiskBox[234, 0.13737989516010038],
          DiskBox[235, 0.13737989516010038], 
         DiskBox[236, 0.13737989516010038], DiskBox[237, 0.13737989516010038],
          DiskBox[238, 0.13737989516010038], 
         DiskBox[239, 0.13737989516010038], DiskBox[240, 0.13737989516010038],
          DiskBox[241, 0.13737989516010038], 
         DiskBox[242, 0.13737989516010038], DiskBox[243, 0.13737989516010038],
          DiskBox[244, 0.13737989516010038], 
         DiskBox[245, 0.13737989516010038], DiskBox[246, 0.13737989516010038],
          DiskBox[247, 0.13737989516010038], 
         DiskBox[248, 0.13737989516010038], DiskBox[249, 0.13737989516010038],
          DiskBox[250, 0.13737989516010038], 
         DiskBox[251, 0.13737989516010038]}}]],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImageSize->{Automatic, 219.23315716113564`}]], "Output",
 CellTags->"i:21",
 CellLabel->
  "Out[133]=",ExpressionUUID->"a65773a4-d56b-4d0c-a464-d2f7f7a90d14"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"f", ",", "collatz", ",", "data", ",", "rules"}], "]"}]], "Input",
 CellLabel->
  "In[134]:=",ExpressionUUID->"d3315456-8ca0-4249-a6f4-710ede684c45"],

Cell[TextData[{
 "Setting ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "=", 
    FractionBox["\[Pi]", 
     RowBox[{"3", "k"}]]}], TraditionalForm]],ExpressionUUID->
  "a6d28f4f-3af4-43b5-ae99-3822ced2478d"],
 ", the argument to the function ",
 Cell[BoxData[
  FormBox[
   RowBox[{"cos", "(", 
    RowBox[{"k", " ", "a"}], ")"}], TraditionalForm]],ExpressionUUID->
  "bb9fc0a0-7453-46a0-9aa4-c4e704b28067"],
 " is ",
 Cell[BoxData[
  FormBox[
   FractionBox["\[Pi]", "3"], TraditionalForm]],ExpressionUUID->
  "a6646160-ddc6-43fe-949c-49a0b953bb75"],
 ", so the function evaluates to ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", "2"], TraditionalForm]],ExpressionUUID->
  "8802bdae-82d5-4e67-860c-bcf3f090a5f3"],
 ". This can be used to construct polynomials",
 " ",
 "with a root of the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{"cos", "(", 
    FractionBox["\[Pi]", 
     RowBox[{"3", "k"}]], ")"}], TraditionalForm]],ExpressionUUID->
  "2f0a9b1b-29cf-4cfc-befd-58505cd803e9"],
 " by using the expressions on the right in the table. Sometimes these \
factor, yielding even simpler polynomials. For this exercise we proceed with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "7"}], TraditionalForm]],ExpressionUUID->
  "f498457e-c7f0-4a6b-aea6-9c22ec470bc9"],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "=", 
    RowBox[{
     FractionBox["\[Pi]", 
      RowBox[{"3", "k"}]], "=", 
     FractionBox["\[Pi]", "21"]}]}], TraditionalForm]],ExpressionUUID->
  "f8621a40-eb9f-4b85-8793-bd3c895317c3"],
 ". The first input below verifies that the expression on the right side of \
the table evaluates to ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", "2"], TraditionalForm]],ExpressionUUID->
  "2372cad2-67b3-45c9-b01b-c6de0dbec239"],
 ". Subtract ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", "2"], TraditionalForm]],ExpressionUUID->
  "08272e40-cc03-4df6-b86c-87386b79da9d"],
 " from this polynomial, and multiply by ",
 Cell[BoxData[
  FormBox["2", TraditionalForm]],ExpressionUUID->
  "c78fafd5-0b14-4ffb-b038-6ab268783518"],
 " to clear fractions, and we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"cos", "(", 
    RowBox[{"\[Pi]", "/", "21"}]}], TraditionalForm]],ExpressionUUID->
  "4596cd85-34ec-40bc-8042-2cfd7cc8e171"],
 ") is a ",
 StyleBox["root",
  FontSlant->"Italic"],
 " of this polynomial. Finally, factor the polynomial. One factor has a root \
at ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", "2"], TraditionalForm]],ExpressionUUID->
  "d0ca1a55-b3bf-4cd2-906d-34e51e256546"],
 ". So the other factor must have one of its roots at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"cos", "(", 
    RowBox[{"\[Pi]", "/", "21"}], ")"}], TraditionalForm]],ExpressionUUID->
  "f37c1b4c-084c-45ae-908d-9ea0c62e3e95"],
 "."
}], "Exercise",ExpressionUUID->"0903314c-e5bd-423f-83b2-b860f354a6e4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"64", 
     SuperscriptBox["x", "7"]}], "-", 
    RowBox[{"112", 
     SuperscriptBox["x", "5"]}], "+", 
    RowBox[{"56", 
     SuperscriptBox["x", "3"]}], "-", 
    RowBox[{"7", "x"}]}], "/.", 
   RowBox[{"x", "\[Rule]", 
    RowBox[{"Cos", "[", 
     FractionBox["\[Pi]", "21"], "]"}]}]}], "//", "FullSimplify"}]], "Input",E\
xpressionUUID->"c89e9d5e-33bd-468b-a553-0951b9da3034"],

Cell[BoxData[
 FractionBox["1", "2"]], "Output",ExpressionUUID->"dd8251c0-d3cf-460d-8c2a-e7892879405b"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"128", 
     SuperscriptBox["x", "7"]}], "-", 
    RowBox[{"224", 
     SuperscriptBox["x", "5"]}], "+", 
    RowBox[{"112", 
     SuperscriptBox["x", "3"]}], "-", 
    RowBox[{"14", "x"}], "-", "1"}], "/.", 
   RowBox[{"x", "\[Rule]", 
    RowBox[{"Cos", "[", 
     FractionBox["\[Pi]", "21"], "]"}]}]}], "//", "FullSimplify"}]], "Input",E\
xpressionUUID->"de76371a-e848-4bad-8ea4-9bed5f27df17"],

Cell[BoxData["0"], "Output",ExpressionUUID->"a09149e4-2d29-40bf-81f7-34a71ce15de0"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{"128", 
    SuperscriptBox["x", "7"]}], "-", 
   RowBox[{"224", 
    SuperscriptBox["x", "5"]}], "+", 
   RowBox[{"112", 
    SuperscriptBox["x", "3"]}], "-", 
   RowBox[{"14", "x"}], "-", "1"}], "]"}]], "Input",ExpressionUUID->"091e8112-\
b285-4018-ba51-5808e6b8df9a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "x"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"16", " ", "x"}], "+", 
    RowBox[{"32", " ", 
     SuperscriptBox["x", "2"]}], "-", 
    RowBox[{"48", " ", 
     SuperscriptBox["x", "3"]}], "-", 
    RowBox[{"96", " ", 
     SuperscriptBox["x", "4"]}], "+", 
    RowBox[{"32", " ", 
     SuperscriptBox["x", "5"]}], "+", 
    RowBox[{"64", " ", 
     SuperscriptBox["x", "6"]}]}], ")"}]}]], "Output",ExpressionUUID->\
"18e843a0-2a02-47a5-896d-a236f0b43dbe"]
}, Closed]],

Cell[TextData[{
 "Replace ",
 StyleBox["opts___Rule", "MR"],
 " with ",
 StyleBox["opts:OptionsPattern[]", "MR"],
 "."
}], "Exercise",ExpressionUUID->"e6a73bfa-f49a-49b0-b204-3b5a87d21311"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "myPlot", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"myPlot", "[", 
   RowBox[{"f_", ",", "iter_List", ",", 
    RowBox[{"opts", ":", 
     RowBox[{"OptionsPattern", "[", "]"}]}]}], "]"}], ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{"f", ",", "iter", ",", "opts", ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"\"\<\!\(\*StyleBox[\"y\",FontSlant->\"Italic\"]\) = \>\"", "~~", 
      RowBox[{"ToString", "[", 
       RowBox[{"TraditionalForm", "[", "f", "]"}], "]"}]}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"iter", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
        ",", "\"\<\!\(\*StyleBox[\"y\",FontSlant->\"Italic\"]\)\>\""}], 
      "}"}]}]}], "]"}]}]}], "Input",
 CellLabel->
  "In[135]:=",ExpressionUUID->"d56d311e-41ee-4ea9-a892-8961fc513660"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"myPlot", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["x", "2"], "-", "1"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]], "Input",
 CellLabel->
  "In[139]:=",ExpressionUUID->"656cdf14-27e6-49a3-8c64-ed306e5a6b38"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
      LineBox[CompressedData["
1:eJw1mHk0lV30x803Q0J4pbiiNLzKENVr6DxJL5WkRJIpqZChQcbipcxjipAM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       "]]},
     Annotation[#, "Charting`Private`Tag$55173#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["x", HoldForm], TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*StyleBox[\\\"y\\\",FontSlant->\\\"Italic\\\"]\\)\"", 
     TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"\\!\\(\\*StyleBox[\\\"y\\\",FontSlant->\\\"Italic\\\"]\\) = \
\\!\\(\\*FormBox[RowBox[{SuperscriptBox[\\\"x\\\", \\\"2\\\"], \\\"-\\\", \
\\\"1\\\"}], TraditionalForm]\\)\"", TraditionalForm],
  PlotRange->{{-3, 3}, {-0.9999997867510327, 7.999999265306139}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellLabel->
  "Out[139]=",ExpressionUUID->"b79ed1bc-3b98-4ddd-abb1-cac68aedcd37"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", "myPlot", "]"}]], "Input",
 CellLabel->
  "In[140]:=",ExpressionUUID->"629584d8-90ab-47f4-bd3a-ad0fc4efbc0b"],

Cell[TextData[{
 StyleBox["TabView", "MR"],
 " requires a list of rules, where the left side of each rule is the tab \
label, while the right side is the value to be displayed when that tab is \
clicked. So the right side of the require replacement rule is itself a rule!"
}], "Exercise",ExpressionUUID->"71394c4d-544e-4d40-bbbd-54bbedc4d351"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Range", "[", "15", "]"}], "/.", 
  RowBox[{"n_Integer", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Defer", "[", 
      RowBox[{"n", "!"}], "]"}], "\[Rule]", 
     RowBox[{"n", "!"}]}], ")"}]}]}]], "Input",ExpressionUUID->"638abf62-9c55-\
4713-adb3-c9957cf7977a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "!"}], "\[Rule]", "1"}], ",", 
   RowBox[{
    RowBox[{"2", "!"}], "\[Rule]", "2"}], ",", 
   RowBox[{
    RowBox[{"3", "!"}], "\[Rule]", "6"}], ",", 
   RowBox[{
    RowBox[{"4", "!"}], "\[Rule]", "24"}], ",", 
   RowBox[{
    RowBox[{"5", "!"}], "\[Rule]", "120"}], ",", 
   RowBox[{
    RowBox[{"6", "!"}], "\[Rule]", "720"}], ",", 
   RowBox[{
    RowBox[{"7", "!"}], "\[Rule]", "5040"}], ",", 
   RowBox[{
    RowBox[{"8", "!"}], "\[Rule]", "40320"}], ",", 
   RowBox[{
    RowBox[{"9", "!"}], "\[Rule]", "362880"}], ",", 
   RowBox[{
    RowBox[{"10", "!"}], "\[Rule]", "3628800"}], ",", 
   RowBox[{
    RowBox[{"11", "!"}], "\[Rule]", "39916800"}], ",", 
   RowBox[{
    RowBox[{"12", "!"}], "\[Rule]", "479001600"}], ",", 
   RowBox[{
    RowBox[{"13", "!"}], "\[Rule]", "6227020800"}], ",", 
   RowBox[{
    RowBox[{"14", "!"}], "\[Rule]", "87178291200"}], ",", 
   RowBox[{
    RowBox[{"15", "!"}], "\[Rule]", "1307674368000"}]}], "}"}]], "Output",Expr\
essionUUID->"78c80470-3511-4841-b11c-d7a95b465ee8"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TabView", "[", 
  RowBox[{"%", ",", "13"}], "]"}]], "Input",ExpressionUUID->"9fffabeb-67d0-\
4921-9fa8-ff2038c11505"],

Cell[BoxData[
 TabViewBox[{{1,
  RowBox[{"1", "!"}]->"1"}, {2,
  RowBox[{"2", "!"}]->"2"}, {3,
  RowBox[{"3", "!"}]->"6"}, {4,
  RowBox[{"4", "!"}]->"24"}, {5,
  RowBox[{"5", "!"}]->"120"}, {6,
  RowBox[{"6", "!"}]->"720"}, {7,
  RowBox[{"7", "!"}]->"5040"}, {8,
  RowBox[{"8", "!"}]->"40320"}, {9,
  RowBox[{"9", "!"}]->"362880"}, {10,
  RowBox[{"10", "!"}]->"3628800"}, {11,
  RowBox[{"11", "!"}]->"39916800"}, {12,
  RowBox[{"12", "!"}]->"479001600"}, {13,
  RowBox[{"13", "!"}]->"6227020800"}, {14,
  RowBox[{"14", "!"}]->"87178291200"}, {15,
  RowBox[{"15", "!"}]->"1307674368000"}}, 12]], "Output",ExpressionUUID->\
"332ace5e-02c4-492f-b3b9-d977ed0d8eda"]
}, Closed]],

Cell[TextData[{
 "The ",
 StyleBox["Split", "MR"],
 " command will split a list into runs of identical elements, as illustrated \
by the first input below. The replacement in the right side of the definition \
for ",
 StyleBox["scaleRuns", "MR"],
 " takes and list of ones (the pattern ",
 StyleBox["a:{1..}", "MR"],
 ") and replaces it with its product with the scalar ",
 StyleBox["Length[a]", "MR"],
 "\[ThinSpace].\[ThinSpace] ",
 StyleBox["RuleDelayed", "MR"],
 " (",
 StyleBox[":>", "MR"],
 " or ",
 StyleBox["\[RuleDelayed]", "MR"],
 ") is used to make this replacement, so that the expression ",
 StyleBox["Length[a]", "MR"],
 "\[ThinSpace]",
 StyleBox["*", "MR"],
 "\[ThinSpace]",
 StyleBox["a", "MR"],
 " is not evaluated until after the replacement has been made (otherwise the \
undefined symbol ",
 StyleBox["a", "MR"],
 " has length zero, as illustrated in the third output below)."
}], "Exercise",ExpressionUUID->"26a227d2-b4b3-4a64-95cc-7a3157cb5b77"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Split", "[", 
  RowBox[{"{", 
   RowBox[{
   "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", 
    ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",",
     "1"}], "}"}], "]"}]], "Input",ExpressionUUID->"47701354-03cf-432d-85f9-\
52f64e1ca071"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "}"}]], "Output",ExpressionUUI\
D->"f90c9eb6-b841-473a-b3b4-0948999f69a5"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], "/.", 
  RowBox[{
   RowBox[{"a", ":", 
    RowBox[{"{", 
     RowBox[{"1", ".."}], "}"}]}], "\[RuleDelayed]", 
   RowBox[{
    RowBox[{"Length", "[", "a", "]"}], "*", "a"}]}]}]], "Input",ExpressionUUID\
->"d886a4f3-fa5b-457c-94db-2b02b44f60e0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"4", ",", "4", ",", "4", ",", "4"}], "}"}]], "Output",ExpressionUUID\
->"2ed32d0d-da47-4328-b0b7-8eb55369d53f"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], "/.", 
  RowBox[{
   RowBox[{"a", ":", 
    RowBox[{"{", 
     RowBox[{"1", ".."}], "}"}]}], "\[Rule]", 
   RowBox[{
    RowBox[{"Length", "[", "a", "]"}], "*", "a"}]}]}]], "Input",ExpressionUUID\
->"06dcb16b-746f-49ad-aa2d-1d40adffce87"],

Cell[BoxData["0"], "Output",ExpressionUUID->"95132edb-5256-47b9-84d5-51dc2e3070cd"]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"scaleRuns", "[", "\[ScriptCapitalL]_", "]"}], ":=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Split", "[", "\[ScriptCapitalL]", "]"}], "/.", 
    RowBox[{
     RowBox[{"a", ":", 
      RowBox[{"{", 
       RowBox[{"1", ".."}], "}"}]}], "\[RuleDelayed]", 
     RowBox[{
      RowBox[{"Length", "[", "a", "]"}], "*", "a"}]}]}], "]"}]}]], "Input",Exp\
ressionUUID->"1a6edbac-f953-4a02-b299-852223de6b6e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"scaleRuns", "[", 
  RowBox[{"{", 
   RowBox[{
   "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", 
    ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",",
     "1"}], "}"}], "]"}]], "Input",ExpressionUUID->"6b9e7f43-6179-4f79-8652-\
85349044c247"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "4", ",", "4", ",", "4", ",", "4", ",", "0", ",", "2", ",", "2", ",", "0", 
   ",", "3", ",", "3", ",", "3", ",", "0", ",", "0", ",", "3", ",", "3", ",", 
   "3"}], "}"}]], "Output",ExpressionUUID->"58d08a1c-4986-4ae3-8e68-\
82db3b852fe3"]
}, Closed]],

Cell[TextData[{
 "This is straightforward. Note that ",
 StyleBox["ArrayPlot", "MR"],
 " requires a list of lists, so the argument in the first definition below \
includes a set of curly brackets around ",
 StyleBox["scaleRuns", "MR"],
 ". The final output has in interesting interpretation: imagine a basketball \
player who is a ",
 Cell[BoxData[
  FormBox["50", TraditionalForm]],ExpressionUUID->
  "9ceebb0e-5fa3-432b-bddb-a6ca76c4fb01"],
 "% free-throw shooter. If she were to take ",
 Cell[BoxData[
  FormBox["1000", TraditionalForm]],ExpressionUUID->
  "740823d0-2f83-469e-9e04-ebaa3e8394fb"],
 " free-throws over the course of a season, one would expect a run of ten or \
more consecutive baskets somewhere along the line (dark bands in the output \
can be thought of as runs of consecutive baskets). This happens even in a \
model that never gets a \[OpenCurlyDoubleQuote]hot hand.\
\[CloseCurlyDoubleQuote] In other words, if an actual human player is \
declared uncharacteristically hot or cold on a given night, it could be that \
she is being treated unfairly. Runs are to be expected, even in a completely \
random setting such as this where hot and cold have no meaning. The \
likelihood of hot streaks increases even further for a player who is better \
than a ",
 Cell[BoxData[
  FormBox["50", TraditionalForm]],ExpressionUUID->
  "38205e6d-0a80-4800-b2f7-2da0ce280a9c"],
 "% shooter."
}], "Exercise",ExpressionUUID->"dbfa921e-9c4e-4c4e-b5d9-6a93d9290065"],

Cell[BoxData[
 RowBox[{
  RowBox[{"showRuns", "[", "\[ScriptCapitalL]_", "]"}], ":=", 
  RowBox[{"ArrayPlot", "[", 
   RowBox[{"{", 
    RowBox[{"scaleRuns", "[", "\[ScriptCapitalL]", "]"}], "}"}], 
   "]"}]}]], "Input",ExpressionUUID->"bf23df77-7e54-4962-a46e-531f0fad014c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"showRuns", "[", 
  RowBox[{"{", 
   RowBox[{
   "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", 
    ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",",
     "1"}], "}"}], "]"}]], "Input",ExpressionUUID->"ab099abf-2595-4dbb-850d-\
bc31dfdac6a1"],

Cell[BoxData[
 GraphicsBox[
  RasterBox[{{0, 0, 0, 0, 4, 2, 2, 4, 1, 1, 1, 4, 4, 1, 1, 1}}, {{0, 0}, {16, 
   1}}, {0, 4}],
  Frame->Automatic,
  FrameLabel->{None, None},
  FrameTicks->{{None, None}, {None, None}}]], "Output",ExpressionUUID->\
"23eadc62-b298-4c1b-884e-84d413339e79"]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"showRuns", "[", 
   RowBox[{"\[ScriptCapitalL]_", "?", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "#", "]"}], ">", "50"}], "&"}], ")"}]}], "]"}], 
  ":=", 
  RowBox[{"ArrayPlot", "[", 
   RowBox[{"scaleRuns", "/@", 
    RowBox[{"Partition", "[", 
     RowBox[{"\[ScriptCapitalL]", ",", "50"}], "]"}]}], "]"}]}]], "Input",Expr\
essionUUID->"ca1843ac-6c42-4a03-af0f-1641f71e870d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"showRuns", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"RandomInteger", "[", "]"}], ",", 
    RowBox[{"{", "1000", "}"}]}], "]"}], "]"}]], "Input",ExpressionUUID->\
"70b9fb46-b147-4020-ad48-f5ffb87e74be"],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJxdU+sZwkAIq48WBnABV3AUR3AB9/8nRxKgUu/5cSQBfH6+789127ZHjFeM
fd/dPWdzv4fFcW2Pw0/na1pe5+3aWM/pjq1uNxpjpSHgGQb+sfQmHQwuF1g5
Y4614+OKDItOUf0HhmYEE1lYrnx+Wwak9SA2yY7uxlhjCwlTlwEDeJInLyvJ
lh80G0hgMA2FVITjB3oRGoSIQf46MfHCJTACiPTy5RNmsPDFWP1gnUl1jCkE
VejzqltJtsIazdKcR4eNkrAjUIEGyXOlrkHFtuo+VZDEjAPqxJsNhPQeRwPT
Cyh0hVeXz/2ch1Fr9dUoduG1JjXL6As2X0ssHsWJvuMPUZok/QeS0htI
   "], {{0, 0}, {50, 
   20}}, {0, 8}],
  Frame->Automatic,
  FrameLabel->{None, None},
  FrameTicks->{{None, None}, {None, None}}]], "Output",ExpressionUUID->\
"ded87363-7ff6-4796-97bd-1f76e7462570"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"scaleRuns", ",", "showRuns"}], "]"}]], "Input",ExpressionUUID->\
"694a8498-dc1e-4add-8ac5-241183c0ab70"],

Cell[TextData[{
 "Here is the definition and an example. The ",
 StyleBox[":3", "MR"],
 " on the second argument gives that argument the default value of ",
 Cell[BoxData[
  FormBox["3", TraditionalForm]],ExpressionUUID->
  "231c3a92-9a2e-41e7-a26a-899183b82c80"],
 " if the user omits it (this is the ",
 StyleBox["ItemSize", "MR"],
 " option to ",
 StyleBox["Grid", "MR"],
 "). The ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "dffc4472-8f21-4d69-902c-c641ffb59c8c"],
 "th differences for a list of evenly spaced inputs to an ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "711179c3-bae2-48e8-8497-d337b9556497"],
 "th degree polynomial will be constant. Here, for instance, we see the third \
differences for this particular cubic (evaluated on the first twelve positive \
integers) will all be ",
 Cell[BoxData[
  FormBox["6", TraditionalForm]],ExpressionUUID->
  "75db05fa-f408-4012-a4d3-c16c6f351ce9"],
 ". All subsequent differences must therefore be zero."
}], "Exercise",ExpressionUUID->"ef986a5f-8138-4df3-9081-41974bf55c95"],

Cell[BoxData[
 RowBox[{
  RowBox[{"differenceTable", "[", 
   RowBox[{"ls_List", ",", 
    RowBox[{"itemSize_:", "3"}]}], "]"}], ":=", 
  RowBox[{"Column", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Differences", "[", 
          RowBox[{"ls", ",", "k"}], "]"}], "}"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", "itemSize"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "0", ",", 
        RowBox[{
         RowBox[{"Length", "[", "ls", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
    ",", 
    RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}]], "Input",Expression\
UUID->"3714f584-0e6c-416a-8000-4c15489a47c2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"differenceTable", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["#", "3"], "+", 
      RowBox[{"3", 
       SuperscriptBox["#", "2"]}], "-", 
      RowBox[{"2", "#"}], "+", "3"}], "&"}], ")"}], "/@", 
   RowBox[{"Range", "[", "12", "]"}]}], "]"}]], "Input",ExpressionUUID->\
"10fa84ed-263c-4aa4-8b2f-2238751d71fa"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[GridBox[{
        {"5", "19", "51", "107", "193", "315", "479", "691", "957", "1283", 
         "1675", "2139"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"14", "32", "56", "86", "122", "164", "212", "266", "326", "392", 
         "464"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"18", "24", "30", "36", "42", "48", "54", "60", "66", "72"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"6", "6", "6", "6", "6", "6", "6", "6", "6"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"0", "0", "0", "0", "0", "0", "0", "0"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"0", "0", "0", "0", "0", "0", "0"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"0", "0", "0", "0", "0", "0"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"0", "0", "0", "0", "0"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"0", "0", "0", "0"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"0", "0", "0"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"0", "0"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]},
    {
     TagBox[GridBox[{
        {"0"}
       },
       ColumnsEqual->False,
       GridBoxItemSize->{"Columns" -> {{3}}},
       RowsEqual->False],
      "Grid"]}
   },
   ColumnsEqual->False,
   GridBoxAlignment->{"Columns" -> {{Center}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   RowsEqual->False],
  "Column"]], "Output",ExpressionUUID->"e1ea3a4b-dc5b-440f-b24f-c30b6e035ac0"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Clear", "[", "differenceTable", "]"}]], "Input",ExpressionUUID->"a6e6884d-bf6a-4cf8-b1f0-dd63560e8eb9"]
}, Closed]]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{835, 763},
WindowMargins->{{0, Automatic}, {28, Automatic}},
Magnification->1.,
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (February 6, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    StyleData["Exercise"], CellMargins -> {{2, 4}, {2, 10}}, 
    CellFrameLabels -> {{
       Cell[
        TextData[{
          StyleBox[
           CounterBox["Exercise"], "TB"], 
          StyleBox[".", "TB"]}], CellBaseline -> Baseline], None}, {
      None, None}}, LineSpacing -> {1, 2}, CounterIncrements -> "Exercise", 
    CounterAssignments -> {{"ExercisePart", 0}}, MenuSortingValue -> 2110, 
    MenuCommandKey -> "7"], 
   Cell[
    StyleData["ExercisePart"], CellMargins -> {{12, 4}, {4, 4}}, 
    CellFrameLabels -> {{
       Cell[
        TextData[{
          StyleBox[
           CounterBox["ExercisePart"], "TB"], 
          StyleBox[".", "TB"]}], CellBaseline -> Baseline], None}, {
      None, None}}, CounterIncrements -> "ExercisePart", MenuSortingValue -> 
    1350, MenuCommandKey -> "8", 
    CounterBoxOptions -> {CounterFunction :> (Part[
        CharacterRange["a", "z"], #]& )}], 
   Cell[
    StyleData["ExerciseText"], CellMargins -> {{14, 10}, {7, 7}}, 
    LineSpacing -> {1, 2}, ParagraphIndent -> 0, CounterIncrements -> "Text", 
    MenuSortingValue -> 1400, MenuCommandKey -> "7", StyleMenuListing -> 
    "Text", FontSize -> 12], 
   Cell[
    StyleData["ExerciseNoText"], CellMargins -> {{2, 4}, {2, 10}}, 
    CellFrameLabels -> {{
       Cell[
        TextData[{
          StyleBox[
           CounterBox["Exercise"], "TB"], 
          StyleBox[".", "TB"], 
          StyleBox[
           CounterBox["ExercisePart", CounterFunction :> (Part[
              CharacterRange["a", "z"], #]& )], "TB"]}], CellBaseline -> 
        Baseline], None}, {None, None}}, LineSpacing -> {1, 2}, 
    CounterIncrements -> {"ExercisePart", "Exercise"}, 
    CounterAssignments -> {{"ExercisePart", 0}}, MenuSortingValue -> 2110, 
    MenuCommandKey -> "7"], 
   Cell[
    StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, 
    CellMargins -> {{2, 4}, {20, 30}}], 
   Cell[
    StyleData["Subsection"], CellFrame -> {{0, 0}, {0, 1}}, CellDingbat -> 
    None, CellMargins -> {{2, 4}, {2, 10}}, 
    CounterAssignments -> {{"Exercise", 0}}]}, FrontEndVersion -> 
  "12.0 for Mac OS X x86 (64-bit) (February 6, 2019)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "i:19"->{
  Cell[286247, 7752, 676, 19, 41, "ExercisePart",ExpressionUUID->"78aac380-24d2-4685-9350-b4fa11db697b",
   CellTags->"i:19"]},
 "i:20"->{
  Cell[288942, 7832, 311, 8, 26, "Input",ExpressionUUID->"4eaa1016-370a-4891-8219-c4af502407c5",
   CellTags->"i:20"],
  Cell[289256, 7842, 11732, 254, 516, "Output",ExpressionUUID->"33d784ea-cd7e-4703-af6c-8da1e122faa8",
   CellTags->"i:20"]},
 "i:21"->{
  Cell[302170, 8125, 903, 28, 73, "Input",ExpressionUUID->"2cf0966e-5b95-492c-93ef-0fb6f2e02896",
   CellTags->"i:21"],
  Cell[303076, 8155, 18463, 297, 236, "Output",ExpressionUUID->"a65773a4-d56b-4d0c-a464-d2f7f7a90d14",
   CellTags->"i:21"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"i:19", 354425, 9397},
 {"i:20", 354564, 9400},
 {"i:21", 354820, 9405}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 103, 3, 124, "Section",ExpressionUUID->"9371a605-eee5-4b39-966e-57afdfc0b6b9"],
Cell[CellGroupData[{
Cell[695, 29, 88, 0, 47, "Subsection",ExpressionUUID->"83d6bbd9-2583-4711-a497-1c29f0048312"],
Cell[786, 31, 187, 4, 28, "Exercise",ExpressionUUID->"8be25753-1473-4b07-a211-895b55b20513"],
Cell[976, 37, 109, 0, 24, "ExercisePart",ExpressionUUID->"e92a02e8-d315-4bfa-8dbd-1b67c0f1052a"],
Cell[1088, 39, 110, 0, 24, "ExercisePart",ExpressionUUID->"8f584d73-2749-4804-a935-0865c8c23519"],
Cell[1201, 41, 109, 0, 24, "ExercisePart",ExpressionUUID->"d5c38adb-0b14-4369-86e7-ab229a2494da"],
Cell[1313, 43, 113, 0, 24, "ExercisePart",ExpressionUUID->"f4cb2d6d-3cf8-46bf-b29d-cd3b1da1b79f"],
Cell[1429, 45, 191, 4, 28, "Exercise",ExpressionUUID->"31a71cb4-b6bd-419a-816f-d7d1502e95a0"],
Cell[1623, 51, 126, 0, 24, "ExercisePart",ExpressionUUID->"cc262242-0002-4dd2-84c4-edb9f6c351b5"],
Cell[1752, 53, 130, 0, 24, "ExercisePart",ExpressionUUID->"4f6c0f91-d2ae-4a63-8111-671ac0f719e3"],
Cell[1885, 55, 437, 13, 24, "ExercisePart",ExpressionUUID->"747dfe73-62f8-47d0-a12d-c0b219d16465"],
Cell[2325, 70, 332, 8, 24, "ExercisePart",ExpressionUUID->"a3d49784-84e1-4830-8468-887e5b417a38"],
Cell[2660, 80, 280, 8, 28, "Exercise",ExpressionUUID->"7f9b4610-82ad-4985-974d-ac7f5b44e901"],
Cell[CellGroupData[{
Cell[2965, 92, 264, 7, 52, "Input",ExpressionUUID->"0a1c6059-4283-4b1a-820d-e2d0a741a82d"],
Cell[3232, 101, 303, 9, 38, "Output",ExpressionUUID->"44889add-1583-4a9e-9370-3417ae21ee6f"]
}, Closed]],
Cell[CellGroupData[{
Cell[3572, 115, 194, 5, 26, "Input",ExpressionUUID->"23a99c1c-c28b-4476-bdee-f4f8bbff9c4c"],
Cell[3769, 122, 272, 8, 34, "Output",ExpressionUUID->"5f43a1d9-503f-49ce-a2b8-90632e75a432"]
}, Closed]],
Cell[4056, 133, 247, 5, 22, "Exercise",ExpressionUUID->"6d198251-5fd5-4cac-a30c-12add6d357aa"],
Cell[CellGroupData[{
Cell[4328, 142, 252, 7, 30, "Input",ExpressionUUID->"ecaa0a67-cbd4-45ff-9673-6bfb4530fa5a"],
Cell[4583, 151, 455, 14, 34, "Output",ExpressionUUID->"d707222d-7d82-4bba-b18c-dc551de458d0"]
}, Open  ]],
Cell[5053, 168, 379, 9, 46, "Exercise",ExpressionUUID->"ea4f8ac8-d3d2-4e1f-a23c-4c4fe3ac4c6b"],
Cell[CellGroupData[{
Cell[5457, 181, 219, 6, 30, "Input",ExpressionUUID->"41a75ab2-2576-481f-916a-b652142e2eaf"],
Cell[5679, 189, 397, 12, 34, "Output",ExpressionUUID->"414d014d-b768-442c-b6e8-effabff35101"]
}, Closed]],
Cell[6091, 204, 183, 4, 22, "Exercise",ExpressionUUID->"56513b11-9699-4a06-9dbe-42ff3ab89939"],
Cell[CellGroupData[{
Cell[6299, 212, 274, 7, 30, "Input",ExpressionUUID->"3898f546-aa87-4aa9-b341-2d1089573369"],
Cell[6576, 221, 8013, 221, 422, "Output",ExpressionUUID->"93421201-05af-4122-94e6-c85e400f6c38"]
}, Closed]],
Cell[14604, 445, 336, 14, 22, "ExerciseNoText",ExpressionUUID->"f87f0981-4559-4632-b05f-2b052a5b690e"],
Cell[CellGroupData[{
Cell[14965, 463, 337, 10, 52, "Input",ExpressionUUID->"c9559559-4990-4567-bec8-37b532e6d622"],
Cell[15305, 475, 6782, 185, 339, "Output",ExpressionUUID->"b92d5c3a-e46f-44e0-8ca9-d131a5588229"]
}, Closed]],
Cell[22102, 663, 204, 5, 24, "ExercisePart",ExpressionUUID->"a9ff8a64-e0c7-42e8-8f5c-1dcde273146c"],
Cell[CellGroupData[{
Cell[22331, 672, 314, 9, 33, "Input",ExpressionUUID->"43f9e1f5-7a77-4ad0-9828-2c88a64d31a2"],
Cell[22648, 683, 207, 6, 34, "Output",ExpressionUUID->"73ef6c41-57e1-47db-b647-e46993b05bc7"]
}, Closed]],
Cell[CellGroupData[{
Cell[22892, 694, 314, 9, 29, "Input",ExpressionUUID->"32503f40-e92d-42e3-8497-6cc348312339"],
Cell[23209, 705, 262, 8, 34, "Output",ExpressionUUID->"d1c2d390-f517-4b1c-83ad-bd66b95421d9"]
}, Closed]],
Cell[CellGroupData[{
Cell[23508, 718, 314, 9, 29, "Input",ExpressionUUID->"7ccdfbd4-18d4-460d-8777-8c96f4bdc2f6"],
Cell[23825, 729, 324, 10, 34, "Output",ExpressionUUID->"2c3d6f91-3af3-4315-b70b-894a36a86874"]
}, Closed]],
Cell[24164, 742, 121, 0, 20, "ExercisePart",ExpressionUUID->"43e08e38-823e-47ec-918c-8e6243ff6551"],
Cell[CellGroupData[{
Cell[24310, 746, 297, 8, 33, "Input",ExpressionUUID->"e845b0f3-b298-4590-8bc7-f599afea5c5b"],
Cell[24610, 756, 83, 0, 34, "Output",ExpressionUUID->"fe1997c8-7f5c-4520-a07c-1e8a0d1205ac"]
}, Closed]],
Cell[CellGroupData[{
Cell[24730, 761, 337, 10, 29, "Input",ExpressionUUID->"e42178b8-81c4-4330-b8be-12f3571fa388"],
Cell[25070, 773, 262, 8, 34, "Output",ExpressionUUID->"b36108a4-0c89-40dd-a603-57a9aaab3673"]
}, Closed]],
Cell[25347, 784, 451, 13, 27, "ExercisePart",ExpressionUUID->"3b12ff5e-7737-4691-b195-092389483890"],
Cell[CellGroupData[{
Cell[25823, 801, 307, 8, 33, "Input",ExpressionUUID->"699d62bb-a98a-4354-8c8d-33df713e59f1"],
Cell[26133, 811, 87, 0, 26, "Output",ExpressionUUID->"c8ad169d-2e71-47a5-8cac-c214ea336760"]
}, Closed]],
Cell[CellGroupData[{
Cell[26257, 816, 307, 8, 29, "Input",ExpressionUUID->"c4bbf7fe-6bb2-4ea7-8c5a-c9b92feb897d"],
Cell[26567, 826, 83, 0, 26, "Output",ExpressionUUID->"ab8b54f2-add8-4593-bfb0-245896e703ce"]
}, Closed]],
Cell[CellGroupData[{
Cell[26687, 831, 307, 8, 29, "Input",ExpressionUUID->"7e19a2ec-bace-433e-b167-8e2f0bf37f67"],
Cell[26997, 841, 83, 0, 26, "Output",ExpressionUUID->"c29e6f1e-a813-406a-bd18-f4dbd8e29db6"]
}, Closed]],
Cell[27095, 844, 244, 4, 32, "Exercise",ExpressionUUID->"fdee52ce-7cc7-4382-8cc9-5b06abb257c5"],
Cell[CellGroupData[{
Cell[27364, 852, 266, 6, 105, "Input",ExpressionUUID->"44a5efc0-1fe2-41aa-afd1-115c48d3864a"],
Cell[27633, 860, 14928, 391, 207, "Output",ExpressionUUID->"46a9645f-e0b1-427c-9fb9-713ecf8d45a2"]
}, Closed]],
Cell[42576, 1254, 232, 4, 22, "ExerciseNoText",ExpressionUUID->"55daccda-19df-40c6-b1a8-86bb0d77b8de"],
Cell[CellGroupData[{
Cell[42833, 1262, 106, 0, 30, "Input",ExpressionUUID->"6cee2cb0-bfa0-42e6-8d44-c8244a1adc92"],
Cell[42942, 1264, 107, 0, 26, "Output",ExpressionUUID->"d3f37c1f-25df-4a7c-b3eb-c349bc6acd5f"]
}, Closed]],
Cell[CellGroupData[{
Cell[43086, 1269, 138, 2, 26, "Input",ExpressionUUID->"ba1053bd-9ec2-4537-a8d3-15d286dd56b5"],
Cell[43227, 1273, 228, 6, 38, "Output",ExpressionUUID->"c366362f-2568-446c-8b5e-dceee4c4d2df"]
}, Closed]],
Cell[43470, 1282, 191, 3, 20, "ExercisePart",ExpressionUUID->"e6d592d9-6b4f-4a5a-a6cc-ca951f81235a"],
Cell[CellGroupData[{
Cell[43686, 1289, 185, 4, 30, "Input",ExpressionUUID->"d7a499fc-352b-4ba6-9965-d4621ecfd49d"],
Cell[43874, 1295, 241, 6, 38, "Output",ExpressionUUID->"99621718-6aef-46ad-b4c4-f9b4ead04570"]
}, Closed]],
Cell[44130, 1304, 235, 6, 24, "ExercisePart",ExpressionUUID->"bb0614df-4750-4985-aaa6-7297273b1923"],
Cell[CellGroupData[{
Cell[44390, 1314, 191, 4, 30, "Input",ExpressionUUID->"da99df5b-7877-4816-b2f7-b8317b334a7b"],
Cell[44584, 1320, 289, 8, 26, "Output",ExpressionUUID->"7c773796-8e60-4dab-9150-8077ef098502"]
}, Closed]],
Cell[44888, 1331, 174, 3, 20, "ExercisePart",ExpressionUUID->"d9f24ce9-60b0-4900-98a6-b5a8cb0297e4"],
Cell[45065, 1336, 232, 6, 30, "Input",ExpressionUUID->"ba0d73e1-bc9c-4cd3-a234-60f7c63b80b2"],
Cell[CellGroupData[{
Cell[45322, 1346, 247, 7, 30, "Input",ExpressionUUID->"fb515f35-fd6d-4f85-ab02-c53a2814db5b"],
Cell[45572, 1355, 370, 9, 51, "Output",ExpressionUUID->"0e416bd2-d778-44fd-9e62-1224e3b5f169"]
}, Closed]],
Cell[45957, 1367, 115, 1, 26, "Input",ExpressionUUID->"0d84fa09-8e8a-4fd0-bf9b-36fedf0b269d"],
Cell[46075, 1370, 134, 0, 24, "ExerciseNoText",ExpressionUUID->"3590dc5c-9a89-467c-b222-fc31566fac0c"],
Cell[46212, 1372, 292, 8, 24, "ExercisePart",ExpressionUUID->"80ab9da8-4d0e-4df7-b03a-0013b1853773"],
Cell[CellGroupData[{
Cell[46529, 1384, 175, 3, 30, "Input",ExpressionUUID->"70664767-83d6-4622-b0f7-370249b5dd61"],
Cell[46707, 1389, 109, 1, 34, "Output",ExpressionUUID->"4ee4b58c-1640-4969-ac90-5e9ce74b399d"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[46865, 1396, 88, 0, 41, "Subsection",ExpressionUUID->"85a41268-68e9-4d8d-9f6c-78bd5ce88e56"],
Cell[46956, 1398, 150, 2, 24, "Exercise",ExpressionUUID->"131e3657-b522-441a-916e-78f595343dc5"],
Cell[CellGroupData[{
Cell[47131, 1404, 797, 22, 56, "Input",ExpressionUUID->"96643d3a-ebc6-4713-9270-6e983b568739"],
Cell[47931, 1428, 7205, 234, 721, "Output",ExpressionUUID->"8719f950-6efa-44d2-8e43-4112f2a62506"]
}, Closed]],
Cell[55151, 1665, 147, 2, 18, "Exercise",ExpressionUUID->"78a9a550-84df-4030-9e48-5f347dd382fa"],
Cell[CellGroupData[{
Cell[55323, 1671, 497, 13, 33, "Input",ExpressionUUID->"772d2640-dd59-446d-bece-2af6ed70476e"],
Cell[55823, 1686, 631, 16, 165, "Output",ExpressionUUID->"9f8c4a86-0043-4b1e-b6d9-c35e77d335fd"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[56503, 1708, 88, 0, 41, "Subsection",ExpressionUUID->"6d7d00f8-ba0a-4ab1-8b1a-dad89f80b8be"],
Cell[56594, 1710, 168, 5, 28, "Exercise",ExpressionUUID->"c7abb0ad-a733-4b62-8480-3c37428d809d"],
Cell[CellGroupData[{
Cell[56787, 1719, 120, 1, 30, "Input",ExpressionUUID->"9709a71c-b326-454c-86ce-f54292cda750"],
Cell[56910, 1722, 332, 7, 42, "Output",ExpressionUUID->"bbbf58dd-f16c-44e4-91e6-9b4a58402394"]
}, Closed]],
Cell[CellGroupData[{
Cell[57279, 1734, 169, 4, 26, "Input",ExpressionUUID->"eeae80b2-2433-4149-a830-3b08f1bba62a"],
Cell[57451, 1740, 284, 8, 37, "Output",ExpressionUUID->"c9e2f1cc-a98d-4272-b7ac-77661626a5d6"]
}, Closed]],
Cell[CellGroupData[{
Cell[57772, 1753, 150, 3, 26, "Input",ExpressionUUID->"8df5ae8f-f818-436c-9924-ca8cc864df57"],
Cell[57925, 1758, 189, 4, 34, "Output",ExpressionUUID->"7ee30b04-aaaa-4ceb-b0b3-1697b6420419"]
}, Closed]],
Cell[58129, 1765, 328, 7, 36, "Exercise",ExpressionUUID->"005d5011-456e-4cc6-b11d-ede2003e53be"],
Cell[CellGroupData[{
Cell[58482, 1776, 282, 7, 30, "Input",ExpressionUUID->"ae656c0c-f23e-4b36-8a91-3125aa5f6621"],
Cell[58767, 1785, 257, 6, 26, "Output",ExpressionUUID->"4a01b0ce-0afb-405a-96c7-ec22d92fe663"]
}, Closed]],
Cell[CellGroupData[{
Cell[59061, 1796, 110, 1, 26, "Input",ExpressionUUID->"29889940-fa86-44f7-83f4-0096cf078ccb"],
Cell[59174, 1799, 91, 0, 26, "Output",ExpressionUUID->"3d50c429-743c-4b6d-b341-0bd31c02c884"]
}, Closed]],
Cell[59280, 1802, 163, 4, 22, "Exercise",ExpressionUUID->"f226888c-ff0e-43e7-85e7-9de20a8f4551"],
Cell[CellGroupData[{
Cell[59468, 1810, 157, 4, 30, "Input",ExpressionUUID->"c52f987a-42bf-41c0-85d6-33f44e29b5e9"],
Cell[59628, 1816, 335, 10, 37, "Output",ExpressionUUID->"7fda68ed-8ee7-43b1-8dec-55df0bc407f1"]
}, Closed]],
Cell[59978, 1829, 163, 4, 22, "Exercise",ExpressionUUID->"237d0ad9-329c-4b61-971b-d125f26013fb"],
Cell[CellGroupData[{
Cell[60166, 1837, 247, 8, 30, "Input",ExpressionUUID->"5c4b545a-bba4-4e4b-9fad-5656cf19edf6"],
Cell[60416, 1847, 480, 15, 37, "Output",ExpressionUUID->"f0a69f0d-c538-4e94-aa8a-2216f10e1273"]
}, Closed]],
Cell[60911, 1865, 115, 0, 18, "ExerciseNoText",ExpressionUUID->"81da111b-0f91-4b64-b197-b254e0ef00de"],
Cell[CellGroupData[{
Cell[61051, 1869, 540, 16, 75, "Input",ExpressionUUID->"daf445a8-f0dd-452e-a727-ffcfd442eed4"],
Cell[61594, 1887, 6109, 106, 237, "Output",ExpressionUUID->"43e81058-c473-4d0d-ba31-037529dd6b5e"]
}, Closed]],
Cell[67718, 1996, 281, 6, 20, "ExercisePart",ExpressionUUID->"33353f7e-b7b8-4c13-818c-2603a2826446"],
Cell[CellGroupData[{
Cell[68024, 2006, 127, 2, 30, "Input",ExpressionUUID->"c23ae617-19bf-4189-914a-b438e4bcbf34"],
Cell[68154, 2010, 128, 2, 26, "Output",ExpressionUUID->"e3ddf624-5a8c-44c8-95e1-c3736dfd71f2"]
}, Closed]],
Cell[CellGroupData[{
Cell[68319, 2017, 192, 5, 41, "Input",ExpressionUUID->"2e705c55-4a5e-4e96-a47b-60aef9fd4f99"],
Cell[68514, 2024, 252, 8, 45, "Output",ExpressionUUID->"4e106d0e-a96c-4370-90df-b8aff1df7151"]
}, Closed]],
Cell[68781, 2035, 179, 4, 22, "Exercise",ExpressionUUID->"70a85008-d6dc-4a43-bc05-8fd3cb59a126"],
Cell[CellGroupData[{
Cell[68985, 2043, 400, 12, 54, "Input",ExpressionUUID->"90fd5550-e19e-4725-ab3f-54c8f8842545"],
Cell[69388, 2057, 302, 9, 32, "Output",ExpressionUUID->"b5f5551c-0d3a-447f-bb18-920c4f8cba9e"]
}, Closed]],
Cell[69705, 2069, 307, 7, 22, "Exercise",ExpressionUUID->"98f56c00-421f-400f-aca7-a4a1aa4bbc7f"],
Cell[CellGroupData[{
Cell[70037, 2080, 493, 15, 54, "Input",ExpressionUUID->"5b30f85f-d88e-47c8-9d74-4b4c4aff6084"],
Cell[70533, 2097, 392, 12, 33, "Output",ExpressionUUID->"397552de-87da-4fdb-b7d8-da5f53d260d0"]
}, Closed]],
Cell[70940, 2112, 878, 31, 58, "ExerciseNoText",ExpressionUUID->"e50293c5-f654-4e7d-8cac-232eecf70fa5"],
Cell[CellGroupData[{
Cell[71843, 2147, 869, 26, 73, "Input",ExpressionUUID->"a16e105b-8e49-4007-830e-e3de4f17800e"],
Cell[72715, 2175, 9941, 278, 304, "Output",ExpressionUUID->"9904f692-4ae4-4da1-9836-4df32662722c"]
}, Closed]],
Cell[82671, 2456, 898, 29, 54, "ExercisePart",ExpressionUUID->"a8381534-8e63-4cc5-84dc-f6efe06d7356"],
Cell[CellGroupData[{
Cell[83594, 2489, 229, 6, 30, "Input",ExpressionUUID->"9fec8adb-9d3f-42d6-adae-13aac42faeae"],
Cell[83826, 2497, 8409, 256, 156, "Output",ExpressionUUID->"3491d925-72c3-409c-a5d6-0f98e4df8dfa"]
}, Closed]],
Cell[CellGroupData[{
Cell[92272, 2758, 611, 16, 69, "Input",ExpressionUUID->"56602c55-9e3b-469c-aa34-6b5849e59b26"],
Cell[92886, 2776, 11281, 382, 144, "Output",ExpressionUUID->"50f338de-af73-4907-b2ab-0b1e95f0f3fd"]
}, Closed]],
Cell[104182, 3161, 113, 1, 26, "Input",ExpressionUUID->"c84d85eb-a9ad-4291-829f-7e9733b08bfb"],
Cell[104298, 3164, 125, 0, 24, "Exercise",ExpressionUUID->"2c7ec9ea-c16d-4a6f-8e7a-7e7f71cbf691"],
Cell[104426, 3166, 121, 0, 24, "Exercise",ExpressionUUID->"d65cc2e7-eeee-4475-85bb-51eab4360596"],
Cell[CellGroupData[{
Cell[104572, 3170, 328, 7, 30, "Input",ExpressionUUID->"b256c7f2-42f7-43f6-b8db-cfe2c4039909"],
Cell[104903, 3179, 120, 0, 26, "Output",ExpressionUUID->"a4164aa9-4926-4655-86e0-6e00ebbaac75"]
}, Closed]],
Cell[CellGroupData[{
Cell[105060, 3184, 275, 7, 26, "Input",ExpressionUUID->"de6886ff-6024-41c3-8bbc-4741d5bf68e3"],
Cell[105338, 3193, 222, 5, 26, "Output",ExpressionUUID->"0dd6d8a8-59c3-4324-8a7a-759635d6852e"]
}, Closed]],
Cell[CellGroupData[{
Cell[105597, 3203, 163, 3, 26, "Input",ExpressionUUID->"ddf1a239-7ea3-4773-9321-ac89d11bb2cc"],
Cell[105763, 3208, 602, 9, 42, "Output",ExpressionUUID->"884db545-09d3-41f4-8207-7d78b2fe710a"]
}, Closed]],
Cell[CellGroupData[{
Cell[106402, 3222, 118, 1, 26, "Input",ExpressionUUID->"731f429d-3592-4e2d-84b1-b59cbfb2b703"],
Cell[106523, 3225, 602, 9, 42, "Output",ExpressionUUID->"c8ea020a-823e-4b03-87d9-ea4c26978c30"]
}, Closed]],
Cell[107140, 3237, 108, 0, 20, "ExercisePart",ExpressionUUID->"96b77648-7925-4e4f-b073-4c19d09ef9c8"],
Cell[107251, 3239, 499, 12, 73, "Input",ExpressionUUID->"6e8ea2d8-6bbc-4d59-8317-f7b6bc3f6a45"],
Cell[107753, 3253, 201, 6, 24, "ExercisePart",ExpressionUUID->"6804abeb-5817-4764-b531-c5a6dc3b1068"],
Cell[107957, 3261, 500, 12, 73, "Input",ExpressionUUID->"2aecda42-5e56-4a4b-a70a-f2ea0a14e96e"],
Cell[CellGroupData[{
Cell[108482, 3277, 154, 2, 30, "Input",ExpressionUUID->"2c3f380c-f795-4b4f-ad5b-1b3fb5950b2f"],
Cell[108639, 3281, 120, 0, 34, "Output",ExpressionUUID->"e8971d96-d535-490c-a922-7c4ef0cff40b"]
}, Closed]],
Cell[CellGroupData[{
Cell[108796, 3286, 114, 1, 26, "Input",ExpressionUUID->"45d1ce03-4dee-41ae-abc6-94e4bf2a581b"],
Cell[108913, 3289, 120, 0, 34, "Output",ExpressionUUID->"d66a7707-3ab0-456d-be14-02eb1d311662"]
}, Closed]],
Cell[109048, 3292, 250, 6, 22, "Exercise",ExpressionUUID->"466fb182-caef-4c65-b6e1-5ba93a283540"],
Cell[109301, 3300, 558, 15, 73, "Input",ExpressionUUID->"59446237-bf42-4698-ac99-28099ac165d8"],
Cell[109862, 3317, 559, 15, 73, "Input",ExpressionUUID->"e0f861fd-a8fe-4cbc-a883-b7b98d87c567"],
Cell[CellGroupData[{
Cell[110446, 3336, 203, 4, 30, "Input",ExpressionUUID->"a6b273ba-b60b-4824-b278-fcf5e6e3b796"],
Cell[110652, 3342, 147, 2, 26, "Output",ExpressionUUID->"3f64f73b-dec8-4ed6-b86e-8e675391160c"]
}, Closed]],
Cell[CellGroupData[{
Cell[110836, 3349, 139, 3, 26, "Input",ExpressionUUID->"4139586e-c32b-42fb-bc1e-ef940337f799"],
Cell[110978, 3354, 147, 2, 26, "Output",ExpressionUUID->"ec7e5aa1-5740-4e90-a226-c4980393e58c"]
}, Closed]],
Cell[111140, 3359, 148, 3, 26, "Input",ExpressionUUID->"2074c89a-e3e3-4723-96ec-4f68385a244a"]
}, Closed]],
Cell[CellGroupData[{
Cell[111325, 3367, 88, 0, 41, "Subsection",ExpressionUUID->"4a94d8da-7bab-42a3-bd19-34da17c113fa"],
Cell[111416, 3369, 357, 6, 42, "Exercise",ExpressionUUID->"d883d642-0b78-40b1-a65e-02763dca274c"],
Cell[CellGroupData[{
Cell[111798, 3379, 146, 2, 30, "Input",ExpressionUUID->"f175b556-77fb-4b89-97c9-c8872b94f514"],
Cell[111947, 3383, 6130, 95, 791, "Output",ExpressionUUID->"8159f0eb-ed18-493d-aa48-1fc82c89ff13"]
}, Closed]],
Cell[CellGroupData[{
Cell[118114, 3483, 138, 2, 26, "Input",ExpressionUUID->"244fc29d-1d28-46fc-a65f-1fe08b6faa0c"],
Cell[118255, 3487, 109, 1, 34, "Output",ExpressionUUID->"ccca72db-4680-4256-bf5d-bd2eaabd490d"]
}, Closed]],
Cell[118379, 3491, 1949, 60, 66, "Exercise",ExpressionUUID->"55743056-7297-4d7f-96f8-7ebf59ab7d48"],
Cell[CellGroupData[{
Cell[120353, 3555, 355, 10, 41, "Input",ExpressionUUID->"e91fef3b-d34d-4289-8c56-dda65d92e509"],
Cell[120711, 3567, 1346, 48, 159, "Output",ExpressionUUID->"20d14aab-a778-490a-a8b3-4f4bccddcab5"]
}, Closed]],
Cell[CellGroupData[{
Cell[122094, 3620, 156, 4, 30, "Input",ExpressionUUID->"d54e9769-f8a3-445d-acb4-d3a3852ec6b8"],
Cell[122253, 3626, 104, 0, 34, "Output",ExpressionUUID->"f558dd36-cf36-4273-9998-38c69b76dcae"]
}, Closed]],
Cell[CellGroupData[{
Cell[122394, 3631, 312, 9, 37, "Input",ExpressionUUID->"dfcceca4-d4b3-4d6d-b54b-c30d48fabc20"],
Cell[122709, 3642, 312, 6, 56, "Output",ExpressionUUID->"353e804e-ba22-40b9-9729-7dc83a17a2a1"]
}, Closed]],
Cell[123036, 3651, 597, 16, 54, "Exercise",ExpressionUUID->"26eb48f8-b563-45fa-aa72-8ba55dd60fc9"],
Cell[CellGroupData[{
Cell[123658, 3671, 148, 4, 30, "Input",ExpressionUUID->"f747ce17-f354-491f-ad1e-d77acd36ed18"],
Cell[123809, 3677, 83, 0, 34, "Output",ExpressionUUID->"3d2c8aae-1c31-4da5-b0a3-70babe9b3717"]
}, Closed]],
Cell[CellGroupData[{
Cell[123929, 3682, 148, 4, 26, "Input",ExpressionUUID->"8e194cdc-3407-4c45-9c98-d017208d6fe9"],
Cell[124080, 3688, 83, 0, 34, "Output",ExpressionUUID->"5720cf34-2663-4d1d-9064-370fc939217b"]
}, Closed]],
Cell[CellGroupData[{
Cell[124200, 3693, 127, 2, 26, "Input",ExpressionUUID->"67fa6559-8006-46dd-81ef-5fc3c7647e01"],
Cell[124330, 3697, 128, 2, 34, "Output",ExpressionUUID->"0469ae21-34a1-4c1d-910f-0330f6d50925"]
}, Closed]],
Cell[124473, 3702, 138, 3, 26, "Input",ExpressionUUID->"382b7dd8-88e9-4360-8ea6-a15493f3f5ba"],
Cell[124614, 3707, 743, 20, 42, "Exercise",ExpressionUUID->"2dacff2a-da78-4f06-846c-6de97a844a3c"],
Cell[CellGroupData[{
Cell[125382, 3731, 595, 17, 75, "Input",ExpressionUUID->"2a02774c-c59e-4d1d-80ef-99bca752a20a"],
Cell[125980, 3750, 84, 0, 34, "Output",ExpressionUUID->"b25f75b3-2140-4259-9228-918ddfd4a0f2"]
}, Closed]],
Cell[CellGroupData[{
Cell[126101, 3755, 311, 9, 29, "Input",ExpressionUUID->"4358f684-15bc-46e4-8e9c-2b51119f32b6"],
Cell[126415, 3766, 102, 0, 34, "Output",ExpressionUUID->"d0f11744-1ea0-4e97-ab1c-18827cef5f0c"]
}, Closed]],
Cell[CellGroupData[{
Cell[126554, 3771, 549, 16, 50, "Input",ExpressionUUID->"74d9cae3-b887-446f-ae3f-1a9e61ab3fe8"],
Cell[127106, 3789, 1201, 24, 240, "Output",ExpressionUUID->"3a44e3a9-1b8c-492f-8e70-61f9ee7106df"]
}, Closed]],
Cell[128322, 3816, 940, 28, 68, "ExerciseNoText",ExpressionUUID->"9da189a4-9124-4201-8bcf-cfbf6db004f6"],
Cell[CellGroupData[{
Cell[129287, 3848, 416, 12, 30, "Input",ExpressionUUID->"15a69f7e-d932-4a93-99d3-24462ba8f45b"],
Cell[CellGroupData[{
Cell[129728, 3864, 83, 0, 24, "Print",ExpressionUUID->"fdda7193-d3f5-4df0-a7d0-390c391a2894"],
Cell[129814, 3866, 83, 0, 24, "Print",ExpressionUUID->"693aa0ff-9353-4937-9be5-469b58cc04df"],
Cell[129900, 3868, 84, 0, 24, "Print",ExpressionUUID->"5352e0ea-dd0d-4380-9e83-d052ae843d1a"],
Cell[129987, 3870, 84, 0, 24, "Print",ExpressionUUID->"ea05a750-e21f-4bb9-a51b-d342ac181f05"],
Cell[130074, 3872, 84, 0, 24, "Print",ExpressionUUID->"aa3f943f-9018-4bfb-8ca6-fee8b1a0709d"],
Cell[130161, 3874, 84, 0, 24, "Print",ExpressionUUID->"95eb0854-532c-4328-917d-bdb5ef5abbba"],
Cell[130248, 3876, 84, 0, 24, "Print",ExpressionUUID->"7c9cbbbd-e766-40c4-aaea-87cea79317c0"],
Cell[130335, 3878, 84, 0, 24, "Print",ExpressionUUID->"ad30f2fe-367a-4a8c-9ca0-365cdb6d680c"],
Cell[130422, 3880, 84, 0, 24, "Print",ExpressionUUID->"fd4efc03-227e-47ba-94bb-e43560411d96"],
Cell[130509, 3882, 84, 0, 24, "Print",ExpressionUUID->"d5f8db16-3d9b-4e0d-a6e7-03518ac68fef"],
Cell[130596, 3884, 84, 0, 24, "Print",ExpressionUUID->"e276f709-d3c2-4d06-a878-0d8c625480cd"],
Cell[130683, 3886, 84, 0, 24, "Print",ExpressionUUID->"b9e05e03-e003-47ea-8056-08a7f51ad86f"],
Cell[130770, 3888, 84, 0, 24, "Print",ExpressionUUID->"ba0924c3-e1b2-458d-9545-71a846532571"],
Cell[130857, 3890, 84, 0, 24, "Print",ExpressionUUID->"b68df54d-7ac6-4d45-8a65-21631789ccda"],
Cell[130944, 3892, 84, 0, 24, "Print",ExpressionUUID->"7a33f2b0-8f18-4105-8a21-5a694761fabf"],
Cell[131031, 3894, 84, 0, 24, "Print",ExpressionUUID->"645057ff-ce74-4c43-a286-528c5297c25f"],
Cell[131118, 3896, 84, 0, 24, "Print",ExpressionUUID->"5a32b0f0-03a4-47a1-8e99-310aef2ff28f"],
Cell[131205, 3898, 84, 0, 24, "Print",ExpressionUUID->"9d760926-c150-4f32-82d0-e91ce0fcbca6"],
Cell[131292, 3900, 84, 0, 24, "Print",ExpressionUUID->"7e3304a8-b2cd-4f6c-b37b-8f7b495d93dd"],
Cell[131379, 3902, 84, 0, 24, "Print",ExpressionUUID->"2577f4f8-746c-4334-a845-2a3814f371d4"],
Cell[131466, 3904, 84, 0, 24, "Print",ExpressionUUID->"101f2e61-9f0e-40e3-9b24-d544da589d3b"],
Cell[131553, 3906, 84, 0, 24, "Print",ExpressionUUID->"30110bf9-dde7-489e-88af-c9182d4925bd"],
Cell[131640, 3908, 85, 0, 24, "Print",ExpressionUUID->"94b86c8d-1dfc-4f52-b251-e90aa55718ac"],
Cell[131728, 3910, 85, 0, 24, "Print",ExpressionUUID->"a6832e15-4848-4079-8cfc-eeb13f74cd03"],
Cell[131816, 3912, 85, 0, 24, "Print",ExpressionUUID->"7ddcde6e-5522-484a-922c-fd6bd4250e34"],
Cell[131904, 3914, 85, 0, 24, "Print",ExpressionUUID->"790511c3-b030-49c0-8f6e-6e7590198da0"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[132038, 3920, 416, 12, 26, "Input",ExpressionUUID->"f51fc36f-87dd-4811-805b-26c98e1bb3f7"],
Cell[CellGroupData[{
Cell[132479, 3936, 82, 0, 24, "Print",ExpressionUUID->"a14b3b3c-0c9c-44da-9712-77527a447db3"],
Cell[132564, 3938, 83, 0, 24, "Print",ExpressionUUID->"50faaf6c-1cf7-4c38-8b58-3f72dbd0b853"],
Cell[132650, 3940, 84, 0, 24, "Print",ExpressionUUID->"0ce8484d-e3f0-423c-bf4a-d0c6a39e151d"],
Cell[132737, 3942, 84, 0, 24, "Print",ExpressionUUID->"e8fa34c0-804a-4735-8742-247c09e353bd"],
Cell[132824, 3944, 84, 0, 24, "Print",ExpressionUUID->"ef9320b3-8636-4e0f-8bd4-8a647a218f35"],
Cell[132911, 3946, 84, 0, 24, "Print",ExpressionUUID->"b1b3256b-696e-4756-83f6-3f7f5033572b"],
Cell[132998, 3948, 84, 0, 24, "Print",ExpressionUUID->"4fb1845f-d7c5-40a6-ac30-e542a7dd6ca0"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[133131, 3954, 82, 0, 26, "Input",ExpressionUUID->"07c78ee4-6122-440f-804f-5f0b7dfc63d5"],
Cell[133216, 3956, 85, 0, 34, "Output",ExpressionUUID->"8b925c0a-1ce3-4555-8a23-c242619dc36e"]
}, Closed]],
Cell[133316, 3959, 394, 10, 41, "ExercisePart",ExpressionUUID->"ac7ce060-213d-420b-a29f-7212fdb687b6"],
Cell[CellGroupData[{
Cell[133735, 3973, 550, 16, 52, "Input",ExpressionUUID->"5e775a49-6250-4dc6-a771-a94457c01a4e"],
Cell[134288, 3991, 165, 3, 26, "Output",ExpressionUUID->"43e6a74e-9395-4b08-8b94-fea66c265204"]
}, Closed]],
Cell[134468, 3997, 197, 6, 24, "ExercisePart",ExpressionUUID->"8aa0dff0-ed62-4c24-827a-2cbadbc9aa0c"],
Cell[CellGroupData[{
Cell[134690, 4007, 628, 18, 52, "Input",ExpressionUUID->"9b053643-45f0-4d68-8391-fd07033a2e73"],
Cell[135321, 4027, 107, 1, 68, "Output",ExpressionUUID->"08d0690d-feef-436b-8f84-2e3c4faf845a"]
}, Closed]],
Cell[135443, 4031, 890, 19, 80, "ExercisePart",ExpressionUUID->"466dfdef-e63a-41ec-ad27-1c3172df013a"],
Cell[136336, 4052, 689, 20, 73, "Input",ExpressionUUID->"7bc5c362-b026-466b-9e4d-94877aea2c58"],
Cell[CellGroupData[{
Cell[137050, 4076, 166, 4, 30, "Input",ExpressionUUID->"d15193a6-316e-4d22-8b4c-2fbf154ffdff"],
Cell[137219, 4082, 219, 5, 26, "Output",ExpressionUUID->"68d2985b-eba7-406e-9910-319ba95173e4"]
}, Closed]],
Cell[CellGroupData[{
Cell[137475, 4092, 113, 1, 26, "Input",ExpressionUUID->"c91e82d6-c85c-4ea4-b248-77dc3c7c4b4e"],
Cell[137591, 4095, 584, 19, 42, "Output",ExpressionUUID->"5ec12830-293f-49f5-bdbb-0a281d808142"]
}, Closed]],
Cell[CellGroupData[{
Cell[138212, 4119, 605, 16, 48, "Input",ExpressionUUID->"e69d2182-8a91-42c1-bf32-b4f61e895784"],
Cell[138820, 4137, 1718, 33, 187, "Output",ExpressionUUID->"75e35351-7c6c-49d6-93be-eda7ea3c28b0"]
}, Closed]],
Cell[140553, 4173, 142, 3, 26, "Input",ExpressionUUID->"7aaaba3e-b66a-4d05-88f3-290fd95a514b"]
}, Closed]],
Cell[CellGroupData[{
Cell[140732, 4181, 88, 0, 41, "Subsection",ExpressionUUID->"10c01211-b4d7-4d2d-be95-dbe0203704bb"],
Cell[140823, 4183, 877, 27, 64, "Exercise",ExpressionUUID->"a4a4084a-26a9-4333-8301-268079dcde24"],
Cell[141703, 4212, 538, 16, 47, "Input",ExpressionUUID->"1298f9bd-e3b0-408c-9b5a-361e2cb582b7"],
Cell[CellGroupData[{
Cell[142266, 4232, 124, 1, 30, "Input",ExpressionUUID->"832d5028-fc45-4a7f-a5e1-19e60652fb60"],
Cell[142393, 4235, 187, 3, 51, "Output",ExpressionUUID->"fc9483c4-7df7-490b-8efc-f5cd1c17f38f"]
}, Closed]],
Cell[CellGroupData[{
Cell[142617, 4243, 148, 2, 26, "Input",ExpressionUUID->"5dfadbaf-9e9e-44bb-874e-d8ae85bed61b"],
Cell[142768, 4247, 209, 3, 51, "Output",ExpressionUUID->"8bd22921-14d2-40f6-b594-f7d646e428f9"]
}, Closed]],
Cell[142992, 4253, 126, 1, 26, "Input",ExpressionUUID->"7fa54f50-e7ab-428b-aec0-9dd25f64abed"],
Cell[143121, 4256, 96, 0, 24, "Exercise",ExpressionUUID->"5f1fd4e3-d129-4d86-9822-52bf605acee1"],
Cell[CellGroupData[{
Cell[143242, 4260, 302, 8, 30, "Input",ExpressionUUID->"eb220e20-f30c-4c71-a5c5-506e3f53140e"],
Cell[CellGroupData[{
Cell[143569, 4272, 137, 3, 24, "Print",ExpressionUUID->"398543ff-b599-4144-b931-8076f2f17572"],
Cell[143709, 4277, 137, 3, 24, "Print",ExpressionUUID->"bbc3e894-7a69-4afc-80f0-a04603c94fe6"],
Cell[143849, 4282, 137, 3, 24, "Print",ExpressionUUID->"21522ebe-26f6-42ff-a20f-52a25b091222"],
Cell[143989, 4287, 137, 3, 24, "Print",ExpressionUUID->"b3bb7d8a-a6ba-4d61-a110-81ea5db0ab58"],
Cell[144129, 4292, 137, 3, 24, "Print",ExpressionUUID->"6f682bd9-1ae3-42eb-8db2-2d0deaab4bb9"],
Cell[144269, 4297, 137, 3, 24, "Print",ExpressionUUID->"232797e8-a0e0-43e6-be77-e59ead379eb6"],
Cell[144409, 4302, 137, 3, 24, "Print",ExpressionUUID->"c1da6809-e6bc-4877-9393-89814930bc34"],
Cell[144549, 4307, 137, 3, 24, "Print",ExpressionUUID->"c6ceabe3-a575-40cf-8041-0fd2c8535024"],
Cell[144689, 4312, 137, 3, 24, "Print",ExpressionUUID->"7574ebfa-1b87-43ea-ba95-27bba9ce039a"],
Cell[144829, 4317, 137, 3, 24, "Print",ExpressionUUID->"afba888c-5893-4dd3-b84d-50acb769a754"]
}, Open  ]]
}, Closed]],
Cell[144993, 4324, 125, 0, 18, "ExerciseNoText",ExpressionUUID->"b3a482fe-4810-427d-bcb8-a5443284ff75"],
Cell[CellGroupData[{
Cell[145143, 4328, 280, 8, 30, "Input",ExpressionUUID->"725c1fee-425e-44b1-ba7c-d8fb34d47ce5"],
Cell[145426, 4338, 82, 0, 24, "Print",ExpressionUUID->"4838065b-286a-463a-b7bc-de4ea775cc51"],
Cell[145511, 4340, 83, 0, 34, "Output",ExpressionUUID->"bb7ed274-a977-4944-a900-0234aeb1ef20"]
}, Closed]],
Cell[145609, 4343, 1041, 34, 58, "ExercisePart",ExpressionUUID->"6111b405-0a8c-4676-8a86-e7b1df11071f"],
Cell[CellGroupData[{
Cell[146675, 4381, 188, 5, 30, "Input",ExpressionUUID->"511d6fc7-79a3-4aac-8b64-42f92b5ae15c"],
Cell[146866, 4388, 105, 1, 26, "Output",ExpressionUUID->"39c50222-14e1-4eba-8e2e-1240eb8e6d80"]
}, Closed]],
Cell[CellGroupData[{
Cell[147008, 4394, 214, 6, 26, "Input",ExpressionUUID->"581088b7-02c5-4323-8bd4-3e2c490ca08e"],
Cell[147225, 4402, 83, 0, 26, "Output",ExpressionUUID->"481da359-69f8-4b0a-87a6-55cd38a18718"]
}, Closed]],
Cell[CellGroupData[{
Cell[147345, 4407, 215, 6, 26, "Input",ExpressionUUID->"6948253e-7a2e-4e41-9403-a66a60dd2a62"],
Cell[147563, 4415, 105, 1, 34, "Output",ExpressionUUID->"3ddd3f9b-2337-4148-915d-385d2bd0aac1"]
}, Closed]],
Cell[147683, 4419, 116, 1, 26, "Input",ExpressionUUID->"fec9e08b-80f7-4713-a755-3a29c2fa6378"]
}, Closed]],
Cell[CellGroupData[{
Cell[147836, 4425, 88, 0, 41, "Subsection",ExpressionUUID->"e1760e77-eba5-48ca-b5d9-8258073f4b1d"],
Cell[147927, 4427, 177, 4, 28, "ExerciseNoText",ExpressionUUID->"9ac13f4a-1180-4d13-b63a-8c79edb67028"],
Cell[CellGroupData[{
Cell[148129, 4435, 230, 6, 30, "Input",ExpressionUUID->"666acc5a-de96-44d6-8bbd-dad30ae79cb7"],
Cell[148362, 4443, 109, 1, 26, "Output",ExpressionUUID->"a3cf02cf-1942-489f-8146-9f4626bcfe3e"]
}, Closed]],
Cell[148486, 4447, 342, 9, 26, "ExercisePart",ExpressionUUID->"4ac3b218-f86f-43cd-8c72-a5e098067387"],
Cell[CellGroupData[{
Cell[148853, 4460, 235, 6, 33, "Input",ExpressionUUID->"3e743810-06ad-474e-b406-3afd90855fc4"],
Cell[149091, 4468, 107, 1, 30, "Output",ExpressionUUID->"045fa95a-7c9c-4965-80a6-15fd82352d9a"]
}, Closed]],
Cell[149213, 4472, 324, 9, 28, "ExercisePart",ExpressionUUID->"fffb7f66-97f3-43ab-87d2-d515db6e9131"],
Cell[CellGroupData[{
Cell[149562, 4485, 250, 7, 38, "Input",ExpressionUUID->"68b4a3a5-afd4-4377-a0c4-04a8de950a78"],
Cell[149815, 4494, 245, 9, 64, "Output",ExpressionUUID->"30a159f5-2c6f-4468-9401-aee8a229ac9f"]
}, Closed]],
Cell[150075, 4506, 420, 12, 32, "ExercisePart",ExpressionUUID->"55bd5cdf-6370-49b7-ad78-f633a277a3d6"],
Cell[CellGroupData[{
Cell[150520, 4522, 259, 7, 47, "Input",ExpressionUUID->"9abc0aeb-1270-4211-bf4a-d966d34dcc65"],
Cell[150782, 4531, 281, 9, 68, "Output",ExpressionUUID->"7ea4801d-9f00-4f51-a3ba-355da9bccb16"]
}, Closed]],
Cell[151078, 4543, 841, 18, 68, "Exercise",ExpressionUUID->"a67f5569-8ca5-4870-8222-9ecf1bfcd0b0"],
Cell[CellGroupData[{
Cell[151944, 4565, 1185, 30, 115, "Input",ExpressionUUID->"04156d40-b6c7-4c3d-ba22-aadac6c9a059"],
Cell[153132, 4597, 122, 0, 24, "Print",ExpressionUUID->"213a80f8-b22d-4450-b220-4bd40dd82b4c"],
Cell[153257, 4599, 112, 0, 34, "Output",ExpressionUUID->"7b66fb25-a358-44f3-967d-8328cb29f7a5"]
}, Closed]],
Cell[153384, 4602, 147, 3, 26, "Input",ExpressionUUID->"6244b3d7-c7cc-44b8-89e7-756ea635f1d1"],
Cell[153534, 4607, 391, 10, 44, "ExerciseText",ExpressionUUID->"8f3a12b5-8624-434f-9c21-0175712947cf"],
Cell[153928, 4619, 983, 26, 94, "Input",ExpressionUUID->"fc735fcb-6a0e-41e5-9e7d-d53793512ee1"],
Cell[154914, 4647, 147, 3, 30, "Input",ExpressionUUID->"7caf87e3-1660-40c1-9095-f60566ecdd04"],
Cell[155064, 4652, 391, 11, 34, "ExerciseNoText",ExpressionUUID->"b88896cb-4494-4742-a42c-ba4738d71415"],
Cell[CellGroupData[{
Cell[155480, 4667, 299, 9, 47, "Input",ExpressionUUID->"c1dc5411-8775-4f45-ba71-a8e793ebaffa"],
Cell[155782, 4678, 778, 13, 98, "Output",ExpressionUUID->"bf9dce70-0488-4696-971e-5460392c6ec2"]
}, Closed]],
Cell[156575, 4694, 677, 18, 58, "ExercisePart",ExpressionUUID->"62b2075c-a581-46fc-b3be-0a315fd91805"],
Cell[CellGroupData[{
Cell[157277, 4716, 208, 5, 30, "Input",ExpressionUUID->"53402698-843e-4f9e-8013-4ad638fd9d5d"],
Cell[157488, 4723, 2937, 58, 194, "Output",ExpressionUUID->"adb4fd8a-f6ee-40ee-80af-7f87a8449019"]
}, Closed]],
Cell[160440, 4784, 425, 11, 24, "ExercisePart",ExpressionUUID->"a4905a14-5b18-4bbd-94d7-80430e7e0f73"],
Cell[CellGroupData[{
Cell[160890, 4799, 117, 1, 30, "Input",ExpressionUUID->"d0cfde36-9fd8-49b4-b901-9f6b650aa6e2"],
Cell[161010, 4802, 566, 12, 213, "Output",ExpressionUUID->"e43c9aee-c192-4731-8593-c7d96bbcb09a"]
}, Closed]],
Cell[161591, 4817, 499, 11, 20, "ExercisePart",ExpressionUUID->"d0f39bc8-e903-45c6-b722-dbe3434de0c9"],
Cell[CellGroupData[{
Cell[162115, 4832, 468, 14, 47, "Input",ExpressionUUID->"f793f0d1-8ad5-4614-81e1-78333baf2eed"],
Cell[162586, 4848, 1445, 26, 70, "Output",ExpressionUUID->"739ef2ce-b91c-44da-80ea-f19a4e7214f0"]
}, Closed]],
Cell[164046, 4877, 1323, 31, 72, "ExercisePart",ExpressionUUID->"bd1502b6-8210-49ff-9de1-28c8e7e2bf8e"],
Cell[CellGroupData[{
Cell[165394, 4912, 469, 14, 48, "Input",ExpressionUUID->"60f6eac9-7fea-4bcf-8b1b-cc4b798c35b5"],
Cell[165866, 4928, 25386, 419, 449, "Output",ExpressionUUID->"e2458b5a-0dfc-4485-a400-7a9951455cd1"]
}, Closed]],
Cell[191267, 5350, 237, 6, 22, "Exercise",ExpressionUUID->"353a5da2-4ce9-406b-a19b-eb6f6a92b968"],
Cell[CellGroupData[{
Cell[191529, 5360, 584, 17, 76, "Input",ExpressionUUID->"8d91db3f-9021-4fd7-bc6c-38dc036c1338"],
Cell[192116, 5379, 19004, 318, 449, "Output",ExpressionUUID->"7d4f82b3-48e2-4abb-bffe-a87f5a7d4346"]
}, Closed]],
Cell[211135, 5700, 2415, 71, 104, "Exercise",ExpressionUUID->"da672986-cd1b-41d0-8f86-62402acd77ba"],
Cell[CellGroupData[{
Cell[213575, 5775, 466, 14, 52, "Input",ExpressionUUID->"cedd79a8-61f1-4fcb-a305-4314ac49d4ef"],
Cell[214044, 5791, 388, 12, 26, "Output",ExpressionUUID->"2eda1c57-ed3b-470a-8457-15c37cc3804f"]
}, Closed]],
Cell[CellGroupData[{
Cell[214469, 5808, 170, 4, 26, "Input",ExpressionUUID->"0ad204c5-7978-4aa0-82a9-7130978edcbe"],
Cell[214642, 5814, 518, 16, 26, "Output",ExpressionUUID->"b1158403-cce2-4b6d-a67e-328d6fe7a3a3"]
}, Closed]],
Cell[CellGroupData[{
Cell[215197, 5835, 458, 14, 26, "Input",ExpressionUUID->"c76d9bdb-845e-458f-829e-db53ec7b4b9a"],
Cell[215658, 5851, 1120, 36, 57, "Output",ExpressionUUID->"7c8645ac-1851-4986-b2b7-e7f3d916610f"]
}, Closed]],
Cell[CellGroupData[{
Cell[216815, 5892, 140, 3, 26, "Input",ExpressionUUID->"81da214c-d7a1-4481-bb4c-52969771483a"],
Cell[216958, 5897, 949, 30, 57, "Output",ExpressionUUID->"652e6031-1e0d-4dd8-8c65-6ccc5dc08392"]
}, Closed]],
Cell[CellGroupData[{
Cell[217944, 5932, 1267, 37, 48, "Input",ExpressionUUID->"cebc31e3-fd8e-4211-911f-9a472b1929ea"],
Cell[219214, 5971, 7571, 133, 247, "Output",ExpressionUUID->"30f94351-00af-4167-950d-eca010fee44e"]
}, Closed]],
Cell[226800, 6107, 2035, 57, 94, "Exercise",ExpressionUUID->"cef1dede-e284-4945-a3ba-bdd8a8e533b3"],
Cell[228838, 6166, 974, 29, 94, "Input",ExpressionUUID->"5f219e72-3761-402d-83ec-914f88ed63ba"],
Cell[CellGroupData[{
Cell[229837, 6199, 389, 11, 33, "Input",ExpressionUUID->"836c17c2-8e28-4977-b118-78ec67be8e8c"],
Cell[230229, 6212, 749, 27, 51, "Output",ExpressionUUID->"bc898df4-2f7f-4931-9222-a277452dd8da"]
}, Closed]],
Cell[CellGroupData[{
Cell[231015, 6244, 612, 19, 29, "Input",ExpressionUUID->"c7b48a51-b3bf-4841-93a8-6c06b6f0c7b1"],
Cell[231630, 6265, 191, 4, 34, "Output",ExpressionUUID->"25a5c5f9-1e96-4db0-8781-bd6c564681b6"]
}, Closed]],
Cell[231836, 6272, 152, 2, 26, "Input",ExpressionUUID->"a1034b83-24a0-4d8c-bc1b-9f6af926e7dd"],
Cell[231991, 6276, 737, 15, 56, "Exercise",ExpressionUUID->"60f1f933-8dce-4f28-abd8-786e88ed222e"],
Cell[CellGroupData[{
Cell[232753, 6295, 2279, 58, 136, "Input",ExpressionUUID->"fe043d7f-2d19-414b-91bd-622bcc573547"],
Cell[235035, 6355, 2916, 60, 377, "Output",ExpressionUUID->"d7281600-8292-4f07-b15f-314568a3bce1"]
}, Closed]],
Cell[237966, 6418, 232, 6, 18, "Exercise",ExpressionUUID->"a37bd420-d13e-49fc-a341-bb828f6e93c9"],
Cell[238201, 6426, 108, 0, 20, "ExercisePart",ExpressionUUID->"4733365f-7752-48cb-87e6-ce094234ec78"],
Cell[CellGroupData[{
Cell[238334, 6430, 151, 3, 30, "Input",ExpressionUUID->"52f871cd-d0f7-435a-bb59-188b06ee2c4c"],
Cell[238488, 6435, 140, 3, 26, "Output",ExpressionUUID->"e3acccb0-75bd-481b-873a-f5ab73286e92"]
}, Closed]],
Cell[CellGroupData[{
Cell[238665, 6443, 174, 5, 52, "Input",ExpressionUUID->"67a1b2a3-774b-41ef-819e-98b44cc672d1"],
Cell[238842, 6450, 104, 1, 43, "Output",ExpressionUUID->"bbf7b739-ab5b-4acd-af19-589b705dc114"]
}, Closed]],
Cell[238961, 6454, 502, 9, 54, "ExercisePart",ExpressionUUID->"a7c538dc-d930-4a80-bdb8-f2c741d80d3f"],
Cell[239466, 6465, 446, 12, 75, "Input",ExpressionUUID->"704b7cca-72e3-4796-b899-93d9e7390d10"],
Cell[CellGroupData[{
Cell[239937, 6481, 176, 4, 30, "Input",ExpressionUUID->"0e5ebc33-c733-464c-9ffc-cc5bae850538"],
Cell[240116, 6487, 175, 5, 52, "Output",ExpressionUUID->"291283f7-91b2-42f4-8242-44b4b6276da2"]
}, Closed]],
Cell[CellGroupData[{
Cell[240328, 6497, 152, 3, 26, "Input",ExpressionUUID->"dcc50b10-b31e-413b-a2ba-513268556861"],
Cell[240483, 6502, 151, 3, 26, "Output",ExpressionUUID->"701ec01d-6010-4a98-9427-be2c00d60d1f"]
}, Closed]],
Cell[CellGroupData[{
Cell[240671, 6510, 117, 1, 26, "Input",ExpressionUUID->"dbdd83d1-c2c9-4595-ba37-0ddbd0c046a6"],
Cell[240791, 6513, 227, 7, 60, "Output",ExpressionUUID->"99b0b5ef-cb74-4e95-95a3-97cb10ca0787"]
}, Closed]],
Cell[241033, 6523, 145, 1, 20, "ExercisePart",ExpressionUUID->"cd69e762-7871-4d05-9340-de2437c071d1"],
Cell[CellGroupData[{
Cell[241203, 6528, 277, 7, 33, "Input",ExpressionUUID->"a4b9d104-bbe6-49f3-9ba7-68c9324fe1cc"],
Cell[241483, 6537, 1461, 41, 234, "Output",ExpressionUUID->"c096123b-a976-4416-9617-c19d1f459fb3"]
}, Closed]],
Cell[242959, 6581, 121, 1, 26, "Input",ExpressionUUID->"11942a7d-c6cb-4594-920b-fb5ed8604eb7"],
Cell[243083, 6584, 579, 10, 52, "Exercise",ExpressionUUID->"39b6f84a-fd71-4220-b082-14b5c5068c96"],
Cell[CellGroupData[{
Cell[243687, 6598, 280, 8, 33, "Input",ExpressionUUID->"89a28378-351b-4233-8e16-0a93288b245f"],
Cell[243970, 6608, 471, 12, 51, "Output",ExpressionUUID->"9bbcbda1-f790-4fc6-bc53-4d98a68c932f"]
}, Closed]],
Cell[CellGroupData[{
Cell[244478, 6625, 697, 21, 76, "Input",ExpressionUUID->"a118c568-f2ba-4a85-ae27-0be6e5e5fc92"],
Cell[245178, 6648, 13989, 249, 426, "Output",ExpressionUUID->"aeca3e8d-41ca-4c93-adcc-9031d1941556"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[259216, 6903, 88, 0, 41, "Subsection",ExpressionUUID->"29fdda99-ce8f-4fd8-a6d2-80096a5e761d"],
Cell[259307, 6905, 239, 6, 28, "Exercise",ExpressionUUID->"d5cbc706-4277-4652-8116-c52009416e0e"],
Cell[259549, 6913, 218, 6, 24, "ExercisePart",ExpressionUUID->"8601e44a-f4db-469f-b01c-386ea0216258"],
Cell[259770, 6921, 396, 12, 52, "Input",ExpressionUUID->"eda973ba-a125-4545-87f8-18ecb97e3a38"],
Cell[260169, 6935, 217, 6, 24, "ExercisePart",ExpressionUUID->"d822d078-db10-4c48-9f4b-f8d144d858eb"],
Cell[260389, 6943, 396, 12, 52, "Input",ExpressionUUID->"eaa9809f-48bf-4a89-b9c5-ad2c133fbd6e"],
Cell[260788, 6957, 752, 22, 46, "Exercise",ExpressionUUID->"6aeacb7e-87ad-48de-9107-d57febf738c5"],
Cell[261543, 6981, 368, 6, 38, "Exercise",ExpressionUUID->"e1274236-6059-402f-8c2e-05eb84bbd0f3"],
Cell[CellGroupData[{
Cell[261936, 6991, 222, 5, 30, "Input",ExpressionUUID->"f5d14e68-d23c-4480-8028-21227d9ff2bd"],
Cell[262161, 6998, 123, 1, 34, "Output",ExpressionUUID->"06f9b8d2-d823-41f4-9d9e-7cf67c771fc1"]
}, Closed]],
Cell[262299, 7002, 149, 2, 18, "Exercise",ExpressionUUID->"ad373865-9040-4d83-aa18-c2490c49af8f"],
Cell[262451, 7006, 444, 10, 30, "Input",ExpressionUUID->"35cb8bbd-e55c-4aa4-aa24-ef5f17e9d3c5"],
Cell[CellGroupData[{
Cell[262920, 7020, 428, 12, 30, "Input",ExpressionUUID->"cd40e376-7105-4d16-99d9-fea4c68d0131"],
Cell[263351, 7034, 778, 14, 49, "Output",ExpressionUUID->"ae545400-ed74-40af-9d24-73cf47a77053"]
}, Closed]],
Cell[264144, 7051, 153, 3, 26, "Input",ExpressionUUID->"9d5a460f-9b4d-43a6-81c3-15c9c369c15c"],
Cell[264300, 7056, 153, 2, 24, "ExerciseNoText",ExpressionUUID->"12a4e581-060f-4e1a-94f4-a66b164a47fa"],
Cell[264456, 7060, 757, 23, 94, "Input",ExpressionUUID->"f35f4200-210d-45cc-89f0-55d58ed5a1c9"],
Cell[265216, 7085, 489, 12, 33, "ExercisePart",ExpressionUUID->"739f18dd-00b4-4edd-b42f-209a5e0f8bab"],
Cell[265708, 7099, 302, 9, 30, "Input",ExpressionUUID->"b2068ab7-2a72-498d-bd75-2c3a976cdc8b"],
Cell[CellGroupData[{
Cell[266035, 7112, 389, 10, 30, "Input",ExpressionUUID->"efc30ffc-696e-4b8f-9942-8e7c676dbe51"],
Cell[266427, 7124, 2291, 53, 281, "Output",ExpressionUUID->"914bef10-99e4-4d57-8539-8014a429f131"]
}, Closed]],
Cell[268733, 7180, 580, 16, 24, "ExercisePart",ExpressionUUID->"f781f76b-7804-401a-830b-94d4624bae2f"],
Cell[CellGroupData[{
Cell[269338, 7200, 254, 7, 30, "Input",ExpressionUUID->"6175d124-a2b2-442e-8ff2-e8084dba1df0"],
Cell[269595, 7209, 13462, 434, 539, "Output",ExpressionUUID->"1efbd11a-f806-409c-88d1-4fbf64bbc3a8"]
}, Closed]],
Cell[283072, 7646, 399, 9, 24, "ExercisePart",ExpressionUUID->"d960b041-1737-41dc-b58e-7d3b4f0a1de6"],
Cell[CellGroupData[{
Cell[283496, 7659, 353, 10, 30, "Input",ExpressionUUID->"38673cdd-9b76-4ea7-944a-994f0a38fc42"],
Cell[283852, 7671, 2380, 78, 119, "Output",ExpressionUUID->"5ea18899-3b72-4d43-b652-bb1e789e4a09"]
}, Closed]],
Cell[286247, 7752, 676, 19, 41, "ExercisePart",ExpressionUUID->"78aac380-24d2-4685-9350-b4fa11db697b",
 CellTags->"i:19"],
Cell[CellGroupData[{
Cell[286948, 7775, 277, 9, 30, "Input",ExpressionUUID->"51fc62ca-b183-4434-a214-5b7aa8449dc0"],
Cell[287228, 7786, 1677, 41, 98, "Output",ExpressionUUID->"300dd851-26c9-4a9e-a324-c4377567ef34"]
}, Closed]],
Cell[CellGroupData[{
Cell[288942, 7832, 311, 8, 26, "Input",ExpressionUUID->"4eaa1016-370a-4891-8219-c4af502407c5",
 CellTags->"i:20"],
Cell[289256, 7842, 11732, 254, 516, "Output",ExpressionUUID->"33d784ea-cd7e-4703-af6c-8da1e122faa8",
 CellTags->"i:20"]
}, Closed]],
Cell[301003, 8099, 1142, 22, 76, "ExercisePart",ExpressionUUID->"1ca5061e-4a6f-43a4-99b2-d77c47b2bfe6"],
Cell[CellGroupData[{
Cell[302170, 8125, 903, 28, 73, "Input",ExpressionUUID->"2cf0966e-5b95-492c-93ef-0fb6f2e02896",
 CellTags->"i:21"],
Cell[303076, 8155, 18463, 297, 236, "Output",ExpressionUUID->"a65773a4-d56b-4d0c-a464-d2f7f7a90d14",
 CellTags->"i:21"]
}, Closed]],
Cell[321554, 8455, 197, 4, 26, "Input",ExpressionUUID->"d3315456-8ca0-4249-a6f4-710ede684c45"],
Cell[321754, 8461, 2828, 85, 121, "Exercise",ExpressionUUID->"0903314c-e5bd-423f-83b2-b860f354a6e4"],
Cell[CellGroupData[{
Cell[324607, 8550, 442, 14, 44, "Input",ExpressionUUID->"c89e9d5e-33bd-468b-a553-0951b9da3034"],
Cell[325052, 8566, 103, 1, 42, "Output",ExpressionUUID->"dd8251c0-d3cf-460d-8c2a-e7892879405b"]
}, Closed]],
Cell[CellGroupData[{
Cell[325192, 8572, 455, 14, 40, "Input",ExpressionUUID->"de76371a-e848-4bad-8ea4-9bed5f27df17"],
Cell[325650, 8588, 83, 0, 26, "Output",ExpressionUUID->"a09149e4-2d29-40bf-81f7-34a71ce15de0"]
}, Closed]],
Cell[CellGroupData[{
Cell[325770, 8593, 330, 10, 29, "Input",ExpressionUUID->"091e8112-b285-4018-ba51-5808e6b8df9a"],
Cell[326103, 8605, 587, 19, 33, "Output",ExpressionUUID->"18e843a0-2a02-47a5-896d-a236f0b43dbe"]
}, Closed]],
Cell[326705, 8627, 189, 6, 22, "Exercise",ExpressionUUID->"e6a73bfa-f49a-49b0-b204-3b5a87d21311"],
Cell[326897, 8635, 945, 22, 94, "Input",ExpressionUUID->"d56d311e-41ee-4ea9-a892-8961fc513660"],
Cell[CellGroupData[{
Cell[327867, 8661, 345, 10, 33, "Input",ExpressionUUID->"656cdf14-27e6-49a3-8c64-ed306e5a6b38"],
Cell[328215, 8673, 7921, 153, 269, "Output",ExpressionUUID->"b79ed1bc-3b98-4ddd-abb1-cac68aedcd37"]
}, Closed]],
Cell[336151, 8829, 146, 3, 26, "Input",ExpressionUUID->"629584d8-90ab-47f4-bd3a-ad0fc4efbc0b"],
Cell[336300, 8834, 343, 5, 42, "Exercise",ExpressionUUID->"71394c4d-544e-4d40-bbbd-54bbedc4d351"],
Cell[CellGroupData[{
Cell[336668, 8843, 310, 9, 30, "Input",ExpressionUUID->"638abf62-9c55-4713-adb3-c9957cf7977a"],
Cell[336981, 8854, 1085, 33, 72, "Output",ExpressionUUID->"78c80470-3511-4841-b11c-d7a95b465ee8"]
}, Closed]],
Cell[CellGroupData[{
Cell[338103, 8892, 141, 3, 26, "Input",ExpressionUUID->"9fffabeb-67d0-4921-9fa8-ff2038c11505"],
Cell[338247, 8897, 661, 17, 79, "Output",ExpressionUUID->"332ace5e-02c4-492f-b3b9-d977ed0d8eda"]
}, Closed]],
Cell[338923, 8917, 967, 27, 72, "Exercise",ExpressionUUID->"26a227d2-b4b3-4a64-95cc-7a3157cb5b77"],
Cell[CellGroupData[{
Cell[339915, 8948, 316, 7, 30, "Input",ExpressionUUID->"47701354-03cf-432d-85f9-52f64e1ca071"],
Cell[340234, 8957, 513, 15, 42, "Output",ExpressionUUID->"f90c9eb6-b841-473a-b3b4-0948999f69a5"]
}, Closed]],
Cell[CellGroupData[{
Cell[340784, 8977, 340, 10, 26, "Input",ExpressionUUID->"d886a4f3-fa5b-457c-94db-2b02b44f60e0"],
Cell[341127, 8989, 150, 3, 26, "Output",ExpressionUUID->"2ed32d0d-da47-4328-b0b7-8eb55369d53f"]
}, Closed]],
Cell[CellGroupData[{
Cell[341314, 8997, 333, 10, 26, "Input",ExpressionUUID->"06dcb16b-746f-49ad-aa2d-1d40adffce87"],
Cell[341650, 9009, 83, 0, 26, "Output",ExpressionUUID->"95132edb-5256-47b9-84d5-51dc2e3070cd"]
}, Closed]],
Cell[341748, 9012, 447, 12, 26, "Input",ExpressionUUID->"1a6edbac-f953-4a02-b299-852223de6b6e"],
Cell[CellGroupData[{
Cell[342220, 9028, 320, 7, 30, "Input",ExpressionUUID->"6b9e7f43-6179-4f79-8652-85349044c247"],
Cell[342543, 9037, 281, 6, 34, "Output",ExpressionUUID->"58d08a1c-4986-4ae3-8e68-82db3b852fe3"]
}, Closed]],
Cell[342839, 9046, 1473, 29, 96, "Exercise",ExpressionUUID->"dbfa921e-9c4e-4c4e-b5d9-6a93d9290065"],
Cell[344315, 9077, 275, 6, 30, "Input",ExpressionUUID->"bf23df77-7e54-4962-a46e-531f0fad014c"],
Cell[CellGroupData[{
Cell[344615, 9087, 319, 7, 30, "Input",ExpressionUUID->"ab099abf-2595-4dbb-850d-bc31dfdac6a1"],
Cell[344937, 9096, 284, 7, 50, "Output",ExpressionUUID->"23eadc62-b298-4c1b-884e-84d413339e79"]
}, Closed]],
Cell[345236, 9106, 448, 13, 26, "Input",ExpressionUUID->"ca1843ac-6c42-4a03-af0f-1641f71e870d"],
Cell[CellGroupData[{
Cell[345709, 9123, 239, 6, 30, "Input",ExpressionUUID->"70b9fb46-b147-4020-ad48-f5ffb87e74be"],
Cell[345951, 9131, 618, 13, 170, "Output",ExpressionUUID->"ded87363-7ff6-4796-97bd-1f76e7462570"]
}, Closed]],
Cell[346584, 9147, 153, 3, 26, "Input",ExpressionUUID->"694a8498-dc1e-4add-8ac5-241183c0ab70"],
Cell[346740, 9152, 1083, 26, 60, "Exercise",ExpressionUUID->"ef986a5f-8138-4df3-9081-41974bf55c95"],
Cell[347826, 9180, 727, 21, 73, "Input",ExpressionUUID->"3714f584-0e6c-416a-8000-4c15489a47c2"],
Cell[CellGroupData[{
Cell[348578, 9205, 374, 11, 33, "Input",ExpressionUUID->"10fa84ed-263c-4aa4-8b2f-2238751d71fa"],
Cell[348955, 9218, 2701, 105, 243, "Output",ExpressionUUID->"e1ea3a4b-dc5b-440f-b24f-c30b6e035ac0"]
}, Closed]],
Cell[351671, 9326, 127, 1, 26, "Input",ExpressionUUID->"a6e6884d-bf6a-4cf8-b1f0-dd63560e8eb9"]
}, Closed]]
}, Open  ]]
}
]
*)

